<?php
$page = 'BirthDay';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$module = 'employees';
$range = 'true';
$pageRole = 'table';

include 'MasterTop.php';

// Initialize the selectedMonth variable
$selectedMonth = isset($_POST['month']) ? $_POST['month'] : date('n'); // Default to the current month

// Fetch distinct months from the database
$monthsQuery = $conn->query("SELECT DISTINCT MONTH(date_of_birth) AS month FROM tbl_employees WHERE status='Active' ORDER BY month");
$months = array();

while ($row = $monthsQuery->fetch_assoc()) {
    $months[$row['month']] = date("F", mktime(0, 0, 0, $row['month'], 1));
}

// Check if the form is submitted and set the selected month
if (isset($_POST['submit'])) {
    $selectedMonth = $_POST['month'];
    $employees = $conn->query("SELECT * FROM tbl_employees WHERE MONTH(date_of_birth) = $selectedMonth AND status='Active'");
}

?>

<div id="content" class="bg-container">
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <form method="POST" action="">
                    <label for="month">Select Month:</label>
                    <select name="month" id="month">
                        <?php
                        foreach ($months as $monthNumber => $monthName) {
                            echo "<option value='$monthNumber'";
                            if ($monthNumber == $selectedMonth) {
                                echo " selected";
                            }
                            echo ">$monthName</option>";
                        }
                        ?>
                    </select>
                    <input type="submit" name="submit" value="Submit"> <button onclick="printTable()" style="margin-top: 20px;">Print</button>
                </form>
                <div class="col-xs-12 data_tables">
                    <div id="print-content" style="text-align: center;">
                        <div class="card">
                            <div class="card-block" style="margin-top: 60px;">
                                <div style="text-align: center; margin-bottom: 50px;">
                                    <img src="img/happy.png" width="800" height="300" />
                                </div>
                                <!-- Table to display employee data -->
                                <table class="table table-striped table-bordered table-hover" id="sample_1" style="width: 80%; margin: 0 auto; font-size: 20px;">
                                    <thead>
                                        <tr>
                                            <th style="text-align: center;">Numbering</th>
                                            <th style="text-align: center;">Date of Birth</th>
                                            <th style="text-align: center;">Name</th>
                                            <th style="text-align: center;">Designation</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        if (isset($employees)) {
                                            $numbering = 1; // Initialize numbering
                                            while ($row = $employees->fetch_assoc()) {
                                                echo "<tr>";
                                                echo "<td>{$numbering}</td>"; // Display the numbering
                                                echo "<td>{$row['date_of_birth']}</td>";
                                                echo "<td>{$row['name']} </td>";
                                                echo "<td>{$row['designation']}</td>";
                                                echo "</tr>";
                                                $numbering++; // Increment numbering
                                            }
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET-->
                </div>
            </div>
            <!-- /.inner -->
        </div>
        <!-- /.outer -->
    </div>
    <!-- /#content -->
</div>

<style>
    @media print {
        body * {
            visibility: hidden;
        }

        #print-content,
        #print-content * {
            visibility: visible;
        }

        #print-content button {
            display: none;
        }
    }
</style>

<script>
    function printTable() {
        window.print();
    }
</script>
