<?php
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$register_date = date("Y-m-d");
if (getValue('preg_date_check') == 'true') {
    $register_date = getValue('register_date');
}
$businessDay = date('l jS \of F Y', strtotime($register_date));
$page = 'home';
$module = 'dashboard';
$Subject = "Sales and Expense Report for " . $businessDay. " (PDF Attached)";
$pageTitle = "Sales & Exp Summary " . $businessDay;
$pageRole = 'table';
?>

<style>
    .centerCanvas {
        display: block;
        margin: 0 auto;
    }

    .body {
        background-color: #FFFFFF;
        color: #000000;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 12px;
    }

    .custom-styling {
        font-size: 40px;
        font-weight: bold;
        font-family: Arial, sans-serif;
        color: black;
    }

    .table-container {
        width: 100%;
    }

    .table-container table {
        width: 30%;
        float: left;
        margin-right: 5px; /* Adjust the space between tables by changing this value */
    }

    .table-container table:nth-child(2) {
        width: 68%;
        margin-left: 5px; /* Adjust the space between tables by changing this value */
    }
</style>

<body class="body">
    <?php include 'MasterTop.php'; ?>
    <div class="container">
        <?php
        $grandSaleR = GetRow(Run($conn, "SELECT SUM(total_amount) AS grand_sale, SUM(tax_amount) AS grand_tax, SUM(delivery_charges) AS grand_delivery, SUM(service_charges) AS grand_service, SUM(discount) AS grand_discount, SUM(grand_total) AS grand_grand, SUM(amount_received) AS grand_received FROM tbl_sales WHERE status=1 AND post_date = '$register_date'"));
        $grandSale = $grandSaleR['grand_sale'];
        $grandTax = $grandSaleR['grand_tax'];
        $grandTax15 = $grandSaleR['grand_service'];
        $grandTax5 = $grandSaleR['grand_discount'];
        $grandDelivery = $grandSaleR['grand_delivery'];
        $grandGrand = $grandSaleR['grand_sale'] + $grandSaleR['grand_tax'] - $grandSaleR['grand_delivery'] + $grandTax15 + $grandTax5;
        $grandReceived = $grandSaleR['grand_received'];
        $customersBalance = $grandGrand - $grandReceived;
        $Cashier = GetRow(Run($conn, "SELECT SUM(owner) AS grand_owner, SUM(hr) AS grand_hr, SUM(given) AS grand_given, SUM(till) AS grand_till, SUM(advance) AS grand_advance, SUM(hand) AS grand_hand, SUM(purchase) AS grand_purchase, SUM(tip) AS grand_tip FROM tbl_expenses WHERE status=1 AND post_date = '$register_date'"));
        $grandhand = $Cashier['grand_hand'];
        ?>
    </div>
    <div class="row">
        <div class="card" style="margin-top:0px; padding: 25px;">
            <div class="card-block" style="margin-top:20px; padding: 20px;">
                <?php
                $i = 1;
                $totalFoodSupplierCost = 0.0;
                $totalFoodTransportExp = 0.0;
                $purchasesFoodRS = Run($conn, "SELECT * FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) AND status = '1' AND post_date = '$register_date' ORDER BY brand_id DESC");
                while ($purchasesR = GetRow($purchasesFoodRS)) {
                    $i++;
                    $totalFoodSupplierCost += $purchasesR['supplier_cost'];
                    if ($purchasesR['transport_type'] != 1) {
                        $totalFoodTransportExp += $purchasesR['transport_exp'];
                    }
                }
                $i = 1;
                $totalNonFoodSupplierCost = 0.0;
                $totalNonFoodTransportExp = 0.0;
                $purchasesNonFoodRS = Run($conn, "SELECT * FROM tbl_pur_items WHERE category_id NOT IN (1,2,3,4,5,6) AND status = '1' AND post_date = '$register_date' ORDER BY brand_id DESC");
                while ($purchasesR = GetRow($purchasesNonFoodRS)) {
                    $i++;
                    $totalNonFoodSupplierCost += $purchasesR['supplier_cost'];
                    if ($purchasesR['transport_type'] != 1) {
                        $totalNonFoodTransportExp += $purchasesR['transport_exp'];
                    }
                }
                ?>
                <div class="col-xs-12 data_tables custom-font-size">
                    <h3><?php echo $Subject; ?></h3>
                    <h3><?php echo $pageTitle; ?></h3>					
                    <div class="col-xs-12" style="margin-top:3px; padding: 10px;">
                        <!-- Your content goes here -->
                    </div>
                    <div class="col-xs-12 data_tables custom-font-size">
                        <?php if ($grandSale > 0): ?>
                            <h4>Total Net Sales: <strong>PKR <?= number_format($grandSale, 0); ?></strong></h4>
                        <?php endif; ?>
                        <?php if ($grandTax > 0): ?>
                            <h4>Tax (Rs): <strong>PKR <?= number_format($grandTax, 0); ?></strong></h4>
                        <?php endif; ?>
                        <?php if ($grandTax15 > 0): ?>
                            <h4>Tax 15% (Rs): <strong>PKR <?= number_format($grandTax15, 0); ?></strong></h4>
                        <?php endif; ?>
                        <?php if ($grandTax5 > 0): ?>
                            <h4>Tax 5% (Rs): <strong>PKR <?= number_format($grandTax5, 0); ?></strong></h4>
                        <?php endif; ?>
                        <?php if ($grandDelivery > 0): ?>
                            <h4>Discount (Rs): <strong>PKR <?= number_format($grandDelivery, 0); ?></strong></h4>
                        <?php endif; ?>
                        <?php if ($grandGrand > 0): ?>
                            <h4><strong>Grand Total: PKR <?= number_format($grandGrand, 0); ?></strong></h4>
                        <?php endif; ?>
                        <?php if ($customersBalance > 0): ?>
                            <h4>Cash Sales: <strong>PKR <?= number_format($customersBalance, 0); ?></strong></h4>
                        <?php endif; ?>
                        <?php if ($grandReceived > 0): ?>
                            <h4>Bank Transfers: <strong>PKR <?= number_format($grandReceived, 0); ?></strong></h4>
                        <?php endif; ?>
                    </div>
                    <div class="col-xs-12" style="margin-top:3px; padding: 10px;">
                        <!-- Your content goes here -->
                    </div>
                    <div class="col-xs-12 data_tables custom-font-size">
                        <h4>Actual Cash: <strong>PKR <?= number_format($grandhand, 0); ?></strong></h4>
                    </div>
                    <div class="col-xs-12" style="margin-top:3px; padding: 10px;">
                        <!-- Your content goes here -->
                    </div>
                    <?php
                    // Assuming GetRow and Run functions are defined elsewhere and work correctly
                    $result = Run($conn, "SELECT title FROM tbl_items_cat WHERE id IN (1,2,3,4,5,6)");
                    $Foodcategories = [];

                    while ($row = mysqli_fetch_assoc($result)) {
                    $Foodcategories[] = $row['title'];
                    }

                    $FoodcategoriesStr = implode(', ', $Foodcategories);
                    ?>
                    <h3>Food expenses were recorded in categories like <?php echo $FoodcategoriesStr; ?>.</h3>
                    <div class="col-xs-12" style="margin-top:3px; padding: 10px;">
                        <!-- Your content goes here -->
                    </div>
                    <?php
                    // Fetch the list of brand IDs that match the condition
                    $query = "SELECT DISTINCT brand_id FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) ORDER BY brand_id ASC";
                    $result = Run($conn, $query);

                    // Initialize an array to store brand IDs
                    $brandIds = [];

                    // Extract and store the brand IDs
                    while ($row = GetRow($result)) {
                        $brandIds[] = $row['brand_id'];
                    }

                    // Initialize the expenses array
                    $expenses = [];

                    // Loop through each brand and fetch the corresponding value using the brand ID
                    foreach ($brandIds as $brandId) {
                        $query = "SELECT SUM(total_cost) AS totalValue FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) AND brand_id = '$brandId' AND post_date = '$register_date'";
                        $value = number_format(GetRow(Run($conn, $query))['totalValue'], 0);

                        // Fetch the brand title using showTitle function
                        $brandTitle = showTitle($conn, 'tbl_brands', $brandId);

                        // Create the expense entry
                        $expenseEntry = [
                            "title" => $brandTitle,
                            "value" => $value
                        ];

                        // Add the expense entry to the expenses array
                        $expenses[] = $expenseEntry;
                    }
                    ?>
					<div class="col-xs-12 data_tables custom-font-size">
                    <?php foreach ($expenses as $expense): ?>
                        <?php if ($expense["value"] >= 1): ?>
                            <h4><strong><?= $expense["title"]; ?></strong> food expenditure: <strong>PKR <?= $expense["value"]; ?></strong>.</h4>
                        <?php endif; ?>
                    <?php endforeach; ?>
					</div>
                    <div class="col-xs-12" style="margin-top:3px; padding: 10px;">
                        <!-- Your content goes here -->
                    </div>
                    <?php
                    // Assuming GetRow and Run functions are defined elsewhere and work correctly
                    $resultN = Run($conn, "SELECT title FROM tbl_items_cat WHERE id NOT IN (1,2,3,4,5,6)");
                    $FoodcategoriesN = [];

                    while ($row = mysqli_fetch_assoc($resultN)) {
                    $FoodcategoriesN[] = $row['title'];
                    }

                    $FoodcategoriesStrN = implode(', ', $FoodcategoriesN);
                    ?>
                    <h3>Non-Food expenses were recorded in categories like <?php echo $FoodcategoriesStrN; ?>.</h3>
                    <div class="col-xs-12" style="margin-top:3px; padding: 10px;">
                        <!-- Your content goes here -->
                    </div>
                    <?php
                    // Fetch the list of brand IDs that match the condition
                    $queryN = "SELECT DISTINCT brand_id FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) ORDER BY brand_id ASC";
                    $resultN = Run($conn, $queryN);

                    // Initialize an array to store brand IDs
                    $brandIdsN = [];

                    // Extract and store the brand IDs
                    while ($rowN = GetRow($resultN)) {
                        $brandIdsN[] = $rowN['brand_id'];
                    }

                    // Initialize the expenses array
                    $expensesN = [];

                    // Loop through each brand and fetch the corresponding value using the brand ID
                    foreach ($brandIdsN as $brandIdN) {
                        $queryN = "SELECT SUM(total_cost) AS totalValue FROM tbl_pur_items WHERE category_id NOT IN (1,2,3,4,5,6) AND brand_id = '$brandIdN' AND post_date = '$register_date'";
                        $valueN = number_format(GetRow(Run($conn, $queryN))['totalValue'], 0);

                        // Fetch the brand title using showTitle function
                        $brandTitleN = showTitle($conn, 'tbl_brands', $brandIdN);

                        // Create the expense entry
                        $expenseEntryN = [
                            "title" => $brandTitleN,
                            "value" => $valueN
                        ];

                        // Add the expense entry to the expenses array
                        $expensesN[] = $expenseEntryN;
                    }
                    ?>
					<div class="col-xs-12 data_tables custom-font-size">
                    <?php foreach ($expensesN as $expenseN): ?>
                        <?php if ($expenseN["value"] >= 1): ?>
                            <h4><strong><?= $expenseN["title"]; ?></strong> Non-food expenditure: <strong>PKR <?= $expenseN["value"]; ?></strong>.</h4>
                        <?php endif; ?>
                    <?php endforeach; ?>
					</div>
                    <div class="col-xs-12" style="margin-top:3px; padding: 10px;">
                        <!-- Your content goes here -->
                    </div>
                    <div class="col-xs-12 data_tables custom-font-size">
                        <h4>Total food expenses: <strong>PKR <?= number_format($totalFoodSupplierCost, 0); ?></strong></h4>
                        <h4>Total non-food related expenses: <strong>PKR <?= number_format($totalNonFoodSupplierCost, 0); ?></strong></h4>
						<h3><strong>Total expenses: PKR <?= number_format($totalFoodSupplierCost + $totalNonFoodSupplierCost, 0); ?></strong></h3>                   
					</div>
					<div class="col-xs-12" style="margin-top:3px; padding: 10px;">
                        <!-- Your content goes here -->
                    </div>
					<h3>Note: Today's food cost <?php echo number_format(($totalFoodSupplierCost/$grandSale) * 100, 1); ?>% of today's net sales (excluding all taxes, discounts) and today's food expenses.</h3>
                </div>
            </div>
        </div>
    </div>
</body>
<script>
    window.onload = function () {
        window.print();
    }
</script>