<?php
// Include necessary PHP files
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

// Get the registration date
$register_date = getValue('register_date');

// Format the business day for the page title
$businessDay = date('l jS \of F Y', strtotime($register_date));

// Define page variables
$page = 'home';
$module = 'dashboard';
$pageTitle = $businessDay;
$pageRole = 'table';
?>
<!DOCTYPE html>
<html>
<head>
    <title>Cash Closing <?php echo $pageTitle;?></title>
    <style>
        /* Add your custom CSS styles here */
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            background-color: #f2f2f2;
        }

        .info-container {
            width: 80%;
            max-width: 1600px;
            padding: 1px;
            border-radius: 5px;
            background-color: #ffffff;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
        }

        .header {
            text-align: center;
            margin-bottom: 2px;
        }

        .header h1 {
            font-size: 30px;
            color: #333;
            margin-bottom: 10px;
        }

        .header p {
            font-size: 24px;
            color: #777;
        }

        .content {
            text-align: center; /* Center align content within the .content section */
        }

        .table-container {
            display: inline-block;

        }

        th, td {
            padding: 10px;
            text-align: left;
            border-bottom: 1px solid #ddd;
            font-size: 18px;
            word-wrap: break-word; /* Allow long words to wrap within cells */
        }

        th {
            background-color: #f2f2f2;
            font-size: 18px; /* Increased font size for table headers */
            text-transform: uppercase; /* Uppercase table headers */
        }

        td {
            font-size: 18px; /* Font size for table data */
            text-align: left; /* Align text to the left within table data cells */
        }

        p {
            font-size: 22px;
            margin-top: 8px;
            color: #444;
        }

        .promo {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-bottom: 5px;
            background-color: #ff9800;
            color: #fff;
            padding: 1px;
            border-radius: 10px;
        }
		.grand-balance {
            text-align: center;
            font-weight: bold;
			font-size: 24px;
        }		

        @media print {
            body {
                -webkit-print-color-adjust: exact; /* Enable background colors in print */
                background-color: #fff; /* Set a white background for printing */
            }
        }
    </style>
</head>
<body>
    <div class="info-container">
            <div class="promo">
                <h2>Cash Closing <?php echo $pageTitle; ?></h2>
            </div>	
        <div class="content">
            <div class="table-container table-responsive m-t-35">
                <table class="table table-bordered">
                    <tbody>
                        <!-- Total Net Sales -->
                            <tr>
                                <th style="text-align:right; width: 3in;">Total Net Sale</th>
                                <th style="width: 3in;">
                                    <?php
                                    $grandSaleR = GetRow(Run($conn, "select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax, sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where status=1 and post_date = '$register_date' "));
                                    $grandGrand = $grandSaleR['grand_sale'] + $grandSaleR['grand_tax'] - $grandSaleR['grand_delivery'] + $grandSaleR['grand_service'] + $grandSaleR['grand_discount'];
                                    echo number_format($grandGrand);
                                    ?>
                                </th>
                            </tr>

                        <!-- Given To Purchaser -->
                        <tr>
                            <td style="text-align:right;">Given To Purchaser</td>
                            <td>
                                <?php
                                $Cashier = GetRow(Run($conn, "select sum(owner) as grand_owner, sum(hr) as grand_hr, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                $grandgiven = $Cashier['grand_given'];
                                echo number_format($grandgiven);
                                ?>
                            </td>
                        </tr>
                        <!-- Exp From Till -->
                        <tr>
                            <td style="text-align:right;">Exp From Till</td>
                            <td>
                                <?php
                                $Cashier = GetRow(Run($conn, "select sum(owner) as grand_owner, sum(hr) as grand_hr, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                $grandtill = $Cashier['grand_till'];
                                echo number_format($grandtill);
                                ?>
                            </td>
                        </tr>
                        <!-- Staf Food Bills and Advance -->
                        <tr>
                            <td style="text-align:right;">Staf Food Bills/Advance</td>
                            <td>
                                <?php
                                $Cashier = GetRow(Run($conn, "select sum(owner) as grand_owner, sum(hr) as grand_hr, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                $grandadvance = $Cashier['grand_advance'];
                                echo number_format($grandadvance);
                                ?>
                            </td>
                        </tr>
                        <!-- Cash -->
                        <tr>
                            <td style="text-align:right;">Cash</td>
                            <td>
                                <?php
                                $Cashier = GetRow(Run($conn, "select sum(owner) as grand_owner, sum(hr) as grand_hr, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                $grandhand = $Cashier['grand_hand'];
                                echo number_format($grandhand);
                                ?>
                            </td>
                        </tr>
                        <!-- Bank -->
                        <tr>
                            <td style="text-align:right;">Bank</td>
                            <td>
                                <?php
                                $grandBank = $grandSaleR['grand_received'];
                                echo number_format($grandBank);
                                ?>
                            </td>
                        </tr>
                        <!-- Balance -->
                        <tr style="font-size: 16px;">
                            <th style="text-align:right;">Balance</th>
                            <th>
                                <?php
                                echo number_format($grandGrand - $grandgiven - $grandtill - $grandadvance - $grandhand - $grandBank);
                                ?>
                            </th>
                        </tr>
                        <!-- Tip and Purchaser -->
                        <tr>
                            <td style="text-align:right;">Tip</td>
                            <td style="text-align:left;">Purchaser</td>
                        </tr>
                        <tr>
                            <th style="text-align:right;">
                                <?php
                                $Cashier = GetRow(Run($conn, "select sum(owner) as grand_owner, sum(hr) as grand_hr, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                $grandtip = $Cashier['grand_tip'];
                                echo number_format($grandtip);
                                ?>
                            </th>
                            <th style="text-align:left;">
                                <?php
                                $Cashier = GetRow(Run($conn, "select sum(owner) as grand_owner, sum(hr) as grand_hr, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                $grandpurchse = $Cashier['grand_purchase'];
                                echo number_format($grandpurchse);
                                ?>
                            </th>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="promo">
                <h2>Vendors Pending Amount</h2>
            </div>		
            <div class="table-container table-responsive m-t-35">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th style="text-align:left;">Suppliers Name</th>
                            <th style="text-align:left;">Bank Name</th>
                            <th style="text-align:left;">Bank Account</th>
                            <th style="text-align:left;">Balance (Rs)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        // Retrieve supplier balances from the database
                        $listRS = Run($conn, "SELECT * FROM tbl_suppliers s WHERE ((SELECT sum(cr) FROM tbl_purchases WHERE supplier_id = s.id and status = '1') - (SELECT sum(dr) FROM tbl_purchases WHERE supplier_id = s.id) > 0) ORDER BY account DESC");
                        $i = 1;
                        $total_balance = 0;
                        $G_GrandBalance = 0;
                        while ($listR = GetRow($listRS)) {
                            $supplierID = $listR['id'];
                            $creditRS = "select sum(cr) as credit_balance from tbl_purchases where supplier_id = '$supplierID'";
                            $creditR = GetRow(Run($conn, $creditRS));
                            $credit_balance = $creditR['credit_balance'];
                            $debitRS = "select sum(dr) as debit_balance from tbl_purchases where supplier_id = '$supplierID'";
                            $debitR = GetRow(Run($conn, $debitRS));
                            $debit_balance = $debitR['debit_balance'];
                            $GrandBalance = $credit_balance - $debit_balance;
                            $G_GrandBalance = $G_GrandBalance + $GrandBalance;
                        ?>
                            <tr>
                                <td><?php echo $listR['title']; ?></td>
                                <td><?php echo $listR['email']; ?></td>
                                <td><?php echo $listR['account']; ?></td>
                                <td style="text-align:left;"><?php echo $GrandBalance; ?></td>
                            </tr>
                        <?php } ?>
                    </tbody>
                </table>
                <div class="grand-balance">Grand Balance: <?php echo number_format($G_GrandBalance); ?></div>
            </div>
            <div class="promo">
                <h1>Bistro Noir Unit 4 Gol Market F 7-3 Islamabad</h1>
            </div>
        </div>
    </div>
</body>
</html>

<script>
    window.onload = function() {
        window.print();
    }
</script>