<?php
require_once('sessionp.php');
require_once('checkSalesSession.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day = '01';
$start_month = date("m");
$start_year = date("Y");
$start_date = $start_year . '-' . $start_month . '-' . $start_day;
$end_date = date("Y-m-d");
$date_check = getValue('date_check');
if ($date_check == 'true') {
    $start_date = getValue('date_from');
    $end_date = getValue('date_to');
}

$page = 'order';
$pageRole = 'form';

$range = 'true';
$pageRole = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';


// Initialize arrays to store sums by section
$openingStockBySection = [];
$purchasingAmountBySection = [];
$closingStockBySection = [];

// Calculate the sums for opening stock, purchasing amount, and closing stock by section
$stockItemsRS = Run($conn, "SELECT `id`, `product_id`, `Item`, `quantity`, `date`, `status` FROM `tbl_tmp_stock_items` WHERE DATE_FORMAT(`date`, '%m-%Y') = DATE_FORMAT('$start_date', '%m-%Y') AND `product_id` IN (SELECT `id` FROM `tbl_items` WHERE `category_id` IN (1,2,3,4,5,6,9))");
while ($stockItem = GetRow($stockItemsRS)) {
    $productId = $stockItem['product_id'];

    // Query to get the amount based on the formula you provided
    $amountRS = Run($conn, "SELECT (tbl_items.price * ({$stockItem['quantity']}*1000)) AS `amount` FROM `tbl_items` WHERE `id` = '$productId' LIMIT 1");
    $amountRow = GetRow($amountRS);
    $amount = $amountRow['amount'];

    // Query to get the brand title based on product_id
    $brandRS = Run($conn, "SELECT `title` FROM `tbl_brands` WHERE `id` = (SELECT `brand_id` FROM `tbl_items` WHERE `id` = '$productId')");
    $brandRow = GetRow($brandRS);
    $brandTitle = $brandRow['title'];

    // Add to opening stock by section
    if (!isset($openingStockBySection[$brandTitle])) {
        $openingStockBySection[$brandTitle] = 0;
    }
    $openingStockBySection[$brandTitle] += $amount;
}

$purchasesRS = Run($conn, "SELECT tbl_pur_items.product_id, 
                                   SUM(tbl_pur_items.quantity) AS total_quantity,
                                   SUM(tbl_pur_items.unit_cost * tbl_pur_items.quantity) AS total_amount
                              FROM tbl_pur_items
                              INNER JOIN tbl_items ON tbl_pur_items.product_id = tbl_items.id
                              WHERE DATE_FORMAT(tbl_pur_items.post_date, '%m-%Y') = DATE_FORMAT('$start_date', '%m-%Y')
                              AND tbl_items.category_id IN (1,2,3,4,5,6,9)
                              GROUP BY tbl_pur_items.product_id
                              ORDER BY tbl_pur_items.product_id");

while ($purchase = GetRow($purchasesRS)) {
    $productId = $purchase['product_id'];
    $totalAmount = $purchase['total_amount'];
    
    // Query to get the brand title and item title based on product_id
    $brandRS = Run($conn, "SELECT `tbl_brands`.`title` AS `brand_title`, `tbl_items`.`title` AS `item_title`
                          FROM `tbl_items`
                          INNER JOIN `tbl_brands` ON `tbl_items`.`brand_id` = `tbl_brands`.`id`
                          WHERE `tbl_items`.`id` = '$productId'");
    $brandRow = GetRow($brandRS);
    $brandTitle = $brandRow['brand_title'];

    // Add to purchasing amount by section
    if (!isset($purchasingAmountBySection[$brandTitle])) {
        $purchasingAmountBySection[$brandTitle] = 0;
    }
    $purchasingAmountBySection[$brandTitle] += $totalAmount;
}

$nextMonthDate = date('Y-m', strtotime("+1 month", strtotime($start_date)));
$stockItemsRS = Run($conn, "SELECT `id`, `product_id`, `Item`, `quantity`, `date`, `status` FROM `tbl_tmp_stock_items` WHERE DATE_FORMAT(`date`, '%Y-%m') = '$nextMonthDate' AND `product_id` IN (SELECT `id` FROM `tbl_items` WHERE `category_id` IN (1,2,3,4,5,6,9))");
while ($stockItem = GetRow($stockItemsRS)) {
    $productId = $stockItem['product_id'];

    // Query to get the amount based on the formula you provided
    $amountRS = Run($conn, "SELECT (tbl_items.price * ({$stockItem['quantity']}*1000)) AS `amount` FROM `tbl_items` WHERE `id` = '$productId' LIMIT 1");
    $amountRow = GetRow($amountRS);
    $amount = $amountRow['amount'];

    // Query to get the brand title based on product_id
    $brandRS = Run($conn, "SELECT `title` FROM `tbl_brands` WHERE `id` = (SELECT `brand_id` FROM `tbl_items` WHERE `id` = '$productId')");
    $brandRow = GetRow($brandRS);
    $brandTitle = $brandRow['title'];

    // Add to closing stock by section
    if (!isset($closingStockBySection[$brandTitle])) {
        $closingStockBySection[$brandTitle] = 0;
    }
    $closingStockBySection[$brandTitle] += $amount;
}
?>

<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="row">
            <form method="post" action="process/AddToStock">
                <input type="hidden" name="bcheck" value="true" />
<div class="col-lg-6 input_field_sections">
    <h5>Products</h5>
    <select class="form-control chzn-select" name="product_id" onchange="GetPriceQuantity(this.value)">
        <option disabled selected>Choose a product</option>
        <?php
        $productsRS = Run($conn, "SELECT `id`, `title`, `brand_id`, `price` FROM `tbl_items` WHERE `status` = '1' AND `category_id` IN (1,2,3,4,5,6,9) ORDER BY `title` ASC");
        while ($productsR = GetRow($productsRS)) {
            $pid = $productsR['id'];
            $brandId = $productsR['brand_id'];
            $brandTitle = '';

            // Query to get the brand title
            $brandRS = Run($conn, "SELECT `title` FROM `tbl_brands` WHERE `id` = '$brandId'");
            if ($brandRow = GetRow($brandRS)) {
                $brandTitle = $brandRow['title'];
            }

            // Display both product title and price in the option
            $productInfo = $productsR['title'] . ' - ' . $brandTitle . ' - PKR' . $productsR['price'];
            ?>
            <option value="<?php echo $pid; ?>"><?php echo $productInfo; ?></option>
        <?php } // End of while loop ?>
    </select>
</div>
                <div id="pq_div">
                    <div class="col-lg-2 input_field_sections">
                        <h5>Quantity *</h5>
                        <input type="number" id="p_quantity" class="form-control" name="quantity" step="any" required="required" />
                    </div>
                </div>
                <div class="col-lg-2 input_field_sections">
                    <h5>&nbsp;</h5>
                    <button type="submit" class="btn btn-success">Submit</button>
                </div>
            </form>
        </div>
    </div>

    <!-- Display the summary header -->
    <div class="row">
        <div class="col-lg-12">
            <h3>Summary</h3>
            <table class="table table-striped table-bordered table-hover">
                <thead>
                    <tr>
                        <th>Section</th>
                        <th>Opening Stock Amount</th>
                        <th>Purchasing Amount</th>
                        <th>Closing Stock Amount</th>
                        <th>Used Stock Worth</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    foreach ($openingStockBySection as $section => $openingAmount) {
                        $purchasingAmount = isset($purchasingAmountBySection[$section]) ? $purchasingAmountBySection[$section] : 0;
                        $closingAmount = isset($closingStockBySection[$section]) ? $closingStockBySection[$section] : 0;
                        $usedStockWorth = $openingAmount + $purchasingAmount - $closingAmount;
                        ?>
                        <tr>
                            <td><?php echo $section; ?></td>
                            <td><?php echo number_format($openingAmount, 1); ?></td>
                            <td><?php echo number_format($purchasingAmount, 1); ?></td>
                            <td><?php echo number_format($closingAmount, 1); ?></td>
                            <td><?php echo number_format($usedStockWorth, 1); ?></td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    </div>
    <!-- Display the table -->
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <h3>Opening Stock</h3>
                </div>
                <div class="card-body">
                    <table class="table table-striped table-bordered table-hover" id="sample_1">
                        <thead>
                            <tr>
                                <th>Product ID</th>
                                <th>Date</th>
                                <th>Item</th>
                                <th>Section</th>
                                <th>Quantity</th>
                                <th>Amount</th>
                                <th>Delete</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $stockItemsRS = Run($conn, "SELECT `id`, `product_id`, `Item`, `quantity`, `date`, `status` FROM `tbl_tmp_stock_items` WHERE DATE_FORMAT(`date`, '%m-%Y') = DATE_FORMAT('$start_date', '%m-%Y') AND `product_id` IN (SELECT `id` FROM `tbl_items` WHERE `category_id` IN (1,2,3,4,5,6,9)) ORDER BY id DESC");
                            while ($stockItem = GetRow($stockItemsRS)) {
                                $productId = $stockItem['product_id'];
                                $Id = $stockItem['id'];
                                // Query to get the amount based on the formula you provided
                                $amountRS = Run($conn, "SELECT (tbl_items.price * ({$stockItem['quantity']}*1000)) AS `amount` FROM `tbl_items` WHERE `id` = '$productId' LIMIT 1");
                                $amountRow = GetRow($amountRS);
                                $amount = $amountRow['amount'];

                                // Query to get the brand title based on product_id
                                $brandRS = Run($conn, "SELECT `title` FROM `tbl_brands` WHERE `id` = (SELECT `brand_id` FROM `tbl_items` WHERE `id` = '$productId')");
                                $brandRow = GetRow($brandRS);
                                $brandTitle = $brandRow['title'];
                                ?>
                                <tr>
                                    <td><?php echo $stockItem['product_id']; ?></td>
                                    <td><?php echo $stockItem['date']; ?></td>
                                    <td><?php echo $stockItem['Item']; ?></td>
                                    <td><?php echo $brandTitle; ?></td>
                                    <td><?php echo $stockItem['quantity']; ?></td>
                                    <td><?php echo number_format($amount, 1); ?></td>
                                    <?php
                                    // Enable error reporting for debugging
                                    error_reporting(E_ALL);
                                    ini_set('display_errors', 1);

                                    // Get the 'del' parameter from the URL
                                    $del = isset($_GET['del']) ? $_GET['del'] : '';

                                    if (!empty($del)) {
                                        // Escape the 'del' parameter to prevent SQL injection
                                        $del = mysqli_real_escape_string($conn, $del);

                                        // Perform the item deletion query
                                        $delItems = Run($conn, "DELETE FROM `tbl_tmp_stock_items` WHERE id = '$del'");

                                        if ($delItems) {
                                            // Item deletion successful
                                            // Now, delete the order
                                            $delOrder = Run($conn, "DELETE FROM `tbl_tmp_purchases` WHERE id = '$del'");

                                            if ($delOrder) {
                                                // Order deletion successful
                                                redirect_to('OpeningStock', 'success', 'purchase-cancelled');
                                            } else {
                                                // Error deleting order
                                                redirect_to('OpeningStock', 'error', 'order-deletion-failed');
                                            }
                                        } else {
                                            // Error deleting items
                                            redirect_to('OpeningStock', 'error', 'item-deletion-failed');
                                        }
                                    }
                                    ?>

                                    <!-- HTML code for the "Delete" button -->
                                    <td><a class="btn btn-danger btn-sm" onclick="return confirm('Are you sure?');" href="OpeningStock.php?del=<?php echo htmlspecialchars($Id); ?>">Delete</a></td>

                                </tr>

                            <?php } // End of while loop ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="card">
                <div class="card-header">
                    <h3>Purchases</h3>
                </div>
                <div class="card-body">
                    <table class="table table-striped table-bordered table-hover" id="sample_2">
                        <thead>
                            <tr>
                                <th>Product ID</th>
                                <th>Item</th>
                                <th>Section</th>
                                <th>Quantity</th>
                                <th>Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $purchasesRS = Run($conn, "SELECT tbl_pur_items.product_id, 
                                                       SUM(tbl_pur_items.quantity) AS total_quantity,
                                                       SUM(tbl_pur_items.unit_cost * tbl_pur_items.quantity) AS total_amount
                                                  FROM tbl_pur_items
                                                  INNER JOIN tbl_items ON tbl_pur_items.product_id = tbl_items.id
                                                  WHERE DATE_FORMAT(tbl_pur_items.post_date, '%m-%Y') = DATE_FORMAT('$start_date', '%m-%Y')
                                                  AND tbl_items.category_id IN (1,2,3,4,5,6,9)
                                                  GROUP BY tbl_pur_items.product_id
                                                  ORDER BY tbl_pur_items.product_id");
                        
                            while ($purchase = GetRow($purchasesRS)) {
                                $productId = $purchase['product_id'];
                                $totalQuantity = $purchase['total_quantity'];
                                $totalAmount = $purchase['total_amount'];

                                // Query to get the brand title and item title based on product_id
                                $brandRS = Run($conn, "SELECT `tbl_brands`.`title` AS `brand_title`, `tbl_items`.`title` AS `item_title`
                                                      FROM `tbl_items`
                                                      INNER JOIN `tbl_brands` ON `tbl_items`.`brand_id` = `tbl_brands`.`id`
                                                      WHERE `tbl_items`.`id` = '$productId'");
                                $brandRow = GetRow($brandRS);
                                $brandTitle = $brandRow['brand_title'];
                                $itemTitle = $brandRow['item_title'];
                                ?>
                                <tr>
                                    <td><?php echo $productId; ?></td>
                                    <td><?php echo $itemTitle; ?></td>
                                    <td><?php echo $brandTitle; ?></td>
                                    <td><?php echo $totalQuantity; ?></td>
                                    <td><?php echo number_format($totalAmount, 1); ?></td>
                                </tr>
                            <?php } // End of while loop ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="card">
                <div class="card-header">
                    <h3>Closing Stock</h3>
                </div>
                <div class="card-body">
                    <table class="table table-striped table-bordered table-hover" id="sample_1">
                        <thead>
                            <tr>
                                <th>Product ID</th>
                                <th>Date</th>
                                <th>Item</th>
                                <th>Section</th>
                                <th>Quantity</th>
                                <th>Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $nextMonthDate = date('Y-m', strtotime("+1 month", strtotime($start_date)));
                            $stockItemsRS = Run($conn, "SELECT `id`, `product_id`, `Item`, `quantity`, `date`, `status` FROM `tbl_tmp_stock_items` WHERE DATE_FORMAT(`date`, '%Y-%m') = '$nextMonthDate' AND `product_id` IN (SELECT `id` FROM `tbl_items` WHERE `category_id` IN (1,2,3,4,5,6,9))");

                            while ($stockItem = GetRow($stockItemsRS)) {
                                $productId = $stockItem['product_id'];

                                // Query to get the amount based on the formula you provided
                                $amountRS = Run($conn, "SELECT (tbl_items.price * ({$stockItem['quantity']}*1000)) AS `amount` FROM `tbl_items` WHERE `id` = '$productId' LIMIT 1");
                                $amountRow = GetRow($amountRS);
                                $amount = $amountRow['amount'];

                                // Query to get the brand title based on product_id
                                $brandRS = Run($conn, "SELECT `title` FROM `tbl_brands` WHERE `id` = (SELECT `brand_id` FROM `tbl_items` WHERE `id` = '$productId')");
                                $brandRow = GetRow($brandRS);
                                $brandTitle = $brandRow['title'];
                                ?>
                                <tr>
                                    <td><?php echo $stockItem['product_id']; ?></td>
                                    <td><?php echo $stockItem['date']; ?></td>
                                    <td><?php echo $stockItem['Item']; ?></td>
                                    <td><?php echo $brandTitle; ?></td>
                                    <td><?php echo $stockItem['quantity']; ?></td>
                                    <td><?php echo number_format($amount, 1); ?></td>
                                </tr>
                            <?php } // End of while loop ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.js"></script>
