<?php
require_once('sessionp.php');
require_once('checkAccountsSession.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$pageTitle = 'Paid To Supplier';
$module = 'stock';
$range = 'true';
$pageRole = 'form';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';

// Fetch supplier data if a selection is made
$searchQuery = isset($_GET['search_query']) ? $_GET['search_query'] : '';
$ID = $title = '';
if (!empty($searchQuery)) {
    $searchQuery = mysqli_real_escape_string($conn, $searchQuery);
    $searchRS = Run($conn, "SELECT * FROM `tbl_suppliers` WHERE `id` = '$searchQuery' LIMIT 1");
    $listR = GetRow($searchRS);

    if ($listR) {
        $ID = $listR['id'];
        $title = $listR['name'];
    }
}

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['add_check']) && $_POST['add_check'] === 'true') {
    // Sanitize and validate input
    $supplier_id = intval($_POST['supplier_id']);
    $PaidBy = mysqli_real_escape_string($conn, $_POST['PaidBy']);
    $paidNow = $_POST['paid_now'];
    $billIds = $_POST['bill_ids'];

    foreach ($billIds as $billId) {
        $billId = intval($billId);
        $paid = floatval($paidNow[$billId]);

        // Skip this ID if paid is <= 0 or is empty
        if (empty($paid) || $paid <= 0) {
            continue;
        }

        // Calculate pending balance and type
        $TypeR = "SELECT cr - (dr + $paid) AS paid_pending FROM tbl_purchases WHERE id = $billId";
        $TypeResult = Run($conn, $TypeR);
        $TypeRow = GetRow($TypeResult);
        $Type = ($TypeRow['paid_pending'] > 0) ? 'Pending' : 'Paid';

        // Update tbl_purchases
        $updateQuery = "UPDATE `tbl_purchases` 
                        SET `dr` = `dr` + $paid, 
                            `type` = '$Type', 
                            `Method` = '$PaidBy', 
                            `PaidBy` = '$PaidBy' 
                        WHERE `id` = $billId";
        Run($conn, $updateQuery);

        // Fetch the updated balance
        $balanceQuery = "SELECT `cr` - `dr` AS `NewBalance` FROM `tbl_purchases` WHERE `id` = $billId";
        $balanceResult = Run($conn, $balanceQuery);
        $balanceRow = GetRow($balanceResult);
        $NewBalance = $balanceRow['NewBalance'];

        // Insert into tbl_sup_payments
        $insertQuery = "INSERT INTO `tbl_sup_payments` 
                        (`bill_id`, `supplier_id`, `dr`, `balance`, `Method`, `PaidBy`, `status`, `post_date`, `post_time`) 
                 VALUES ($billId, $supplier_id, $paid, $NewBalance, '$PaidBy', '$PaidBy', 1, CURDATE(), CURTIME())";
        Run($conn, $insertQuery);
    }

    // Redirect to the same page to prevent duplicate form submission
    redirect_to('PaidToSupplier.php', 'success', 'true');
    exit;
}

// Display success message if redirected
if (isset($_GET['success']) && $_GET['success'] === 'true') {
    echo "<div class='alert alert-success'>Payment successfully recorded!</div>";
}

?>

<style>
    body {
        font-family: 'Arial', sans-serif;
        background-color: #f5f5f5;
        margin: 0;
        padding: 0;
    }
    #content {
        padding: 20px;
    }
    .form-container {
        background: #fff;
        padding: 20px;
        border-radius: 8px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        margin-bottom: 20px;
    }
    .form-container h5 {
        font-size: 16px;
        font-weight: 600;
        margin-bottom: 10px;
        color: #333;
    }
    .form-container input, .form-container select {
        width: 100%;
        padding: 10px;
        margin-bottom: 20px;
        border: 1px solid #ddd;
        border-radius: 4px;
        font-size: 14px;
    }
    .form-container button {
        padding: 10px 20px;
        border: none;
        border-radius: 4px;
        font-size: 14px;
        cursor: pointer;
        transition: background-color 0.3s ease;
    }
    .btn-success {
        background: linear-gradient(135deg, #4CAF50, #2E7D32);
        color: #fff;
    }
    .btn-warning {
        background: linear-gradient(135deg, #FF9800, #F57C00);
        color: #fff;
    }
    .btn-success:hover, .btn-warning:hover {
        filter: brightness(1.2);
    }
    .row {
        display: flex;
        flex-wrap: wrap;
        gap: 15px;
    }
    .col-lg-4, .col-lg-6, .col-lg-8 {
        flex: 1;
        min-width: calc(33.333% - 10px);
    }
    @media (max-width: 768px) {
        .col-lg-4, .col-lg-6, .col-lg-8 {
            flex: 1;
            min-width: 100%;
        }
    }
</style>
<script>
function distributePayment(amount) {
    let remainingAmount = parseFloat(amount) || 0;
    const rows = document.querySelectorAll("#sample_1 tbody tr");

    rows.forEach(row => {
        const balanceCell = row.querySelector("td:nth-child(5)");
        const paidNowInput = row.querySelector("td:nth-child(6) input");
        const newBalanceCell = row.querySelector("td:nth-child(7)");

        const balance = parseFloat(balanceCell.textContent) || 0;

        if (remainingAmount > 0) {
            const paidNow = Math.min(remainingAmount, balance);
            paidNowInput.value = paidNow.toFixed(2);
            newBalanceCell.textContent = (balance - paidNow).toFixed(2);
            remainingAmount -= paidNow;
        } else {
            paidNowInput.value = 0;
            newBalanceCell.textContent = balance.toFixed(2);
        }
    });
}
</script>
<div id="content" class="bg-container">
    <?php include 'ContentFooter.php'; ?>

    <div class="form-container">
        <h3>Paid To Supplier</h3>
        <form method="get" action="">
            <div class="row">
                <div class="col-lg-8">
                    <h5>Search Supplier <span class="label_desc">(Search by Name or ID)</span></h5>
                    <select name="search_query" class="form-control chzn-select" onchange="this.form.submit()">
                        <option disabled selected>Choose a Supplier</option>
                        <?php
                        $suppliers = Run($conn, "SELECT `id`, `name` FROM `tbl_suppliers` WHERE `status` = '1'");
                        while ($supplier = GetRow($suppliers)) {
                            $selected = ($supplier['id'] == $searchQuery) ? 'selected' : '';
                            echo "<option value='{$supplier['id']}' $selected>{$supplier['id']} - {$supplier['name']}</option>";
                        }
                        ?>
                    </select>
                </div>
            </div>
        </form>

        <form method="post" action="">
            <input type="hidden" name="add_check" value="true" />
            <div class="row" style="margin-top: 40px;">
                <div class="col-lg-4">
                    <h5>Payment Method <span class="label_desc">(Required)</span></h5>
                    <select name="PaidBy" class="form-control chzn-select">
                        <option value="From Restaurant Bank">From Restaurant Bank</option>
                        <option value="From Restaurant Cash">From Restaurant Cash</option>
                    </select>
                </div>
                <div class="col-lg-4">
                    <h5>Amount Paid <span class="label_desc">(Required)</span></h5>
                    <input type="number" name="Paid" class="form-control" required oninput="distributePayment(this.value)" />
                </div>
                <div class="col-lg-4">
                    <h5>Supplier ID <span class="label_desc">(Required)</span></h5>
                    <input type="text" name="supplier_id" class="form-control" value="<?php echo htmlspecialchars($ID); ?>" readonly required />
                </div>
            </div>
            <div class="card">
                <div class="card-block" style="margin-top: 60px;">
                    <table class="table table-striped table-bordered table-hover" id="sample_1">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Bill Date</th>
                                <th>Bill Amount</th>
                                <th>Paid Amount</th>
                                <th>Balance</th>
                                <th>Paid Now</th>
                                <th>New Balance</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $i = 1;
                            $invoices = Run($conn, "SELECT `id`, `post_date`, `cr`, `dr` FROM `tbl_purchases` WHERE (`cr` - `dr`) > 0 AND `supplier_id` = '$ID'");
                            while ($invoice = GetRow($invoices)) {
                                $balance = $invoice['cr'] - $invoice['dr'];
                                echo "<tr>";
                                echo "<td>{$i}</td>";
                                echo "<td>{$invoice['post_date']}</td>";
                                echo "<td>{$invoice['cr']}</td>";
                                echo "<td>{$invoice['dr']}</td>";
                                echo "<td>{$balance}</td>";
                                echo "<td>
                                    <input type='number' name='paid_now[{$invoice['id']}]' class='form-control' value='0' oninput='updateNewBalance(this, {$balance}, \"new_balance_{$invoice['id']}\")' />
                                </td>";
                                echo "<td><span id='new_balance_{$invoice['id']}'>{$balance}</span></td>";
                                echo "</tr>";
                                echo "<input type='hidden' name='bill_ids[]' value='{$invoice['id']}' />";
                                echo "<input type='hidden' name='balances[{$invoice['id']}]' value='{$balance}' />";
                                $i++;
                            }
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-success">Save</button>
                <button type="reset" class="btn btn-warning">Reset</button>
            </div>
        </form>
    </div>
</div>

<?php include 'Footer.php'; ?>