<?php
$page = 'expenses';

require_once('sessionp.php');
require_once('checkAccountsSession.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true') {
    $start_date = getValue('date_from');
    $end_date   = getValue('date_to');
}

$module = 'expenses';
$range = 'true';
$listRS = GetRow(Run($conn, "SELECT SUM(received_amount) AS Received, SUM(given_amount) AS Given, Date FROM tbl_cashdetails ORDER BY Date ASC"));
$list = GetRow(Run($conn, "SELECT Date FROM tbl_cashdetails ORDER BY Date ASC"));
$listR = GetRow(Run($conn, "SELECT Date FROM tbl_cashdetails ORDER BY Date DESC"));
$Date = $list['Date'];
$DateR = $listR['Date'];
$Received = $listRS['Received'];
$Given = $listRS['Given'];
$Balance = $listRS['Received'] - $listRS['Given'];
$pageTitle = 'Balance Cash Till ' . $listR['Date'] . ': ' . $Balance;
$pageRole = 'table';

include 'MasterTop.php';
?>

<!DOCTYPE html>
<html>
<head>
    <title><?php echo $pageTitle;?></title>
    <style>
        /* Add your custom CSS styles here */
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            background-color: #f2f2f2;
        }

        .info-container {
            width: 90%;
            max-width: 1600px;
            padding: 1px;
            border-radius: 20px;
            background-color: #ffffff;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
        }

        .header {
            text-align: center;
            margin-bottom: 2px;
        }

        .header h1 {
            font-size: 30px;
            color: #333;
            margin-bottom: 2px;
        }

        .header p {
            font-size: 24px;
            color: #777;
        }

        .content {
            text-align: left; /* Align content to the left */
        }

        th, td {
            padding: 10px;
            text-align: left;
            border-bottom: 1px solid #ddd;
            font-size: 18px;
            word-wrap: break-word; /* Allow long words to wrap within cells */
        }

        th {
            background-color: #f2f2f2;
            font-size: 22px; /* Increased font size for table headers */
            text-transform: uppercase; /* Uppercase table headers */
        }

        td {
            font-size: 22px; /* Font size for table data */
            text-align: Left; /* Align text to the left within table data cells */
        }

        p {
            font-size: 22px;
            text-align: center;
            margin-top: 8px;
            color: #444;
        }

        .promo {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 0px;
            background-color: #ff9800;
            color: #fff;
            padding: 1px;
            border-radius: 5px;
        }

        @media print {
            body {
                -webkit-print-color-adjust: exact; /* Enable background colors in print */
                background-color: #fff; /* Set a white background for printing */
            }
        }
    </style>
</head>
<body>
    <div class="info-container">
        <div class="header">
            <h1>Cash Tracker Register</h1>
			<h4>__________________________________________</h4>
            <h3>Total Received From <?php echo $Date ?>: <?php echo $Received ?></h3>
            <h3>Total Given Till <?php echo $DateR ?>: <?php echo $Given ?></h3>
            <h2><?php echo $pageTitle ?></h2>
            <h4>__________________________________________</h4>			
        </div>
        <div class="content">
            <div class="table-responsive m-t-35">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Transaction(Date)</th>
                            <th>Received</th>
                            <th>Given</th>
                            <th>Balance</th>
                            <th>Recipient(Name)</th>
                            <th>Notes</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $listRS = Run($conn, "SELECT * FROM tbl_cashdetails ORDER BY Date ASC");
                        $runningBalance = 0;
                        while ($listR = GetRow($listRS)) {
                            $id = $listR['id'];
                            $date = $listR['Date'];
                            $received_amount = $listR['received_amount'];
                            $given_amount = $listR['given_amount'];
                            $handover_person = $listR['handover_person'];
                            $remark = $listR['remark'];
                            
                            // Calculate balance for current row
                            $rowBalance = $received_amount - $given_amount;
                            $runningBalance += $rowBalance; // Update running balance
                        ?>
                        <tr>
                            <td><?php echo $id; ?></td>
                            <td><?php echo $date; ?></td>
                            <td><?php echo $received_amount; ?></td>
                            <td><?php echo $given_amount; ?></td>
                            <td><?php echo $runningBalance; ?></td> <!-- Display running balance -->
                            <td><?php echo $handover_person; ?></td>
                            <td><?php echo $remark; ?></td>
                        </tr>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</body>
</html>
<script>
    window.onload = function() {
        window.print();
    }
</script>
