<?php
$page = 'employee';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$module = 'employees';

include 'MasterTop.php';
?>
<!DOCTYPE html>
<html>
<head>
    <title>Employee Information</title>
    <style>
        /* Add your custom CSS styles here */
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            background-color: #f2f2f2;
        }

        .info-container {
            width: 80%;
            max-width: 800px;
            padding: 2px;
            border-radius: 10px;
            background-color: #ffffff;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
        }

        .header {
            text-align: center;
            margin-bottom: 20px;
        }

        .header h1 {
            font-size: 40px;
            color: #333;
            margin-bottom: 10px;
        }

        .header p {
            font-size: 24px;
            color: #777;
        }

        .content {
            text-align: left; /* Align content to the left */
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 10px;
            border: 1px solid #ddd;
            table-layout: fixed; /* Prevent cell content from breaking across pages */
        }

        th, td {
            padding: 20px;
            text-align: right;
            border-bottom: 1px solid #ddd;
            font-size: 18px;
            word-wrap: break-word; /* Allow long words to wrap within cells */
        }

        th {
            background-color: #f2f2f2;
            font-size: 25px; /* Increased font size for table headers */
            text-transform: uppercase; /* Uppercase table headers */
        }

        td {
            font-size: 25px; /* Font size for table data */
            text-align: right; /* Align text to the left within table data cells */
        }

        p {
            font-size: 22px;
            text-align: center;
            margin-top: 18px;
            color: #444;
        }

        .promo {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 0px;
            background-color: #ff9800;
            color: #fff;
            padding: 5px;
            border-radius: 15px;
        }

        @media print {
            body {
                -webkit-print-color-adjust: exact; /* Enable background colors in print */
                background-color: #fff; /* Set a white background for printing */
            }
        }
    </style>
</head>
<body>
    <div class="info-container">
        <div class="header">
            <h1>Bistro Noir</h1>
            <h2>Unit 3 Gol Market </h2>
            <h2>St 4 F-7/3 Islamabad</h2>
        </div>
        <div class="content">
            <table> 
                <tr>
                    <th>Business Name</th>
                    <td></td>
                </tr>
                <tr>
                    <th>Category</th>
                    <td></td>
                </tr>				
                <tr>
                    <th>Supplier Name</th>
                    <td></td>
                </tr>				
                <tr>
                    <th>Contact Number 1</th>
                    <td></td>
                </tr>
                <tr>
                    <th>Contact Number 2</th>
                    <td></td>
                </tr>
                <tr>
                    <th>Address</th>
                    <td></td>
                </tr>
                <tr>
                    <th>Bank Title Name</th>
                    <td></td>
                </tr>
                <tr>
                    <th>Bank Name</th>
                    <td></td>
                </tr>
                <tr>
                    <th>Bank Account Number</th>
                    <td></td>
                </tr>
                <tr>
                    <th>Date</th>
                    <td></td>
                </tr>
            </table>
            <p>Please fill out the supplier information in the above. Make sure to provide accurate and complete details. Once you've filled out the information, don't forget to attach a copy of the ID card.</p>
            <div class="promo">
                <h3>Supply with Confidence, Grow with Bistro Noir!</h3>
                <h2>Ensuring Quality and Quantity for a Secure Partnership</h2>
                <p>We appreciate your commitment to supplying us with top-quality products. Your dedication to excellence ensures our customers receive the best.</p>
            </div>
            <div style="margin-top: 120px; color: black;">
                <h3>Vendor:____________________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Bistro Noir:________________________</h3>
            </div>				
        </div>
    </div>
</body>
</html>
<script>
    window.onload = function() {
        window.print();
    }
</script>

