<?php
$page = 'BirthDay';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$module = 'employees';
$range = 'true';
$pageRole = 'table';

include 'MasterTop.php';

$monthsQuery = $conn->query("SELECT DISTINCT id, title FROM tbl_items_cat");
$months = array();

while ($row = $monthsQuery->fetch_assoc()) {
    $months[$row['id']] = $row['title'];
}

// Check if the form is submitted and set the selected month
if (isset($_POST['submit'])) {
    $selectedMonth = $_POST['month'];
    $employees = $conn->query("SELECT tbl_items.title as Items FROM tbl_items 
    JOIN tbl_items_cat ON tbl_items.category_id = tbl_items_cat.id
    WHERE tbl_items.category_id = $selectedMonth");
}

?>

<div id="content" class="bg-container">
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <form method="POST" action="">
                    <label for="month">Select Month:</label>
                    <select name="month" id="month">
                        <?php
                        foreach ($months as $monthNumber => $monthName) {
                            echo "<option value='$monthNumber'";
                            if ($monthNumber == $selectedMonth) {
                                echo " selected";
                            }
                            echo ">$monthName</option>";
                        }
                        ?>
                    </select>
                    <input type="submit" name="submit" value="Submit"> <button onclick="printTable()" style="margin-top: 20px;">Print</button>
                </form>
                <div class="col-xs-12 data_tables">
                    <div id="print-content" style="text-align: center;">
                        <div class="card">
                            <div class="card-block" style="margin-top: 60px;">
                                <div style="text-align: center; margin-bottom: 50px;"></div>
                                <!-- Table to display employee data -->
                                <table class="table table-striped table-bordered table-hover" id="sample_1" style="width: 80%; margin: 0 auto; font-size: 20px;">
                                    <tr>
                                        <th style="text-align: center;">Numbering</th>
                                        <th style="text-align: center;">Items</th>
                                    </tr>
                                    <?php
                                    if (isset($employees)) {
                                        $numbering = 1; // Initialize numbering
                                        while ($row = $employees->fetch_assoc()) {
                                            echo "<tr>";
                                            echo "<td>{$numbering}</td>"; // Display the numbering
                                            echo "<td>{$row['Items']}</td>";
                                            echo "</tr>";
                                            $numbering++; // Increment numbering
                                        }
                                    }
                                    ?>
                                </table>
                            </div>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET-->
                </div>
            </div>
            <!-- /.inner -->
        </div>
        <!-- /.outer -->
    </div>
    <!-- /#content -->
</div>

<style>
    @media print {
        body * {
            visibility: hidden;
        }

        #print-content,
        #print-content * {
            visibility: visible;
        }

        #print-content button {
            display: none;
        }
    }
</style>

<script>
    function printTable() {
        window.print();
    }
</script>
