<?php
$page = 'PurchaserDetailsEdit';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$Date = $_GET['date'];

$module = 'Demand';
$pageRole = 'table';
$pageTitle = "Purchaser Cash Details";

include 'MasterTop.php';
?>

<!DOCTYPE html>
<html>
<head>
    <title>Employee Information</title>
    <style>
        /* Add your custom CSS styles here */
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            background-color: #f2f2f2;
        }

        .info-container {
            width: 80%;
            max-width: 800px;
            padding: 5px;
            border-radius: 10px;
            background-color: #ffffff;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
        }

        .header {
            text-align: center;
            margin-bottom: 30px;
        }

        .header h1 {
            font-size: 36px;
            color: #333;
            margin-bottom: 10px;
        }

        .header p {
            font-size: 20px;
            color: #777;
        }

        .content {
            text-align: left;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 30px;
            border: 1px solid #ddd;
            table-layout: fixed;
        }

        th, td {
            padding: 14px;
            text-align: left;
            border-bottom: 1px solid #ddd;
            font-size: 16px;
            word-wrap: break-word;
        }

        th {
            background-color: #f2f2f2;
            font-size: 22px;
            text-transform: uppercase;
        }

        td {
            font-size: 20px;
            text-align: left;
        }

        p {
            font-size: 18px;
            text-align: center;
            margin-top: 18px;
            color: #444;
        }

        .promo {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 0px;
            background-color: #ff9800;
            color: #fff;
            padding: 12px;
            border-radius: 10px;
        }

        @media print {
            body {
                -webkit-print-color-adjust: exact;
                background-color: #fff;
            }
        }
    </style>
</head>
<body>
    <div class="info-container">
        <div class="header">
            <h1>Bistro Noir</h1>
            <h1>Unit 3 Gol Market St 4 F-7/3 Islamabad</h1>
            <p>Purchaser Cash Summary <?php echo $Date; ?></p>
        </div>
        <div class="content">
            <table>
                <?php
                $purchaseRS = GetRow(Run($conn, "SELECT SUM(purchase) AS amount_purchase FROM tbl_expenses WHERE post_date = '$Date'"));
                $PurchaseAmount = $purchaseRS['amount_purchase'];
                $purchaseDetailsR = GetRow(Run($conn, "SELECT SUM(other_sources) AS total_other, 
                                                            SUM(today_bills) AS total_bills,
                                                            SUM(previous_bill) AS total_previous
                                                            FROM tbl_purchaser_details WHERE post_date = '$Date'"));
                $FromOther = $purchaseDetailsR['total_other'];
                $TotalAmount = $PurchaseAmount + $FromOther;
                ?>
                <tr>
                    <th>From Account</th>
                    <td><?php echo $PurchaseAmount; ?></td>
                </tr>
                <tr>
                    <th>Cash Till/HR</th>
                    <td><?php echo $FromOther; ?></td>
                </tr>
                <tr>
                    <th>Total Cash</th>
                    <td><?php echo $TotalAmount; ?></td>
                </tr>
                <tr>
                    <th>Today Exp</th>
                    <td><?php echo $purchaseDetailsR['total_bills']; ?></td>
                </tr>
                <tr>
                    <th>Previous</th>
                    <td><?php echo $purchaseDetailsR['total_previous']; ?></td>
                </tr>
                <tr>
                    <th>Hand Over</th>
                    <td><?php $handOverValue = $TotalAmount - $purchaseDetailsR['total_bills'] - $purchaseDetailsR['total_previous']; ?><?php echo $handOverValue; ?></td>
                </tr>
            </table>
        </div>
        <!-- Add a space here -->
        <div class="content" style="margin-top: 40px;">     
            <div class="header">
                <h3>Previous Paid Summary</h3>
            </div>
            <table class="table table-striped table-bordered table-hover">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Supplier</th>
                        <th>Amount</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $totalTodayPendingPaid = 0; // Initialize total variable
                    $SupplierPaidResult = Run($conn, "SELECT id, supplier_id, previous_bill FROM tbl_purchaser_details WHERE post_date = '$Date' ORDER BY post_date DESC");
                    while ($SupplierPaid = GetRow($SupplierPaidResult)) {
                        $ID = $SupplierPaid['id'];
                        $SupplierID = $SupplierPaid['supplier_id'];
                        $SupplierResult = GetRow(Run($conn, "SELECT title FROM tbl_suppliers WHERE id = $SupplierID"));
                        $Supplier = $SupplierResult['title'];
                        $TodayPendingPaid = $SupplierPaid['previous_bill'];
                        // Check if $TodayPendingPaid is greater than 0
                        if ($TodayPendingPaid > 0) {
                            $totalTodayPendingPaid += $TodayPendingPaid; // Add to total
                    ?>
                            <tr>
                                <td><?php echo $ID; ?></td>
                                <td><?php echo $Supplier; ?></td>
                                <td><?php echo number_format($TodayPendingPaid, 0); ?></td>
                            </tr>
                    <?php
                        }
                    }
                    ?>
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="2" style="text-align: right; font-weight: bold;">Total</td>
                        <td class="text-right font-weight-bold"><?php echo number_format($totalTodayPendingPaid, 0); ?></td>
                    </tr>
                </tfoot>
            </table>
            
            <div class="header">
                <h3>Today Pending Summary</h3>
            </div>
            <table class="table table-striped table-bordered table-hover">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Supplier</th>
                        <th>Amount</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $totalTodayPendingPaid = 0; // Initialize total variable
                    $SupplierPaidResult = Run($conn, "SELECT id, supplier_id, pending_bills FROM tbl_purchaser_details WHERE post_date = '$Date' ORDER BY post_date DESC");
                    while ($SupplierPaid = GetRow($SupplierPaidResult)) {
                        $ID = $SupplierPaid['id'];
                        $SupplierID = $SupplierPaid['supplier_id'];
                        $SupplierResult = GetRow(Run($conn, "SELECT title FROM tbl_suppliers WHERE id = $SupplierID"));
                        $Supplier = $SupplierResult['title'];
                        $TodayPendingPaid = $SupplierPaid['pending_bills'];
                        // Check if $TodayPendingPaid is greater than 0
                        if ($TodayPendingPaid > 0) {
                            $totalTodayPendingPaid += $TodayPendingPaid; // Add to total
                    ?>
                            <tr>
                                <td><?php echo $ID; ?></td>
                                <td><?php echo $Supplier; ?></td>
                                <td><?php echo number_format($TodayPendingPaid, 0); ?></td>
                            </tr>
                    <?php
                        }
                    }
                    ?>
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="2" style="text-align: right; font-weight: bold;">Total</td>
                        <td class="text-right font-weight-bold"><?php echo number_format($totalTodayPendingPaid, 0); ?></td>
                    </tr>
                </tfoot>
            </table>     
            <p>.</p>
            <p>.</p>
            <p><strong>Authorize Person signature : </strong> <span id="supplier-paid-amount">_______________</span><strong>Purchaser signature : </strong> <span id="supplier-invoice-number">___________________</span></p>        
        </div>
    </div>
</body>
</html>
<script>
    window.onload = function() {
        window.print();
    }
</script>
