<?php
$page = 'employee';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$module = 'employees';

include 'MasterTop.php';
?>
<!DOCTYPE html>
<html>
<head>
    <title>Employee Information</title>
    <style>
        /* Add your custom CSS styles here */
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            background-color: #f2f2f2;
        }

        .info-container {
            width: 80%;
            max-width: 800px;
            padding: 10px; /* Add padding for space */
            border-radius: 10px;
            background-color: #ffffff;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
        }

        .header {
            text-align: center;
            margin-bottom: 10px;
        }

        .header h1 {
            font-size: 36px;
            color: #333;
            margin-bottom: 5px;
        }

        .header p {
            font-size: 20px;
            color: #777;
        }

        .content {
            text-align: left; /* Align content to the left */
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 5px;
            border: 1px solid #ddd;
            table-layout: fixed; /* Prevent cell content from breaking across pages */
        }

        th, td {
            padding: 10px;
            text-align: right;
            border-bottom: 1px solid #ddd;
            font-size: 16px;
            word-wrap: break-word; /* Allow long words to wrap within cells */
        }

        th {
            background-color: #f2f2f2;
            font-size: 22px; /* Increased font size for table headers */
            text-transform: uppercase; /* Uppercase table headers */
        }

        td {
            font-size: 20px; /* Font size for table data */
            text-align: right; /* Align text to the left within table data cells */
        }

        p {
            font-size: 18px;
            text-align: center;
            margin-top: 18px;
            color: #444;
        }

        .promo {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 10px; /* Add space after promo */
            padding: 10px; /* Add padding to promo */
            background-color: #ff9800;
            color: #fff;
            border-radius: 10px;
        }

        @media print {
            body {
                -webkit-print-color-adjust: exact; /* Enable background colors in print */
                background-color: #fff; /* Set a white background for printing */
            }
        }
    </style>
</head>
<body>
    <div class="info-container">
        <div class="header">
            <h1>Bistro Noir</h1>
            <h1>Unit 3 Gol Market St 4 F-7/3 Islamabad</h1>
            <p>Supplier and Products Details</p>
        </div>	
        <?php
        $SuppliersGet = Run($conn, "SELECT name, title, phone, address, email, account FROM `tbl_suppliers` WHERE status = '1' ORDER BY id DESC");

        while ($SuppliersDetails = GetRow($SuppliersGet)) {
        ?>
        <div class="promo">
            <h2><?php echo $SuppliersDetails['name']; ?></h2>
            <?php if (countEnglishAlphabets($SuppliersDetails['address']) > 3) { ?>
                <p>Address: <?php echo $SuppliersDetails['address']; ?></p>
            <?php } ?>
            <?php if (strlen($SuppliersDetails['email']) >= 2 && countEnglishAlphabets($SuppliersDetails['email']) > 3) { ?>
                <p>Bank Name: <?php echo $SuppliersDetails['email']; ?></p>
            <?php } ?>
            <?php if (strlen($SuppliersDetails['title']) >= 2 && countEnglishAlphabets($SuppliersDetails['title']) > 3) { ?>
                <p>Bank Title Name: <?php echo $SuppliersDetails['title']; ?></p>
            <?php } ?>
            <?php if ($SuppliersDetails['account'] > 0){ ?>
				<p>Bank Account: <?php echo $SuppliersDetails['account']; ?></p>
			<?php } ?>	
        </div>
        <?php
        }
        ?>
    </div>
</body>
</html>
<script>
    window.onload = function() {
        window.print();
    }
</script>

<?php
// Function to count English alphabets in a string
function countEnglishAlphabets($str) {
    $str = preg_replace('/[^A-Za-z]/', '', $str); // Remove non-alphabetic characters
    return strlen($str);
}
?>
