<?php 
$page = 'PurchaserDetails';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$module     = 'Demand';
$pageRole   = 'table';
$pageTitle  = "Purchaser Cash Details";

include 'MasterTop.php';
// || $user_type == '2')
if ($user_type == '1') {
    include 'Top.php';
    include 'SideBar.php';
}
?>
  <style>
    /* Adjust the position of the icon */
    .back-btn {
      display: inline-block;
      padding: 5px 12px;
      background-color: #4CAF50;
      color: white;
      text-decoration: none;
      border: none;
      border-radius: 2px;
      cursor: pointer;
    }
    .back-btn{
      margin-right: 3px;
    }
    .back-btn:hover {
      background-color: #45a049;
    }
  </style>
  <style>
  .card {
    width: 60%; /* Adjust the width as needed */
    margin: 0 auto; /* This will center the card */
  }
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<body>
    <div id="content" class="bg-container">
        <div class="outer">
            <div class="inner bg-light lter bg-container">
                <div class="row">
                    <div class="col-xs-12 data_tables mx-auto">
                        <div class="card">
                            <div class="card-block" style="margin-top: 60px;">
                                <table class="table table-striped table-bordered table-hover">
                                    <thead>
                                        <tr>
                                            <th>Date</th>
                                            <th>From Accountant</th>
                                            <th>Cash Till/HR</th>
                                            <th>Total Cash</th>
                                            <th>Total Expenses</th>
                                            <th>Previous Bills</th>
                                            <th>Cash HandOver</th>
                                            <th>Pending Today</th>
                                            <th>Edit</th>
											<?php
                                            if ($user_type == '1') {?>
											<th>Print</th>
											<?php } ?>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $listRS = Run($conn, "SELECT DISTINCT post_date FROM tbl_expenses WHERE status = '1' ORDER BY post_date DESC");
                                        while ($listR = GetRow($listRS)) {
                                            $nextDate = $listR['post_date'];

                                            $purchaseRS = GetRow(Run($conn, "SELECT SUM(purchase) AS amount_purchase FROM tbl_expenses WHERE post_date = '$nextDate'"));
                                            $PurchaseAmount = $purchaseRS['amount_purchase'];

                                            $purchaseDetailsR = GetRow(Run($conn, "SELECT SUM(other_sources) AS total_other, 
                                                                                           SUM(today_bills) AS total_bills,
                                                                                           SUM(previous_bill) AS total_previous,
																						   SUM(pending_bills) AS P_bills
                                                                                           FROM tbl_purchaser_details WHERE post_date = '$nextDate'"));
                                            $FromOther = $purchaseDetailsR['total_other'];
                                            $TodayPaid = $purchaseDetailsR['total_bills'];
                                            $previousPaid = $purchaseDetailsR['total_previous'];
											$Pending = $purchaseDetailsR['P_bills'];

                                            $TotalAmount = $PurchaseAmount + $FromOther;
                                            $TotalExp = $TodayPaid + $previousPaid;
                                            $HandOver = $TotalAmount - $TotalExp;
                                        ?>
                                            <tr>
                                                <td><?php echo $nextDate; ?></td>
                                                <td><?php echo number_format($PurchaseAmount,0); ?></td>
                                                <td><?php echo number_format($FromOther,0); ?></td>
                                                <td><?php echo number_format($TotalAmount,0); ?></td>
                                                <td><?php echo number_format($TodayPaid,0); ?></td>
                                                <td><?php echo number_format($previousPaid,0); ?></td>
                                                <td><?php echo number_format($HandOver,0); ?></td>
                                                <td><?php echo number_format($Pending,0); ?></td>
                                                <td width="8%"><a class="btn btn-success" href="PurchaserDetailsEdit?date=<?php echo $nextDate; ?>" target="_blank">Edit</a></td>
                                                <?php
												if ($user_type == '1') {?>
												<td width="8%"><a class="btn btn-success" href="PrintPurchaserDetails?date=<?php echo $nextDate; ?>" target="_blank">Print</a></td>
                                                <?php } ?>
											</tr>
                                        <?php } ?>
                                    </tbody>
									    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">						            
							            <a href="VendorsFromKitchen.php" class="back-btn"><i class="fas fa-arrow-left"></i></a>	
                                        <div style="display: flex; justify-content: flex-end; gap: 20px;"></div>	
                                        &nbsp;	
                                </table>	
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
<?php include 'Footer.php'; ?>