<?php
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');

if ($reg_date_check == 'true') {
    $register_date = getValue('register_date');
}

$businessDay = date('l jS \of F Y', strtotime($register_date));
$page = 'home';
$module = 'dashboard';
$pageTitle = 'FOH Shift Management - ' . $businessDay;
$pageRole = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>

<style>
    /* Your existing styles */
</style>

<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white">FOH Shift Management</div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-lg-12" style="padding:10px;">

                                    <?php
                                    $designationValues = array(
                                        'Senior G. Manager',
                                        'G. Manager',
                                        'Senior Restaurant Manager',
                                        'Restaurant Manager',
                                        'Senior Assistant Manager',
                                        'Assistant Manager',
                                        'Senior Shift Manager',
                                        'Shift Manager',
                                        'Senior Shift Lead',
                                        'Shift Lead',
                                        'Senior Supervisor',
                                        'Supervisor',
                                        'Senior Order Taker',
                                        'Order Taker',
                                        'Senior Cashier',
                                        'Cashier',
                                        'Senior GRO',
                                        'GRO',
                                        'Senior Waiter',
                                        'Senior Server',
                                        'Waiter',
                                        'Server',
                                        'Senior Busser',
                                        'Busser'
                                    );

                                    // Fetch employees for each designation
                                    $employeeCounts = array();
                                    foreach ($designationValues as $designation) {
                                        $sqlCount = Run($conn, "SELECT COUNT(*) as count FROM `tbl_employees` WHERE `status`='Active' AND designation = '$designation'");
                                        $resultCount = GetRow($sqlCount);
                                        $employeeCounts[$designation] = $resultCount['count'];
                                    }

                                    // Calculate the number of employees for each shift
                                    $totalEmployees = array_sum($employeeCounts);
                                    $employeesPerShift = ceil($totalEmployees / 2);

                                    // Initialize counters
                                    $morningShiftCount = 0;
                                    $eveningShiftCount = 0;

                                    // Display headers
                                    ?>
                                    <table class="table table-striped table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th>No</th>
                                                <th>Name</th>
                                                <th>Designation</th>
                                                <th>Shift</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                    <?php

                                    // Display employees
                                    foreach ($designationValues as $designation) {
                                        // Fetch employees for each designation
                                        $sqlEmployees = Run($conn, "SELECT * FROM `tbl_employees` WHERE `status`='Active' AND designation = '$designation' ORDER BY RAND()"); // Random order to distribute equally

                                        while ($employee = GetRow($sqlEmployees)) {
                                            // Distribute employees to shifts
                                            if ($morningShiftCount < $employeesPerShift) {
                                                $shift = 'Morning Shift';
                                                $morningShiftCount++;

                                                // Display header at the beginning of the morning shift
                                                if ($morningShiftCount === 1) {
                                                    echo "<tr><td colspan='4'><h2>Morning Shift</h2></td></tr>";
                                                }
                                            } else {
                                                $shift = 'Evening Shift';
                                                $eveningShiftCount++;

                                                // Display header at the beginning of the evening shift
                                                if ($eveningShiftCount === 1) {
                                                    echo "<tr><td colspan='4'><h2>Evening Shift</h2></td></tr>";
                                                }
                                            }
                                    ?>
                                            <tr>
                                                <td><?php echo $employee['id_emp']; ?></td>
                                                <td><?php echo $employee['name']; ?></td>
                                                <td><?php echo $employee['designation']; ?></td>
                                                <td><?php echo $shift; ?></td>
                                            </tr>
                                    <?php
                                        }
                                    }
                                    ?>
                                        </tbody>
                                    </table>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include 'Footer.php'; ?>
