<?php

$page = 'advance';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day = '01';
$start_month = date("m");
$start_year = date("Y");
$start_date = $start_year . '-' . $start_month . '-' . $start_day;
$end_date = date("Y-m-d");
$date_check = getValue('date_check');
if ($date_check == 'true') {
    $start_date = getValue('date_from');
    $end_date = getValue('date_to');
}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if ($reg_date_check == 'true') {
    $register_date = getValue('register_date');
}

$module = 'employees';
$range = 'true';
$pageTitle = 'Employees';
$pageRole = 'table';

$yesSumQuery = "SELECT SUM(tbl_adv.amount) AS YesSum
FROM tbl_adv
INNER JOIN tbl_employees ON tbl_adv.category_id = tbl_employees.id_emp
WHERE tbl_employees.bank_transfer_option = 'Yes' AND tbl_adv.post_date >= '$start_date'";

$noSumQuery = "SELECT SUM(tbl_adv.amount) AS NoSum
FROM tbl_adv
INNER JOIN tbl_employees ON tbl_adv.category_id = tbl_employees.id_emp
WHERE tbl_employees.bank_transfer_option = 'No' AND tbl_adv.post_date >= '$start_date'";

$yesSumRS = Run($conn, $yesSumQuery);
$noSumRS = Run($conn, $noSumQuery);

$yesSumR = GetRow($yesSumRS);
$noSumR = GetRow($noSumRS);

$yesSum = $yesSumR['YesSum'];
$noSum = $noSumR['NoSum'];

$listRS = Run($conn, "select * from tbl_employees where status = 'Active' order by id desc");

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
    .buttons-print {
        border: 1px solid;
        padding: 5px 10px;
        border-radius: 3px;
    }
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <!--<div class="d-flex justify-content-end">
                                <div class="card ml-auto" style="width: 20rem;">
                                    <div class="card-header">
                                        Total Amounts From Start Date
                                    </div>
                                    <ul class="list-group list-group-flush">
                                        <li class="list-group-item">
                                            <strong>Bank Transfer Option 'Yes':</strong>
                                            <span class="badge badge-primary badge-pill float-right"> <?php echo $yesSum; ?> </span>
                                        </li>
                                        <li class="list-group-item">
                                            <strong>Bank Transfer Option 'No':</strong>
                                            <span class="badge badge-primary badge-pill float-right"> <?php echo $noSum; ?> </span>
                                        </li>
                                    </ul>
                                </div>
                            </div> -->
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Name</th>
                                        <th>Amount</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $i = 1;
                                    while ($listR = GetRow($listRS)) {
                                        $reportID = $listR['id_emp'];
                                        $Advance = GetRow(Run($conn, "SELECT sum(amount) AS advAmount
                                FROM tbl_adv
                                WHERE category_id = '$reportID'
                                AND post_date >= '$start_date'"));
                                    ?>
                                        <tr>
                                            <td><?php echo $listR['id_emp']; ?></td>
                                            <td><?php echo $listR['name']; ?></td>
                                            <td><?php echo $Advance['advAmount']; ?></td>
                                            <td>
                                                <button class="btn btn-raised btn-success btn-sm md-trigger adv_cust_mod_btn" data-toggle="modal" data-target="#modal-<?php echo $listR['id']; ?>"><i class="fa fa-plus-square"></i> Payment </button>
                                            </td>
                                        </tr>
                                        <div class="modal fade" id="modal-<?php echo $listR['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header bg-success">
                                                        <h4 class="modal-title text-white" id="modalLabelsuccess">New Expense</h4>
                                                    </div>
                                                    <div class="modal-body" style="padding-top:0;">
                                                        <form method="post" action="process/SaveEmpPayment">
                                                            <input type="hidden" name="expense_check" value="true" />
                                                            <div class="row">
                                                                <div class="col-lg-6 input_field_sections">
                                                                    <h5>Employee <span class="label_desc">(Not-Editable)</span></h5>
                                                                    <select class="form-control chzn-select" name="category_id" tabindex="2" disabled>
                                                                        <option disabled selected>Choose</option>
                                                                        <?php
                                                                        $categoriesRS = Run($conn, "select * from tbl_employees order by name asc");
                                                                        while ($categoriesR = GetRow($categoriesRS)) {
                                                                        ?>
                                                                            <option value="<?php echo $categoriesR['id_emp']; ?>" <?php if ($categoriesR['id_emp'] == $listR['id_emp']) { ?> selected="selected" <?php } else { ?> disabled <?php } ?>><?php echo $categoriesR['name']; ?></option>
                                                                        <?php } ?>
                                                                    </select>
                                                                </div>
                                                                <div class="col-lg-6 input_field_sections">
                                                                    <h5>Amount <span class="label_desc">(Required)</span></h5>
                                                                    <input type="number" class="form-control" name="amount" step="any" autocomplete="off" required="required" />
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-lg-12 input_field_sections">
                                                                    <h5>Details <span class="label_desc">(Required)</span></h5>
                                                                    <input type="text" class="form-control" name="details" autocomplete="off" />
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="submit" class="btn btn-success">Save</button>
                                                                <button class="btn  btn-warning" data-dismiss="modal">Cancel</button>
                                                            </div>
                                                        </form>															
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET-->
                </div>
            </div>
            <!-- /.inner -->
        </div>
        <!-- /.outer -->
    </div>
    <!-- /#content -->
</div>
<?php include 'Footer.php'; ?>
