<?php
$page = 'attendance';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_date = isset($_GET['start_date']) ? $_GET['start_date'] : '';
$end_date = isset($_GET['end_date']) ? $_GET['end_date'] : '';

$module = 'employees';
$start_date_obj = new DateTime($start_date);
$end_date_obj = new DateTime($end_date);

// Format the dates as desired
$formatted_start_date = $start_date_obj->format('l d M Y'); // Wednesday 11 Oct 2023
$formatted_end_date = $end_date_obj->format('l d M Y');     // Wednesday 11 Oct 2023

// Create the title string
$pageTitle = "Attendance From $formatted_start_date To $formatted_end_date";

include 'MasterTop.php';
?>

<style>
    .buttons-print {
        border: 1px solid;
        padding: 5px 10px;
        border-radius: 3px;
    }
    table.table-bordered {
        border: 1px solid black;
    }
  .card {
    width: 70%; /* Adjust the width as needed */
    margin: 0 auto; /* This will center the card */
    font-size: 18px; /* Adjust the font size as needed */
  }
</style>
<div id="content" class="bg-container">
    <div class="outer">
        <div class="inner bg-light lter bg-container">
    <h2 style='text-align: center;'><?php echo $pageTitle;?></h2>		
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top: 60px;">
                            <?php
                            // Retrieve distinct houses
                            $houseQuery = "SELECT DISTINCT house FROM tbl_employees WHERE id_emp NOT IN ('121', '122') AND designation IN (
                                    'Senior G. Manager',
                                    'G. Manager',
                                    'Senior Restaurant Manager',
                                    'Restaurant Manager',
                                    'Senior Assistant Manager',
                                    'Assistant Manager',
                                    'Senior Executive Chef',
                                    'Executive Chef',
                                    'Senior Head Chef',
                                    'Head Chef',
                                    'Senior Pastry Chef',
                                    'Pastry Chef',
                                    'Head Patissier',
                                    'Senior Head Barista',
                                    'Head Barista'
                                )";
                            $houseResult = mysqli_query($conn, $houseQuery);
                            while ($houseData = mysqli_fetch_assoc($houseResult)) {
                                $house = $houseData['house'];
                                // Initialize an array to store dates for each PIN
                                $dateArray = array();
                            ?>
                            <div style="page-break-before: always;">
                                <h2><?php echo $house; ?></h2>
                                <?php
                                // Retrieve distinct PINs for the current house
                                $pinQuery = "SELECT DISTINCT id_emp, name FROM tbl_employees WHERE house = '$house' AND status='Active' AND id_emp NOT IN ('121', '122') AND designation IN (
                                    'Senior G. Manager',
                                    'G. Manager',
                                    'Senior Restaurant Manager',
                                    'Restaurant Manager',
                                    'Senior Assistant Manager',
                                    'Assistant Manager',
                                    'Senior Executive Chef',
                                    'Executive Chef',
                                    'Senior Head Chef',
                                    'Head Chef',
                                    'Senior Pastry Chef',
                                    'Pastry Chef',
                                    'Head Patissier',
                                    'Senior Head Barista',
                                    'Head Barista'
                                )";
                                $pinResult = mysqli_query($conn, $pinQuery);
                                while ($pinData = mysqli_fetch_assoc($pinResult)) {
                                    $pin = $pinData['id_emp'];
                                    $NamePin = $pinData['name'];
                                    // Initialize an array to store dates for each PIN
                                    $pinDateArray = array();
                                    $workedLessThan9 = 0;
                                    $workedMoreThan9 = 0;
                                ?>
                                <div style="padding: 15px; border: 1px solid #ccc; margin-bottom: 20px;">
                                    <h3><?php echo "$NamePin"; ?></h3>
                                    <table class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th>Date</th>
                                                <th>Check In</th>
                                                <th>Check Out</th>
                                                <th>Working Hours</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $designationOrder = array(
                                                'Senior G. Manager' => 1,
                                                'G. Manager' => 2,
                                                'Senior Restaurant Manager' => 3,
                                                'Restaurant Manager' => 4,
                                                'Senior Assistant Manager' => 5,
                                                'Assistant Manager' => 6,
                                                'Senior Shift Manager' => 7,
                                                'Shift Manager' => 8,
                                                'Senior Shift Lead' => 9,
                                                'Shift Lead' => 10,
                                                'Senior Supervisor' => 11,
                                                'Supervisor' => 12,
                                                'Senior Order Taker' => 13,
                                                'Order Taker' => 14,
                                                'Senior Cashier' => 15,
                                                'Cashier' => 16,
                                                'Senior GRO' => 17,
                                                'GRO' => 18,
                                                'Senior Waiter' => 19,
                                                'Senior Server' => 19,
                                                'Waiter' => 20,
                                                'Server' => 20,
                                                'Senior Busser' => 21,
                                                'Busser' => 22,
                                                'Senior Executive Chef' => 23,
                                                'Executive Chef' => 24,
                                                'Senior Head Chef' => 25,
                                                'Head Chef' => 26,
                                                'Senior Sous Chef' => 27,
                                                'Sous Chef' => 28,
                                                'Senior CDP' => 29,
                                                'CDP' => 30,
                                                'Senior Demi' => 31,
                                                'Demi' => 32,
                                                'Senior Commis 1' => 33,
                                                'Commis 1' => 34,
                                                'Senior Commis 2' => 35,
                                                'Commis 2' => 36,
                                                'Senior Commis 3' => 37,
                                                'Commis 3' => 38,
                                                'Senior Food Runner' => 39,
                                                'Food Runner' => 40,
                                                'Senior Prep Cook' => 41,
                                                'Prep Cook' => 42,
                                                'Senior Helper Main Kitchen' => 43,
                                                'Helper Main Kitchen' => 44,
                                                'Senior Dishwasher Main Kitchen' => 45,
                                                'Dishwasher Main Kitchen' => 46,
                                                'Senior Intern Main Kitchen' => 47,
                                                'Intern Main Kitchen' => 48,
                                                'Senior Pastry Chef' => 49,
                                                'Pastry Chef' => 49,
                                                'Head Patissier' => 50,
                                                'Senior Pastry Sous Chef' => 51,
                                                'Pastry Sous Chef' => 52,
                                                'Senior Pastry Commis 1' => 53,
                                                'Pastry Commis 1' => 54,
                                                'Senior Pastry Commis 2' => 55,
                                                'Pastry Commis 2' => 56,
                                                'Senior Pastry Commis 3' => 57,
                                                'Pastry Commis 3' => 58,
                                                'Senior Helper Pastry' => 59,
                                                'Helper Pastry' => 60,
                                                'Senior Dishwasher Pastry' => 61,
                                                'Dishwasher Pastry' => 62,
                                                'Senior Intern Pastry' => 63,
                                                'Intern Pastry' => 64,
                                                'Senior Head Barista' => 65,
                                                'Head Barista' => 66,
                                                'Senior Deputy Barista' => 67,
                                                'Deputy Barista' => 68,
                                                'Senior Barista' => 69,
                                                'Barista' => 70,
                                                'Senior Helper Barista' => 71,
                                                'Helper Barista' => 72,
                                                'Senior Intern Barista' => 73,
                                                'Intern Barista' => 74,
                                                'Senior House Keeping' => 75,
                                                'House Keeping' => 76,
                                                'Senior Accountant' => 77,
                                                'Accountant' => 78,
                                                'Senior Building Admin' => 79,
                                                'Building Admin' => 80,
                                                'Senior Maintenance' => 81,
                                                'Maintenance' => 82,
                                                'Senior Purchaser' => 83,
                                                'Purchaser' => 84
                                            );

                                            $designationValues = array_map(function ($designation) {
                                                return "'$designation'";
                                            }, array_keys($designationOrder));											
                                            // Loop through the results for this house and PIN
                                            $listRS = Run($conn, "SELECT DISTINCT PIN, Date FROM tbl_attendance WHERE PIN = $pin AND Date >= '$start_date' AND Date <= '$end_date' ORDER BY Date ASC");
                                            while ($row = mysqli_fetch_assoc($listRS)) {
                                                $Date = $row['Date'];
                                                $pinDateArray[] = $Date; // Store each date for the corresponding PIN

                                                $query = "SELECT Name FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date'";
                                                $result = mysqli_query($conn, $query);
                                                $attendanceData = mysqli_fetch_assoc($result);

                                                // Retrieve check-in and check-out times for the specific date
                                                $checkInQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date' ORDER BY id ASC LIMIT 1";
                                                $checkInResult = mysqli_query($conn, $checkInQuery);
                                                $checkInData = mysqli_fetch_assoc($checkInResult);

                                                $checkOutQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date' ORDER BY id DESC LIMIT 1";
                                                $checkOutResult = mysqli_query($conn, $checkOutQuery);
                                                $checkOutData = mysqli_fetch_assoc($checkOutResult);

                                                // Output data in table rows
                                                echo "<tr>";
                                                echo "<td>" . $Date . "</td>";
                                                echo "<td>" . $checkInData['CHECKTIME'] . "</td>";
                                                echo "<td>" . $checkOutData['CHECKTIME'] . "</td>";

                                                // Calculate the time duration
                                                $checkInTime = strtotime($checkInData['CHECKTIME']);
                                                $checkOutTime = strtotime($checkOutData['CHECKTIME']);
                                                $timeDiff = $checkOutTime - $checkInTime;
                                                $hours = floor($timeDiff / 3600);
                                                $minutes = floor(($timeDiff % 3600) / 60);
                                                if ($hours >= 9) { // Updated condition to check for 9 or more hours
                                                    echo "<td>";
                                                    $workedMoreThan9++;
                                                } else {
                                                    echo "<td style='font-weight: bold;'>Check: ";
                                                    $workedLessThan9++;
                                                }
                                                echo sprintf("%02d:%02d", $hours, $minutes);
                                                echo "</td>";
                                                echo "</tr>";
                                            }

                                            // Display summary for each PIN
                                            echo "<tr><td colspan='6' style='font-weight:bold; font-size:15px;'>";
                                            $datetime1 = new DateTime($start_date);
                                            $datetime2 = new DateTime($end_date);
                                            $interval = $datetime1->diff($datetime2);
                                            $totalDays = $interval->format('%a') + 1; // Add 1 to include both start and end dates
                                            echo "<h4 style='text-align: left;'>$pageTitle (Total : $totalDays " . ($totalDays == 1 ? "Day" : "Days") . ")</h4>";

                                            $totalDates = count($pinDateArray);
                                            if ($totalDates > 0) {
                                            echo "Worked: $totalDates " . ($totalDates == 0 || $totalDates == 1 ? "Day" : "Days") . "<br>";

                                            $absentDates = array();
                                            $currentDate = strtotime($start_date);
                                            $endDate = strtotime($end_date);

                                            while ($currentDate <= $endDate) {
                                            $date = date("Y-m-d", $currentDate);

                                            if (!in_array($date, $pinDateArray)) {
                                            $absentDates[] = $date;
                                            }

                                            $currentDate = strtotime("+1 day", $currentDate);
                                            }

                                            $totalAbsentDates = count($absentDates);

                                            if ($totalAbsentDates > 0) {
                                            echo "Absent: $totalAbsentDates " . ($totalAbsentDates == 0 || $totalAbsentDates == 1 ? "Day" : "Days") . " (";
                                            echo implode(", ", $absentDates);
                                            echo ")<br>";
                                            }

                                            if ($workedMoreThan9 > 0) {
                                            echo "9 or more than 9 hours: ";
                                            echo ($workedMoreThan9 == 0 || $workedMoreThan9 == 1) ? $workedMoreThan9 . " Day<br>" : $workedMoreThan9 . " Days<br>";
                                            }

                                            if ($workedLessThan9 > 0) {
                                            echo "Less than 9 hours: ";
                                            echo ($workedLessThan9 == 0 || $workedLessThan9 == 1) ? $workedLessThan9 . " Day<br>" : $workedLessThan9 . " Days<br>";
                                            }

                                            echo "</td></tr>";
                                            }
                                            ?>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <td colspan="3" style="font-weight:bold; text-align: right;">Total Working Hours:</td>
                                                <td style="font-weight:bold;">
                                                    <?php
                                                    // Calculate total working hours
                                                    $totalWorkingHoursSeconds = 0;
                                                    foreach ($pinDateArray as $Date) {
                                                        $checkInQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date' ORDER BY id ASC LIMIT 1";
                                                        $checkOutQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date' ORDER BY id DESC LIMIT 1";
                                                        $checkInResult = mysqli_query($conn, $checkInQuery);
                                                        $checkOutResult = mysqli_query($conn, $checkOutQuery);
                                                        $checkInData = mysqli_fetch_assoc($checkInResult);
                                                        $checkOutData = mysqli_fetch_assoc($checkOutResult);
                                                        $checkInTime = strtotime($checkInData['CHECKTIME']);
                                                        $checkOutTime = strtotime($checkOutData['CHECKTIME']);
                                                        $totalWorkingHoursSeconds += ($checkOutTime - $checkInTime);
                                                    }
                                                    $totalWorkingHours = floor($totalWorkingHoursSeconds / 3600);
                                                    $totalWorkingMinutes = floor(($totalWorkingHoursSeconds % 3600) / 60);
                                                    echo sprintf("%02d:%02d", $totalWorkingHours, $totalWorkingMinutes);
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="3" style="font-weight:bold; text-align: right;">Total Expected Hours:</td>
                                                <td style="font-weight:bold;">
                                                    <?php
                                                    // Calculate total expected hours
                                                    $totalExpectedHoursSeconds = $totalDates * 9 * 3600; // Convert 9 hours to seconds
                                                    $totalExpectedHours = floor($totalExpectedHoursSeconds / 3600);
                                                    $totalExpectedMinutes = floor(($totalExpectedHoursSeconds % 3600) / 60);
                                                    echo sprintf("%02d:%02d", $totalExpectedHours, $totalExpectedMinutes);
                                                    ?>
                                                </td>
                                            </tr>
                                        </tfoot>										
                                    </table>
                                </div>
                                <?php
                                }
                                ?>
                            </div>
                            <?php
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    window.onload = function () {
        window.print();
    }
</script>
