<?php
$page = 'attendance';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_date = isset($_GET['start_date']) ? $_GET['start_date'] : '';
$end_date = isset($_GET['end_date']) ? $_GET['end_date'] : '';
$pin = isset($_GET['pin']) ? $_GET['pin'] : '';

$module = 'employees';
$start_date_obj = new DateTime($start_date);
$end_date_obj = new DateTime($end_date);

// Format the dates as desired
$formatted_start_date = $start_date_obj->format('l d M Y'); // Wednesday 11 Oct 2023
$formatted_end_date = $end_date_obj->format('l d M Y');     // Wednesday 11 Oct 2023

// Create the title string
$pageTitle = "Attendance From $formatted_start_date To $formatted_end_date";

include 'MasterTop.php';
?>

<style>
    .buttons-print {
        border: 1px solid;
        padding: 5px 10px;
        border-radius: 3px;
    }
    table.table-bordered {
        border: 1px solid black;
    }
</style>
<style>
  .card {
    width: 70%; /* Adjust the width as needed */
    margin: 0 auto; /* This will center the card */
    font-size: 18px; /* Adjust the font size as needed */
  }
</style>
<div id="content" class="bg-container">
    <div class="outer">
        <div class="inner bg-light lter bg-container">		
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top: 60px;">
                            <?php
                            // Retrieve distinct houses
                            $houseQuery = "SELECT DISTINCT house FROM tbl_employees where id_emp=$pin";
                            $houseResult = mysqli_query($conn, $houseQuery);
                            while ($houseData = mysqli_fetch_assoc($houseResult)) {
                                $house = $houseData['house'];
                                // Initialize an array to store dates for each PIN
                                $dateArray = array();
                            ?>
                            <div style="page-break-before: always;">
							<h2 style='text-align: center;'><?php echo $pageTitle;?></h2>
                                <h2><?php echo $house; ?></h2>
                                <?php
                                // Retrieve distinct PINs for the current house
                                $pinQuery = "SELECT DISTINCT name FROM tbl_employees WHERE id_emp=$pin and house = '$house' AND status='Active'";
                                $pinResult = mysqli_query($conn, $pinQuery);
                                while ($pinData = mysqli_fetch_assoc($pinResult)) {
                                    $NamePin = $pinData['name'];
                                    // Initialize an array to store dates for each PIN
                                    $pinDateArray = array();
                                    $workedLessThan9 = 0;
                                    $workedMoreThan9 = 0;
                                ?>
                                <div style="padding: 15px; border: 1px solid #ccc; margin-bottom: 20px;">
                                    <h3><?php echo "$NamePin"; ?></h3>
                                    <table class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th>Date</th>
                                                <th>Check In</th>
                                                <th>Check Out</th>
                                                <th>Working Hours</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php										
                                            // Loop through the results for this house and PIN
                                            $listRS = Run($conn, "SELECT DISTINCT PIN, Date FROM tbl_attendance WHERE PIN = $pin AND Date >= '$start_date' AND Date <= '$end_date' ORDER BY Date ASC");
                                            while ($row = mysqli_fetch_assoc($listRS)) {
                                                $Date = $row['Date'];
                                                $pinDateArray[] = $Date; // Store each date for the corresponding PIN

                                                $query = "SELECT Name FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date'";
                                                $result = mysqli_query($conn, $query);
                                                $attendanceData = mysqli_fetch_assoc($result);

                                                // Retrieve check-in and check-out times for the specific date
                                                $checkInQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date' ORDER BY id ASC LIMIT 1";
                                                $checkInResult = mysqli_query($conn, $checkInQuery);
                                                $checkInData = mysqli_fetch_assoc($checkInResult);

                                                $checkOutQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date' ORDER BY id DESC LIMIT 1";
                                                $checkOutResult = mysqli_query($conn, $checkOutQuery);
                                                $checkOutData = mysqli_fetch_assoc($checkOutResult);

                                                // Output data in table rows
                                                echo "<tr>";
                                                echo "<td>" . $Date . "</td>";
                                                echo "<td>" . $checkInData['CHECKTIME'] . "</td>";
                                                echo "<td>" . $checkOutData['CHECKTIME'] . "</td>";

                                                // Calculate the time duration
                                                $checkInTime = strtotime($checkInData['CHECKTIME']);
                                                $checkOutTime = strtotime($checkOutData['CHECKTIME']);
                                                $timeDiff = $checkOutTime - $checkInTime;
                                                $hours = floor($timeDiff / 3600);
                                                $minutes = floor(($timeDiff % 3600) / 60);
                                                if ($hours >= 9) { // Updated condition to check for 9 or more hours
                                                    echo "<td>";
                                                    $workedMoreThan9++;
                                                } else {
                                                    echo "<td style='font-weight: bold;'>Check: ";
                                                    $workedLessThan9++;
                                                }
                                                echo sprintf("%02d:%02d", $hours, $minutes);
                                                echo "</td>";
                                                echo "</tr>";
                                            }

                                            // Display summary for each PIN
                                            echo "<tr><td colspan='6' style='font-weight:bold; font-size:15px;'>";
                                            $datetime1 = new DateTime($start_date);
                                            $datetime2 = new DateTime($end_date);
                                            $interval = $datetime1->diff($datetime2);
                                            $totalDays = $interval->format('%a') + 1; // Add 1 to include both start and end dates
                                            echo "<h4 style='text-align: left;'>$pageTitle (Total : $totalDays " . ($totalDays == 1 ? "Day" : "Days") . ")</h4>";

                                            $totalDates = count($pinDateArray);
                                            if ($totalDates > 0) {
                                            echo "Worked: $totalDates " . ($totalDates == 0 || $totalDates == 1 ? "Day" : "Days") . "<br>";

                                            $absentDates = array();
                                            $currentDate = strtotime($start_date);
                                            $endDate = strtotime($end_date);

                                            while ($currentDate <= $endDate) {
                                            $date = date("Y-m-d", $currentDate);

                                            if (!in_array($date, $pinDateArray)) {
                                            $absentDates[] = $date;
                                            }

                                            $currentDate = strtotime("+1 day", $currentDate);
                                            }

                                            $totalAbsentDates = count($absentDates);

                                            if ($totalAbsentDates > 0) {
                                            echo "Absent: $totalAbsentDates " . ($totalAbsentDates == 0 || $totalAbsentDates == 1 ? "Day" : "Days") . " (";
                                            echo implode(", ", $absentDates);
                                            echo ")<br>";
                                            }

                                            if ($workedMoreThan9 > 0) {
                                            echo "9 or more than 9 hours: ";
                                            echo ($workedMoreThan9 == 0 || $workedMoreThan9 == 1) ? $workedMoreThan9 . " Day<br>" : $workedMoreThan9 . " Days<br>";
                                            }

                                            if ($workedLessThan9 > 0) {
                                            echo "Less than 9 hours: ";
                                            echo ($workedLessThan9 == 0 || $workedLessThan9 == 1) ? $workedLessThan9 . " Day<br>" : $workedLessThan9 . " Days<br>";
                                            }

                                            echo "</td></tr>";
                                            }
                                            ?>
                                        <tfoot>
                                            <tr>
                                                <td colspan="3" style="font-weight:bold; text-align: right;">Total Working Hours:</td>
                                                <td style="font-weight:bold;">
                                                    <?php
                                                    // Calculate total working hours
                                                    $totalWorkingHoursSeconds = 0;
                                                    foreach ($pinDateArray as $Date) {
                                                        $checkInQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date' ORDER BY id ASC LIMIT 1";
                                                        $checkOutQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date' ORDER BY id DESC LIMIT 1";
                                                        $checkInResult = mysqli_query($conn, $checkInQuery);
                                                        $checkOutResult = mysqli_query($conn, $checkOutQuery);
                                                        $checkInData = mysqli_fetch_assoc($checkInResult);
                                                        $checkOutData = mysqli_fetch_assoc($checkOutResult);
                                                        $checkInTime = strtotime($checkInData['CHECKTIME']);
                                                        $checkOutTime = strtotime($checkOutData['CHECKTIME']);
                                                        $totalWorkingHoursSeconds += ($checkOutTime - $checkInTime);
                                                    }
                                                    $totalWorkingHours = floor($totalWorkingHoursSeconds / 3600);
                                                    $totalWorkingMinutes = floor(($totalWorkingHoursSeconds % 3600) / 60);
                                                    echo sprintf("%02d:%02d", $totalWorkingHours, $totalWorkingMinutes);
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="3" style="font-weight:bold; text-align: right;">Total Expected Hours:</td>
                                                <td style="font-weight:bold;">
                                                    <?php
                                                    // Calculate total expected hours
                                                    $totalExpectedHoursSeconds = $totalDates * 9 * 3600; // Convert 9 hours to seconds
                                                    $totalExpectedHours = floor($totalExpectedHoursSeconds / 3600);
                                                    $totalExpectedMinutes = floor(($totalExpectedHoursSeconds % 3600) / 60);
                                                    echo sprintf("%02d:%02d", $totalExpectedHours, $totalExpectedMinutes);
                                                    ?>
                                                </td>
                                            </tr>
                                        </tfoot>				
                                        </tbody>
                                    </table>
                                </div>
                                <?php
                                }
                                ?>
                            </div>
                            <?php
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    window.onload = function () {
        window.print();
    }
</script>
