<?php
$page = 'attendance';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_date = isset($_GET['start_date']) ? $_GET['start_date'] : '';
$end_date = isset($_GET['end_date']) ? $_GET['end_date'] : '';
$pin = isset($_GET['pin']) ? $_GET['pin'] : '';

$module = 'employees';
$start_date_obj = new DateTime($start_date);
$end_date_obj = new DateTime($end_date);

// Format the dates as desired
$formatted_start_date = $start_date_obj->format('l d M Y'); // Wednesday 11 Oct 2023
$formatted_end_date = $end_date_obj->format('l d M Y');     // Wednesday 11 Oct 2023

// Create the title string
$pageTitle = "Attendance From $formatted_start_date To $formatted_end_date";

include 'MasterTop.php';
?>

<style>
    .buttons-print {
        border: 1px solid;
        padding: 5px 10px;
        border-radius: 3px;
    }
</style>
<style>
  .row {
    width: 90%;
    margin: 0 auto; /* This will center the row */
    font-size: 18px; /* Adjust the font size as needed */
  }

</style>
<div id="content" class="bg-container">
    <div class="outer">
        <div class="inner bg-light lter bg-container">		
            <div class="row">
                <div class="col-xs-12 data_tables" style="padding:20px">
				<h2 style='text-align: center;'><?php echo $pageTitle;?></h2>
                    <div class="card" style="padding:20px">
                        <h2 style='text-align: center;'>Attendance Records of Employees with Late Arrival</h2>						
                            <?php
                            // Define an array of shift conditions and housing units
                            $shifts = array(
                                'BAR' => array(
                                    'Morning' => array('start' => '08:00 AM', 'end' => '10:00 AM'),
                                    'Mid' => array('start' => '01:00 PM', 'end' => '02:00 PM'),
                                    'Evening' => array('start' => '03:00 PM', 'end' => '06:00 PM'),
                                    'WeekendEvening' => array('start' => '04:00 PM', 'end' => '06:30 PM')
                                ),
                                'BOH-Pizza' => array(
                                    'Morning' => array('start' => '08:00 AM', 'end' => '10:00 AM'),
                                    'Mid' => array('start' => '01:00 PM', 'end' => '02:00 PM'),
                                    'Evening' => array('start' => '03:00 PM', 'end' => '06:00 PM'),
                                    'WeekendEvening' => array('start' => '04:00 PM', 'end' => '06:30 PM')
                                ),
                                'Office' => array(
                                    'Morning' => array('start' => '08:00 AM', 'end' => '09:00 AM'),
                                    'Mid' => array('start' => '10:00 AM', 'end' => '01:00 PM'),
                                    'Evening' => array('start' => '03:00 PM', 'end' => '06:00 PM'),
                                    'WeekendEvening' => array('start' => '04:00 PM', 'end' => '06:30 PM')
                                ),
                                'FOH' => array(
                                    'Morning' => array('start' => '07:00 AM', 'end' => '09:30 AM'),
                                    'Mid' => array('start' => '01:00 PM', 'end' => '02:00 PM'),
                                    'Evening' => array('start' => '03:00 PM', 'end' => '06:00 PM'),
                                    'WeekendEvening' => array('start' => '04:00 PM', 'end' => '06:30 PM')
                                ),
                                'BOH-HOT' => array(
                                    'Morning' => array('start' => '07:00 AM', 'end' => '09:30 AM'),
                                    'Mid' => array('start' => '01:00 PM', 'end' => '02:00 PM'),
                                    'Evening' => array('start' => '03:00 PM', 'end' => '06:00 PM'),
                                    'WeekendEvening' => array('start' => '04:00 PM', 'end' => '06:30 PM')
                                ),
                                'BOH-PASTRY' => array(
                                    'Morning' => array('start' => '07:00 AM', 'end' => '09:30 AM'),
                                    'Mid' => array('start' => '01:00 PM', 'end' => '02:00 PM'),
                                    'Evening' => array('start' => '03:00 PM', 'end' => '06:00 PM'),
                                    'WeekendEvening' => array('start' => '04:00 PM', 'end' => '06:30 PM')
                                )
                            );

                                // Loop through each housing unit and shift
                                foreach ($shifts as $housingUnit => $shiftTimes) {
                                // Check if the current $housingUnit matches the housing unit for the employee with id_emp = $pin
                                $sectionQuery = "SELECT hous FROM tbl_employees WHERE id_emp = $pin";
                                $sectionResult = mysqli_query($conn, $sectionQuery);
                                $sectionData = mysqli_fetch_assoc($sectionResult);

                                if ($sectionData['hous'] == $housingUnit) {
                                echo "<h3>$housingUnit</h3>";
                                echo "<table class='table table-striped table-bordered table-hover'>";
                                echo "<thead>";
                                echo "<tr>";
                                echo "<th>Date</th>";
                                echo "<th>Name</th>";
                                echo "<th>Shift Info</th>";
                                echo "<th>Check-In Time</th>";
                                echo "<th>Late Arrival</th>";
                                echo "</tr>";
                                echo "</thead>";
                                echo "<tbody>";

                                // Loop through the results for this housing unit and shift
                                $listRS = Run($conn, "SELECT DISTINCT Date FROM tbl_attendance WHERE PIN = $pin AND PIN NOT IN (121, 122) AND Date >= '$start_date' AND Date <= '$end_date' ORDER BY PIN ASC");
                                while ($row = mysqli_fetch_assoc($listRS)) {
                                    $Date = $row['Date'];

                                    // Check if the day of the week is Friday, Saturday, or Sunday
                                    $dayOfWeek = date('D', strtotime($Date));

                                    // Determine shift based on check-in time
                                    $shift = 'Other';
                                    $shiftStartTime = ''; // Initialize shift start time

                                    // Check if the day of the week is Friday, Saturday, or Sunday
                                    if (in_array($dayOfWeek, ['Fri', 'Sat', 'Sun'])) {
                                        $shift = 'WeekendEvening';
                                        // Use the start time for WeekendEvening
                                        $shiftStartTime = $shiftTimes['WeekendEvening']['start'];
                                    } else {
                                        // Use 'Evening' for other days
                                        $shift = 'Evening';
                                        // Use the start time for Evening
                                        $shiftStartTime = $shiftTimes['Evening']['start'];
                                    }

                                    // Retrieve check-in time for the specific date
                                    $checkInQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date'  ORDER BY id ASC LIMIT 1";
                                    $checkInResult = mysqli_query($conn, $checkInQuery);
                                    $checkInData = mysqli_fetch_assoc($checkInResult);

                                    // Calculate lateness in minutes
                                    $shiftStartTime = strtotime($Date . ' ' . $shiftStartTime); // Get shift start time as requested
                                    $checkInTime = strtotime($checkInData['CHECKTIME']);
                                    $lateness = ($checkInTime - $shiftStartTime);

                                    // Convert lateness to "hh:mm" format
                                    $hours = floor($lateness / 3600);
                                    $minutes = floor(($lateness - ($hours * 3600)) / 60);
                                    $lateArrival = sprintf('%02d:%02d', $hours, $minutes);

                                    // Format shift start time as "hh:mm tt"
                                    $shiftStartTimeFormatted = date('h:i A', $shiftStartTime);

                                    // Display details if the employee arrives late for their respective shift
                                    if (($shift !== 'Other' && $lateness > 0) || ($shift === 'WeekendEvening' && $lateness > 0)) {
                                        $query = "SELECT Name FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date'";
                                        $result = mysqli_query($conn, $query);
                                        $attendanceData = mysqli_fetch_assoc($result);

                                        $sectionQuery = "SELECT hous FROM tbl_employees WHERE id_emp = $pin";
                                        $sectionResult = mysqli_query($conn, $sectionQuery);
                                        $sectionData = mysqli_fetch_assoc($sectionResult);

                                        if ($sectionData['hous'] == $housingUnit) {
                                            // Combine shift name and shift start time in one column
                                            $shiftInfo = $shift . " Shift Start Time " . $shiftStartTimeFormatted;
                                            $Day = date('l', strtotime($Date));
                                            // Output data in table rows
                                            echo "<tr>";
                                            echo "<td>" . $Date . "</td>";
                                            echo "<td>" . $attendanceData['Name'] . "</td>";
                                            echo "<td>" .$Day." ". $shiftInfo . "</td>"; // Display combined shift info
                                            echo "<td>" . $checkInData['CHECKTIME'] . "</td>";
                                            echo "<td>" . $lateArrival . "</td>";
                                            echo "</tr>";
                                        }
                                    }
                                }
                                echo "</tbody>";
                                echo "</table>";
                            }
								}
                            ?>
					    <h2 style='text-align: center;'>Worked Below 9 Hours</h2>
					        <?php
                            // Retrieve distinct houses
                            $houseQuery = "SELECT DISTINCT house FROM tbl_employees where id_emp = $pin";
                            $houseResult = mysqli_query($conn, $houseQuery);
                            while ($houseData = mysqli_fetch_assoc($houseResult)) {
                                $house = $houseData['house'];
                            ?>
                                <h3><?php echo $house; ?></h3>
                                <table class="table table-striped table-bordered table-hover">
                                    <thead>
                                        <tr>
                                            <th>Date</th>
                                            <th>Name</th>
                                            <th>Check In</th>
                                            <th>Check Out</th>
                                            <th>Working Hours</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        // Loop through the results for this house
                                        $listRS = Run($conn, "SELECT DISTINCT Date FROM tbl_attendance WHERE PIN=$pin AND PIN NOT IN (121, 122) AND Date >= '$start_date' AND Date <= '$end_date' ORDER BY PIN ASC, id ASC");
                                        while ($row = mysqli_fetch_assoc($listRS)) {
                                            $Date = $row['Date'];
                                            $query = "SELECT Name FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date'";
                                            $result = mysqli_query($conn, $query);
                                            $attendanceData = mysqli_fetch_assoc($result);

                                            $sectionQuery = "SELECT house FROM tbl_employees WHERE id_emp = $pin";
                                            $sectionResult = mysqli_query($conn, $sectionQuery);
                                            $sectionData = mysqli_fetch_assoc($sectionResult);

                                            if ($sectionData['house'] == $house) {
                                                // Retrieve check-in and check-out times for the specific date
                                                $checkInQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date' ORDER BY id ASC LIMIT 1";
                                                $checkInResult = mysqli_query($conn, $checkInQuery);
                                                $checkInData = mysqli_fetch_assoc($checkInResult);

                                                $checkOutQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date' ORDER BY id DESC LIMIT 1";
                                                $checkOutResult = mysqli_query($conn, $checkOutQuery);
                                                $checkOutData = mysqli_fetch_assoc($checkOutResult);

                                                // Calculate the time duration
                                                $checkInTime = strtotime($checkInData['CHECKTIME']);
                                                $checkOutTime = strtotime($checkOutData['CHECKTIME']);
                                                $timeDiff = $checkOutTime - $checkInTime;
                                                $hours = floor($timeDiff / 3600);
                                                $minutes = floor(($timeDiff % 3600) / 60);

                                                if ($hours < 9) {
                                                    // Output data in table rows only if working hours are less than 9
                                                    echo "<tr>";
                                                    echo "<td>" . $Date . "</td>";
                                                    echo "<td>" . $attendanceData['Name'] . "</td>";
                                                    echo "<td>" . $checkInData['CHECKTIME'] . "</td>";
                                                    echo "<td>" . $checkOutData['CHECKTIME'] . "</td>";
                                                    echo "<td>";
                                                    echo sprintf("%02d:%02d", $hours, $minutes);
                                                    echo "</td>";
                                                    echo "</tr>";
                                                }
                                            }
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            <?php
                            }
                            ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    window.onload = function () {
        window.print();
    }
</script>
