<?php 
$page       = 'calculations';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');

if ($date_check == 'true') {
    $start_date = getValue('date_from');
    $end_date   = getValue('date_to');
}

$module      = 'employees';
$range       = 'true';
$pageTitle   = 'Employee ('.$start_date.' to '.$end_date.')';
$pageRole    = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php'; 
?>

<style>
    .buttons-print {
        border: 1px solid;
        padding: 5px 10px;
        border-radius: 3px;
    }

    .btn-custom-send {
        background-color: #FF5733;
        color: white;
    }

    .btn-custom-pdf {
        background-color: #3498DB;
        color: white;
    }

    .btn-custom-edition {
        background-color: #27AE60;
        color: white;
    }

    .btn-success, .btn-view-pdf, .btn-view-send {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        position: relative;
        overflow: hidden;
        transition: box-shadow .3s;
        box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
        color: white;
    }

    .btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
        content: "";
        position: absolute;
        top: -100%;
        left: -100%;
        width: 200%;
        height: 200%;
        z-index: 1;
        background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
        transform: rotate(45deg);
        pointer-events: none;
        transition: top 0.5s, left 0.5s;
    }

    .btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
        top: 100%;
        left: 100%;
    }

    .btn-success {
        background: linear-gradient(135deg, #8E2DE2, #4A00E0);
        border: none;
        padding: 6px 12px;
        border-radius: 50px 50px 0 50px;
        font-weight: 600;
    }

    .btn-view-pdf {
        background: linear-gradient(135deg, #FFB75E, #ED8F03);
        border-radius: 50px 50px 0 50px;
        padding: 6px 12px;
    }

    .btn-view-send {
        background: linear-gradient(135deg, #56ab2f, #a8e063);
        border-radius: 30px 50px 0 50px;
        padding: 6px 15px;
    }

    .btn-view-pdf i, .btn-view-send i {
        margin-right: 4px;
    }

    .active-btn {
        background: linear-gradient(135deg, #f54242, #f542a2);
        box-shadow: 0 6px 14px rgba(255,0,0,0.1);
    }

    @keyframes dance {
        0% { transform: scale(1) rotate(0); }
        20% { transform: scale(1.05) rotate(-5deg); }
        40% { transform: scale(1) rotate(5deg); }
        60% { transform: scale(1.05) rotate(-5deg); }
        80% { transform: scale(1) rotate(5deg); }
        100% { transform: scale(1) rotate(0); }
    }

    .btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
        animation: dance 0.5s infinite;
    }
</style>

<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables"> 
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <div style="display: flex; justify-content: flex-end; gap: 20px;">						
                                <form method="post" action="process/CompleteSalary.php">
                                    <input type="hidden" name="bcheck" value="true" />
                                    <input type="hidden" name="start_date" value="<?php echo $start_date; ?>" />
                                    <input type="hidden" name="end_date" value="<?php echo $end_date; ?>" />
                                    <a class="btn btn-success btn-view-pdf" href="EmpEdditionLeaves">Eddition</a>
                                    <button type="submit" class="btn btn-success btn-add-products">Export Salary</button>
                                    <a class="btn btn-success btn-view-demand" href="SalaryReport">View Salary</a>							
                                </form>
                                <form method="post" action="process/CompleteBonus.php">
                                    <input type="hidden" name="start_date" value="<?php echo $start_date; ?>" />
                                    <input type="hidden" name="end_date" value="<?php echo $end_date; ?>" />
                                    <button type="submit" class="btn btn-success btn-add-products">Add Bonus</button>
                                </form>	
                            </div>
                            &nbsp;
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead> 
                                    <tr>
                                        <th>id</th>
                                        <th>Employee</th>
                                        <th>Designation</th>
                                        <th>Salary</th>
                                        <th>Leaves Balance Excluding <?php echo date('F Y', strtotime($start_date))?></th>
                                        <th>Worked</th>
                                        <th>Mis Count</th>
                                        <th>Previous Used</th>
                                        <th>Annual</th>
                                        <th>Public holidays</th>
                                        <th>Avail In Month</th>	
                                        <th>Payable Days</th>
                                        <th>Current Month's Reserved Days</th>
                                        <th>Bonus</th>
                                        <th>Over Time</th>
                                        <th>Earned</th>
                                        <th>Advance</th>
                                        <th>Payable</th>
                                        <th>Action</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php 
                                    $reportRS = Run($conn, "SELECT * FROM tbl_employees WHERE id_emp NOT IN (121, 122) AND tbl_employees.status = 'Active'");
                                    $i = 1;
                                    while ($reportR = GetRow($reportRS)) {
                                        $reportID = $reportR['id_emp']; 
                                        $WorkDay = GetRow(Run($conn, "SELECT COUNT(DISTINCT Date) AS NumDistinctDates
                                            FROM tbl_attendance
                                            WHERE PIN = '$reportID'
                                            AND MONTH(Date) = MONTH('$start_date')
                                            AND YEAR(Date) = YEAR('$start_date')"));
                                        
                                        $mis_Count = GetRow(Run($conn, "SELECT sum(mis_count) as mis_CountAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $LeavesQuery = GetRow(Run($conn, "SELECT sum(reserved) as total_reserved FROM tbl_staff_leaves WHERE id_emp='$reportID' AND ((YEAR(post_date) < YEAR('$start_date')) OR (YEAR(post_date) = YEAR('$start_date') AND MONTH(post_date) < MONTH('$start_date')))"));
                                        $reserved = $LeavesQuery['total_reserved'];
                                        
                                        $TakenLeavesQuery = GetRow(Run($conn, "SELECT COALESCE(sum(`Get_Previous`), 0) as total_taken FROM `tbl_leaves_use` WHERE `id_emp`='$reportID' AND ((YEAR(post_date) < YEAR('$start_date')) OR (YEAR(post_date) = YEAR('$start_date') AND MONTH(post_date) < MONTH('$start_date')))"));
                                        $Get_PreviousLast = $TakenLeavesQuery['total_taken'];
                                        
                                        $reservedAlready = $reserved - $Get_PreviousLast;
                                        
                                        $Get_PreviousNow = GetRow(Run($conn, "SELECT sum(Get_Previous) as Get_PreviousAvail
                                            FROM tbl_leaves_use
                                            WHERE MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')
                                            AND id_emp = '$reportID'"));							 								 
                                        
                                        $annual = GetRow(Run($conn, "SELECT sum(annual) as annualAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $public = GetRow(Run($conn, "SELECT sum(public) as publicAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $AvailLeave = (4/26) * ($WorkDay['NumDistinctDates']+$mis_Count['mis_CountAvail']+$Get_PreviousNow['Get_PreviousAvail']+$public['publicAvail']);
                                        // Limit the available leave to a maximum of 4
                                        if ($AvailLeave > 4) {
                                            $AvailLeave = 4;
                                        } 								
                                        $TotalPayable = $WorkDay['NumDistinctDates']+$mis_Count['mis_CountAvail']+$Get_PreviousNow['Get_PreviousAvail']+$annual['annualAvail']+$public['publicAvail']+$AvailLeave;
                                        
                                        if ($TotalPayable > 30) {
                                            $TotalPayable  = 30;    
                                        }
                                        
                                        $reservedThisMonth = $WorkDay['NumDistinctDates'] + $mis_Count['mis_CountAvail'] + $Get_PreviousNow['Get_PreviousAvail'] + $annual['annualAvail'] + $public['publicAvail'] + $AvailLeave;
                                        
                                        // Determine the last day of $start_date
                                        $lastDayOfMonth = date('d', strtotime('last day of ' . $start_date));
                                        
                                        // Calculate the final value of $reservedThisMonth
                                        if ($lastDayOfMonth == 31) {
                                            $reservedThisMonth -= 31;
                                        } else {
                                            $reservedThisMonth -= 30;
                                        }
                                        
                                        // Ensure the result is not negative
                                        $reservedThisMonth = max($reservedThisMonth, 0);
                                        
                                        $bonus = GetRow(Run($conn, "SELECT sum(bonus) as bonusAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $OverTime = GetRow(Run($conn, "SELECT sum(OverTime) as OverTimeAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));								
                                        
                                        $Earned = ($reportR['salary_per_month']/30)*($TotalPayable)+($bonus['bonusAvail'])+($OverTime['OverTimeAvail']);
                                        
                                        $advance = GetRow(Run($conn, "SELECT sum(advance) as advanceAvail
                                            FROM tbl_expenses
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $Payable = $Earned - $advance['advanceAvail'];
                                        $TotalReservedDays = $reservedAlready + $reservedThisMonth;
                                    ?>
                                    <tr>
                                        <td><?php echo $reportID; ?></td>
                                        <td><?php echo $reportR['name']; ?></td>
                                        <td><?php echo $reportR['designation']; ?></td>
                                        <td><?php echo $reportR['salary_per_month']; ?></td>
                                        <td><?php echo $reservedAlready; ?></td>
                                        <td><?php echo $WorkDay['NumDistinctDates']; ?></td>
                                        <td><?php echo $mis_Count['mis_CountAvail']; ?></td>
                                        <td><?php echo $Get_PreviousNow['Get_PreviousAvail']; ?></td>
                                        <td><?php echo $annual['annualAvail']; ?></td>
                                        <td><?php echo $public['publicAvail']; ?></td>
                                        <td><?php echo number_format($AvailLeave,2); ?></td>
                                        <td><?php echo number_format($TotalPayable,2); ?></td>
                                        <td style="<?php echo ($reservedThisMonth > 0) ? 'color: blue; font-weight: bold;' : ''; ?>">
                                            <?php echo $reservedThisMonth; ?>
                                        </td>
                                        <td><?php echo $bonus['bonusAvail']; ?></td>
                                        <td><?php echo $OverTime['OverTimeAvail']; ?></td>
                                        <td><?php echo number_format($Earned,2); ?></td>
                                        <td><?php echo $advance['advanceAvail']; ?></td>
                                        <td><?php echo number_format($Payable,2); ?></td>
                                        <?php
                                            $salary_details = "```Employee ID:``` *" . $reportID . "*"."\n"
                                                . "```Dear``` *" . $reportR['name']."*"."\n"
                                                . "_Your Salary Statement for the Month of " . date("F, Y", strtotime($start_date)) . "_\n\n"
                                                . "```We are pleased to provide you with your comprehensive salary details for the month of``` *" . date("F, Y", strtotime($start_date)) .  "*"."\n"
                                                . "```Your designated monthly salary remains at``` *" . number_format($reportR['salary_per_month'], 0) . "* ```PKR```.\n" 
                                                . "```You have dedicated yourself to service for a total of``` *" . $WorkDay['NumDistinctDates'] . (floor($WorkDay['NumDistinctDates']) != 1 ? ' days' : ' day') . "* ```this month.```";

                                            if ($mis_Count['mis_CountAvail'] > 0) {
                                                $salary_details .= " ```However, it has come to our attention that on``` *". $mis_Count['mis_CountAvail'] . ($mis_Count['mis_CountAvail'] != 1 ? ' days' : ' day') . "* ```, your attendance was not recorded due to the absence of fingerprint authentication.```";
                                            }

                                            if ($Get_Previous['Get_PreviousAvail'] > 0) {
                                                $salary_details .= " ```From the previous month, you have carried forward``` *" . $Get_PreviousLast['Get_PreviousAvail'] . ($Get_PreviousLast['Get_PreviousAvail'] != 1 ? ' days' : ' day') . "* ```of untaken leave, which you have utilized this month.```";
                                            }

                                            if ($annual['annualAvail'] > 0) {
                                                $salary_details .= " ```Furthermore, you have exercised your entitlement to``` *" . $annual['annualAvail'] . ($annual['annualAvail'] != 1 ? ' days' : ' day') . "* ```of annual leave this month.```";
                                            }

                                            if ($public['publicAvail']> 0) {
                                                $salary_details .= " ```You took advantage of``` *" . $public['publicAvail'] . ($public['publicAvail'] != 1 ? ' days' : ' day') . "* ```of public holidays, rejuvenating yourself for the tasks ahead.```";
                                            }

                                            $salary_details .= " ```This brings your total available leave days for the month to``` *" . number_format($AvailLeave, 1) . (floor($AvailLeave) != 1 ? ' days.' : ' day.') . "*"."\n"
                                                . " ```As a result, your total payable``` *" . number_format($TotalPayable, 1) . (floor($TotalPayable) != 1 ? ' days.' : ' day.') . "*"."\n\n";

                                            if ($TotalReservedDays > 0) {
                                                $dayOrDays = ($TotalReservedDays != 1) ? ' days' : ' day';
                                                $OneLeaves = ($TotalReservedDays != 1) ? ' Leaves' : ' Leave';

                                                $salary_details .= "```In addition, you possess``` *" . $TotalReservedDays . " " . $dayOrDays . "* ```of leave available for future use, which includes days carried over from the previous month.```";

                                                if ($reservedThisMonth['reservedThisMonthAvail'] > 0) {
                                                    $salary_details .= " ```This figure also includes``` *" . $reservedThisMonth['reservedThisMonthAvail'] . " " . $dayOrDays . "* ```from``` " . date("F, Y", strtotime($start_date)) .".";
                                                }
                                                $salary_details .= "\n\n";
                                            }

                                            if ($bonus['bonusAvail']  > 0) {
                                                $salary_details .= " ```The organization has graciously added a bonus of``` *" . $bonus['bonusAvail'] . "* ```PKR``` to your remuneration. This reflects your exceptional contributions.```". "\n";
                                            }
                                            if ($OverTime['OverTimeAvail'] > 0) {
                                                $salary_details .= "```Additionally, you have earned``` *" . $OverTime['OverTimeAvail'] . "* ```PKR for overtime worked during the month.```". "\n";
                                            }

                                            $salary_details .= "\n```Consequently, your gross earnings for the month sum up to``` *" . number_format($Earned, 0) . "* ```PKR```". "\n";

                                            if ($advance['advanceAvail'] > 0) {
                                                $salary_details .= "\n```Please be advised that an advance payment of``` *". number_format($advance['advanceAvail'], 0) . "* ```PKR was previously disbursed to you. This has been duly accounted for.``` " . "\n"
                                                        ."```Hence, your net payable salary for the current month is``` *". number_format($Payable, 0) . "* ```PKR```"."\n";
                                            }

                                            $salary_details .= "\n_We extend our deepest gratitude for your unwavering commitment and extraordinary efforts. Your contributions are immensely valued, and we look forward to another month of excellence._". "\n\n";
                                            $salary_details .= "Warm regards,\n"
                                                . "*Bistro Noir*.\n"
                                                . "```Unit 3, Street 4, Gol Market,```\n"
                                                . "```F 7/3, Islamabad```";

                                            $salary_details_url_encoded = urlencode($salary_details);
                                        ?>
                                        <td>
                                            <a class="btn btn-success" href="printAdvance?id=<?php echo $reportID;?>&start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank" title="Print"><i class="fa fa-print"></i>Advance</a>
                                        </td>
                                        <td>
                                            <a class="btn btn-success btn-view-pdf" onclick="window.open('https://api.whatsapp.com/send?phone=<?php echo $reportR['cell'];?>&text=<?php echo $salary_details_url_encoded;?>&source=&data=', '_blank', 'width=600,height=400')" href="#" class="btn btn-raised btn-primary btn-sm md-trigger adv_cust_mod_btn"> Send</a>
                                        </td>
									</tr>							
								<?php } ?>	
								</tbody>								
							</table>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>