<?php 

$page		= 'employee';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$ID		  = $_GET['id'];

// Prepare and bind
$stmt = $conn->prepare("SELECT * FROM tbl_employees WHERE id = ?");
$stmt->bind_param("i", $ID);
$stmt->execute();

$result = $stmt->get_result(); // get the mysqli result

$module	     = 'employees';
$pageTitle = "Employee: " . showNameFromDB($conn, $ID);

// Your other code here

function showNameFromDB($conn, $employeeID) {
    $query = "SELECT `name` FROM `tbl_employees` WHERE `ID` = $employeeID";
    $result = mysqli_query($conn, $query);
    
    if ($result && mysqli_num_rows($result) > 0) {
        $row = mysqli_fetch_assoc($result);
        return $row['name'];
    } else {
        return "Unknown Employee";
    }
}


include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<style>
    /* Basic button styling */
    .btn {
        border-radius: 5px; 
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15);
        transition: background-color 0.3s ease, transform 0.3s ease, box-shadow 0.3s ease;
        padding: 10px 20px;  /* Increased padding for better spacing */
        font-weight: 600;  /* Slightly bold text for readability */
    }

    .btn:hover {
        transform: translateY(-2px);
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);  /* Enhanced shadow on hover */
    }

    /* Primary button styling */
    .btn-primary {
        background-color: #007BFF;
        color: #ffffff;
    }

    .btn-primary:hover {
        background-color: #0056b3;
    }

    /* Success button styling */
    .btn-success {
        background-color: #28a745;
        color: #ffffff;
    }

    .btn-success:hover {
        background-color: #1e7e34;
    }

    /* Adding a WhatsApp icon before "Send" for visual cue */
    .btn-view-send::before {
        content: '\2709';  /* Using the envelope emoji as a placeholder. Ideally, you'd use a WhatsApp icon. */
        margin-right: 8px;
    }
	/* Custom CSS */
.data_tables {
    padding: 20px;
}

/* Adjust font size for th and td elements */
table th, table td {
    font-size: 16px;
}

/* Add some spacing between table cells */
table th, table td {
    padding: 10px;
}

/* Style for table header cells */
table th {
    background-color: #f5f5f5;
    border-color: #dee2e6;
}

/* Style for alternate rows */
table tbody tr:nth-child(even) {
    background-color: #f2f2f2;
}

</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-6 data_tables">
                    <!-- Table 1 -->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover table-responsive-md" id="sample_1">
                                <tbody>
                                    <?php while ($listR = $result->fetch_assoc()) { ?>
                                        <tr>
                                            <th>ID</th>
                                            <td><?php echo $listR['id_emp']; ?></td>
                                        </tr>
                                        <tr>
                                            <th>House</th>
                                            <td><?php echo $listR['house']; ?></td>
                                        </tr>
                                        <tr>
                                            <th>Designation</th>
                                            <td><?php echo $listR['designation']; ?></td>
                                        </tr>
                                        <tr>
                                            <th>Cell</th>
                                            <td><?php echo $listR['cell']; ?></td>
                                        </tr>
                                        <tr>
                                            <th>ID Card</th>
                                            <td><?php echo $listR['id_card']; ?></td>
                                        </tr>
                                        <tr>
                                            <th>Salary</th>
                                            <td><?php echo $listR['salary_per_month']; ?></td>
                                        </tr>
                                        <tr>
                                            <th>Emergency</th>
                                            <td><?php echo $listR['emergency_contact']; ?></td>
                                        </tr>
                                        <tr>
                                            <th>Date Of Birth</th>
                                            <td><?php echo $listR['date_of_birth']; ?></td>
                                        </tr>
                                        <tr>
                                            <th>Gender</th>
                                            <td><?php echo $listR['gender']; ?></td>
                                        </tr>
                                        <tr>
                                            <th>Marital Status</th>
                                            <td><?php echo $listR['marital_status']; ?></td>
                                        </tr>
                                </tbody>
                            </table>
							<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modal-employee">Update</button>                          
                        </div>
                    </div>
                </div>

                <div class="col-xs-6 data_tables">
                    <!-- Table 2 -->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover table-responsive-md" id="sample_2">
                                <tbody>
                                    <tr>
                                        <th>Address</th>
                                        <td><?php echo $listR['current_address']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Point</th>
                                        <td><?php echo $listR['point']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Joining Date</th>
                                        <td><?php echo $listR['joining_date']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Leaving Date</th>
                                        <td>
                                            <?php 
                                                $query = "SELECT `tbl_attendance`.`Date`FROM `tbl_attendance` WHERE `tbl_attendance`.`PIN` = {$listR['id_emp']} ORDER BY id DESC LIMIT 1";
                                                $resultLeavingDate = mysqli_query($conn, $query);
                                                if ($resultLeavingDate && mysqli_num_rows($resultLeavingDate) > 0) {
                                                    $rowLeavingDate = mysqli_fetch_assoc($resultLeavingDate);
                                                    echo $rowLeavingDate['Date'];
                                                } else {
                                                    echo "No Leaving Date";
                                                }
                                            ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>Bank Option</th>
                                        <td><?php echo $listR['bank_transfer_option']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Title Name</th>
                                        <td><?php echo $listR['title_name']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Bank Name</th>
                                        <td><?php echo $listR['bank_name']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Account No</th>
                                        <td><?php echo $listR['account_number']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Uniform Info</th>
                                        <td><?php echo $listR['uniform_info']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Status</th>
                                        <td><?php echo $listR['status']; ?></td>
                                    </tr>
                                </tbody>
                            </table>
                            <?php
                                $salary_details = "Employee ID: " . $listR['id_emp'] . "\n"
                                    . "Dear *" . $listR['name']. "*\n\n";

                                $fields = [
                                    'house' => 'Section',
                                    'designation' => 'Designation',
                                    'cell' => 'Phone',
                                    'id_card' => 'ID Card',
                                    'salary_per_month' => 'Salary',
                                    'emergency_contact' => 'Emergency Contact',
                                    'date_of_birth' => 'Date of Birth',
                                    'gender' => 'Gender',
                                    'marital_status' => 'Marital Status',
                                    'current_address' => 'Current Address',
                                    'joining_date' => 'Joining Date',
                                    'bank_transfer_option' => 'Bank Transfer Option',
                                    'title_name' => 'Bank Title Name',
                                    'bank_name' => 'Bank Name',
                                    'account_number' => 'Bank Account',
                                    'uniform_info' => 'Uniform Information'
                                ];

                                $accessible_data = false;
                                $omitted_details = false;

                                $salary_details .= "```Your Accessible Data```" . "\n";
                                foreach ($fields as $field => $displayName) {
                                    // Check if bank_transfer_option is "No" or empty
                                    if ($field === 'bank_transfer_option' && ($listR[$field] === "No" || empty($listR[$field]))) {
                                        continue; // Skip this field
                                    }

                                    if ($listR[$field] > 0 || !empty($listR[$field])) {
                                        if (!in_array($field, ['joining_date', 'date_of_birth']) || ($listR[$field] != "0000-00-00" && !empty($listR[$field]))) {
                                            $salary_details .= "*".$displayName . ":* " . $listR[$field] . "\n";
                                            $accessible_data = true;
                                        }
                                    }
                                }

                                $salary_details .= "```\nPlease review the provided details for any inaccuracies. Your prompt corrections ensure accurate salary processing, avoiding potential delays or oversights.```\n\n";

                                $omitted_details = false; // Reset the flag

                                foreach ($fields as $field => $displayName) {
                                    if (($field == 'joining_date' || $field == 'date_of_birth') && (empty($listR[$field]) || $listR[$field] == "0000-00-00")) {
                                        $omitted_details = true;
                                        break; // Exit the loop as soon as an omitted field is found
                                    } else if ($listR[$field] < 0 || empty($listR[$field])) {
                                        $omitted_details = true;
                                        break; // Exit the loop as soon as an omitted field is found
                                    }
                                }

                                if ($omitted_details) {
                                    $salary_details .= "```Necessary Omitted Details```" . "\n";
                                    foreach ($fields as $field => $displayName) {
                                        // Check if bank_transfer_option is "No" or empty, and provide option
                                        if ($field === 'bank_transfer_option' && ($listR['bank_transfer_option'] === "No" || empty($listR['bank_transfer_option']))) {
                                            $salary_details .= "*".$displayName . ":* [Yes/No]\n";
                                        } else if (($field == 'joining_date' || $field == 'date_of_birth') && (empty($listR[$field]) || $listR[$field] == "0000-00-00")) {
                                            $salary_details .= "*".$displayName . "*\n";
                                        } else if ($listR[$field] < 0 || empty($listR[$field])) {
                                            $salary_details .= "*".$displayName . "*\n";
                                        }
                                    }
                                    $salary_details .= "```\nPlease provide us with all the aforementioned details to ensure the accurate generation of your salary. Failure to do so may result in a delay or omission of your monthly salary.```\n\n";
                                }

                                $salary_details .= "Yours sincerely"."\n"
                                    . "*Bistro Noir.*\n"
                                    . "Unit 3, Street 4,\n" 
                                    . "Gol Market, F 7/3, Islamabad";
                                $salary_details_url_encoded = urlencode($salary_details);
                            ?>							
                             <a class="btn btn-success btn-view-send" onclick="window.open('https://api.whatsapp.com/send?phone=<?php echo $listR['cell'];?>&text=<?php echo $salary_details_url_encoded;?>&source=&data=', '_blank', 'width=600,height=400')" href="#">Send</a>
                            &nbsp;								
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
	<div class="modal fade" id="modal-employee" role="dialog" aria-labelledby="modalLabelsuccess">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header bg-success">
					<h4 class="modal-title text-white" id="modalLabelsuccess">Update employee</h4>
				</div>
				<div class="modal-body" style="padding-top:0;">
				    <form method="post" action="process/UpdateEmployee">
    					<input type="hidden" name="bcheck" value="true" />
	    				<input type="hidden" name="id" value="<?php echo $listR['id']; ?>">
                        <div class="row">
                            <div class="col-lg-4">
                                <div class="input_field_sections">
                                    <h5>Name</h5>
                                    <input type="text" autocomplete="off" class="form-control" name="title" value="<?php echo $listR['name'];?>" />
                                </div>
                                <div class="input_field_sections">
                                    <h5>ID</h5>
                                    <input type="text" class="form-control" name="id_emp"  value="<?php echo $listR['id_emp'];?>"/>
                                </div>
                                <div class="input_field_sections">
                                    <h5>House</h5>
                                        <select class="form-control" name="house">
                                            <option value="<?php echo $listR['house'];?>"><?php echo $listR['house'];?></option>
                                            <option value="FOH">FOH</option>
                                            <option value="BOH-HOT">BOH-HOT</option>
                                            <option value="BOH-PIZZA">BOH-PIZZA</option>
                                            <option value="BAR">BAR</option>
                                            <option value="BOH-PASTRY">BOH-PASTRY</option>
                                            <option value="Office">Office</option>
                                            <option value="OOH">OOH</option>
                                        </select>
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="input_field_sections">
                                    <h5>Designation</h5>
                                    <input type="text" class="form-control" name="designation" list="designation_list" value="<?php echo $listR['designation'];?>" />
                                    <datalist id="designation_list">
                                        <option value="Senior Head Barista">
                                        <option value="Head Barista">
                                        <option value="Senior Deputy Barista">
                                        <option value="Deputy Barista">
                                        <option value="Senior Barista">
                                        <option value="Barista">
                                        <option value="Senior Helper Barista">
                                        <option value="Helper Barista">
                                        <option value="Senior Intern Barista">
                                        <option value="Intern Barista">
                                        <option value="Senior Executive Chef">
                                        <option value="Executive Chef">
                                        <option value="Senior Head Chef">
                                        <option value="Head Chef">
                                        <option value="Senior Sous Chef">
                                        <option value="Sous Chef">
                                        <option value="Senior CDP">
                                        <option value="CDP">
                                        <option value="Senior Demi">
                                        <option value="Demi">
                                        <option value="Senior Commis 1">
                                        <option value="Commis 1">
                                        <option value="Senior Commis 2">
                                        <option value="Commis 2">
                                        <option value="Senior Commis 3">
                                        <option value="Commis 3">
                                        <option value="Senior Food Runner">
                                        <option value="Food Runner">
                                        <option value="Senior Prep Cook">
                                        <option value="Prep Cook">
                                        <option value="Senior Helper Main Kitchen">
                                        <option value="Helper Main Kitchen">
                                        <option value="Senior Dishwasher Main Kitchen">
                                        <option value="Dishwasher Main Kitchen">
                                        <option value="Senior Intern Main Kitchen">
                                        <option value="Intern Main Kitchen">
                                        <option value="Senior Pastry Chef">
                                        <option value="Pastry Chef">
                                        <option value="Senior Head Patissier">
                                        <option value="Head Patissier">
                                        <option value="Senior Pastry Sous Chef">
                                        <option value="Pastry Sous Chef">
                                        <option value="Senior Pastry Commis 1">
                                        <option value="Pastry Commis 1">
                                        <option value="Senior Pastry Commis 2">
                                        <option value="Pastry Commis 2">
                                        <option value="Senior Pastry Commis 3">
                                        <option value="Pastry Commis 3">
                                        <option value="Senior Helper Pastry">
                                        <option value="Helper Pastry">
                                        <option value="Senior Dishwasher Pastry">
                                        <option value="Dishwasher Pastry">
                                        <option value="Senior Intern Pastry">
                                        <option value="Intern Pastry">
                                        <option value="Senior G. Manager">
                                        <option value="G. Manager">
                                        <option value="Senior Restaurant Manager">
                                        <option value="Restaurant Manager">
                                        <option value="Senior Assistant Manager">
                                        <option value="Assistant Manager">
                                        <option value="Senior Shift Manager">
                                        <option value="Shift Manager">
                                        <option value="Senior Shift Lead">
                                        <option value="Shift Lead">
                                        <option value="Senior Supervisor">
                                        <option value="Supervisor">
                                        <option value="Senior Order Taker">
                                        <option value="Order Taker">
                                        <option value="Senior Cashier">
                                        <option value="Cashier">
                                        <option value="Senior GRO">
                                        <option value="GRO">
                                        <option value="Senior Waiter">
                                        <option value="Waiter">
                                        <option value="Senior Server">
                                        <option value="Server">	
                                        <option value="Senior Busser">
                                        <option value="Busser">
                                        <option value="Senior House Keeping">
                                        <option value="House Keeping">
                                        <option value="Senior Accountant">
                                        <option value="Accountant">
                                        <option value="Senior Building Admin">
                                        <option value="Building Admin">
                                        <option value="Senior Maintenance">
                                        <option value="Maintenance">
                                        <option value="Senior Purchaser">
                                        <option value="Purchaser">
                                    </datalist>
                                </div>
                                <div class="input_field_sections">
                                    <h5>Cell</h5>
                                    <input type="tel" class="form-control" name="cell" value="<?php echo $listR['cell'];?>" />
                                </div>
                                <div class="input_field_sections">
                                    <h5>ID Card</h5>
                                    <input type="number" class="form-control" name="id_card" value="<?php echo $listR['id_card'];?>"/>
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="input_field_sections">
                                    <h5>Salary Per Month</h5>
                                    <input type="number" class="form-control" name="salary" value="<?php echo $listR['salary_per_month'];?>" />
                                </div>
                                <div class="input_field_sections">
                                    <h5>Emergency Contact</h5>
                                    <input type="tel" class="form-control" name="emergency_contact" value="<?php echo $listR['emergency_contact'];?>" />
                                </div>
                                <div class="input_field_sections">
                                    <h5>Date of Birth</h5>
                                    <input type="date" class="form-control" name="dob" value="<?php echo $listR['date_of_birth'];?>" />
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-4">
                                <div class="input_field_sections">
                                    <h5>Gender</h5>
                                    <select class="form-control" name="gender" >
                                        <option value="<?php echo $listR['gender'];?>"><?php echo $listR['gender'];?></option>
                                        <option value="Male">Male</option>
                                        <option value="Female">Female</option>
                                        <option value="Other">Other</option>
                                    </select>
                                </div>
                                <div class="input_field_sections">
                                    <h5>Marital Status</h5>
                                    <select class="form-control" name="marital_status">
                                        <option value="<?php echo $listR['marital_status'];?>"><?php echo $listR['marital_status'];?></option>
                                        <option value="Single">Single</option>
                                        <option value="Married">Married</option>
                                        <option value="Divorced">Divorced</option>
                                        <option value="Widowed">Widowed</option>
                                    </select>
                                </div>
                                <div class="input_field_sections">
                                    <h5>Current Address</h5>
                                    <input type="text" class="form-control" name="current_address" value="<?php echo $listR['current_address'];?>"/>
                                </div>
                                <div class="input_field_sections">
                                    <h5>Uniform Info</h5>
                                    <input type="text" class="form-control" name="apron_cap_qty" value="<?php echo $listR['uniform_info'];?>"/>
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="input_field_sections">
                                   <h5>Point</h5>
                                   <select class="form-control" name="point">
                                        <option value="<?php echo $listR['point'];?>"><?php echo $listR['point'];?></option>
                                        <option value="Yes">Yes</option>
                                        <option value="No">No</option>
                                    </select>
                                </div>
                                <div class="input_field_sections">
                                    <h5>Joining Date</h5>
                                    <input type="date" class="form-control" name="joining_date" value="<?php echo $listR['joining_date'];?>" />
                                </div>
                               <div class="input_field_sections">
                                    <h5>Bank Transfer</h5>
                                    <select class="form-control" name="bank">
                                        <option value="<?php echo $listR['bank_transfer_option'];?>"><?php echo $listR['bank_transfer_option'];?></option>
                                        <option value="Yes">Yes</option>
                                        <option value="No">No</option>
                                    </select>
                                </div>
                                <div class="input_field_sections">
                                    <h5>Status</h5>
                                    <select class="form-control" name="status">
                                        <option value="<?php echo $listR['status'];?>"><?php echo $listR['status'];?></option>
                                        <option value="Active">Active</option>
                                        <option value="Inactive">Inactive</option>
                                    </select>
                                </div>		
                            </div>
                            <div class="col-lg-4">
                                <div class="input_field_sections">
                                    <h5>Title Name</h5>
                                    <input type="text" class="form-control" name="title_name" value="<?php echo $listR['title_name'];?>" />
                                </div>
                                <div class="input_field_sections">
                                    <h5>Bank Name</h5>
                                    <input type="text" class="form-control" name="bank_name" list="bank_list" value="<?php echo $listR['bank_name'];?>" />
                                    <datalist id="bank_list">
                                        <option value="Allied Bank Limited">
                                        <option value="Askari Bank Limited">
                                        <option value="Bank Alfalah Limited">
                                        <option value="Bank AL Habib Limited">
                                        <option value="BankIslami Pakistan Limited">
                                        <option value="Faysal Bank Limited">
                                        <option value="Habib Bank Limited">
                                        <option value="Habib Metropolitan Bank Limited">
                                        <option value="JS Bank Limited">
                                        <option value="MCB Bank Limited">
                                        <option value="Meezan Bank Limited">
                                        <option value="National Bank of Pakistan">
                                        <option value="Samba Bank Limited">
                                        <option value="Silkbank Limited">
                                        <option value="Sindh Bank Limited">
                                        <option value="Standard Chartered Bank (Pakistan) Limited">
                                        <option value="Summit Bank Limited">
                                        <option value="United Bank Limited">
                                        <option value="EasyPaisa">
                                        <option value="JazzCash">
                                        <option value="Bank of Punjab">
                                        <option value="Bank of Khyber">
                                        <option value="Soneri Bank">
                                        <option value="Bank of Azad Jammu and Kashmir">
                                        <option value="First Women Bank Limited">
                                        <option value="NRSP Microfinance Bank">
                                        <option value="Zarai Taraqiati Bank Limited (ZTBL)">
                                        <option value="Industrial and Commercial Bank of China (ICBC) Pakistan">
                                    </datalist>
                                </div>
                                <div class="input_field_sections">
                                    <h5>Account Number</h5>
                                    <input type="text" class="form-control" name="account_number" value="<?php echo $listR['account_number'];?>" />
                                </div>
                            </div>
                        </div>
		        	    <div class="modal-footer" style="text-align:left;">
        		     		<button type="submit" class="btn btn-success">Update</button>
				        	<button class="btn btn-warning" data-dismiss="modal">Cancel</button>
		                </div>
		        	</form>
		        	<?php } ?>
		        </div>
		    </div>
		</div>
	</div>
</div>
<?php include 'Footer.php'; ?> 