<?php 
require_once('sessionp.php');
require_once('checkAccountsSession.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$PageTitle= 'Update and Insert';
$module = 'stock';
$range = 'true';
$pageRole = 'form';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
    body {
        font-family: 'Arial', sans-serif;
        background-color: #f5f5f5;
        margin: 0;
        padding: 0;
    }
    #content {
        padding: 20px;
    }
    .form-container {
        background: #fff;
        padding: 20px;
        border-radius: 8px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        margin-bottom: 20px;
    }
    .form-container h5 {
        font-size: 16px;
        font-weight: 600;
        margin-bottom: 10px;
        color: #333;
    }
    .form-container input, .form-container select {
        width: 100%;
        padding: 10px;
        margin-bottom: 20px;
        border: 1px solid #ddd;
        border-radius: 4px;
        font-size: 14px;
    }
    .form-container button {
        padding: 10px 20px;
        border: none;
        border-radius: 4px;
        font-size: 14px;
        cursor: pointer;
        transition: background-color 0.3s ease;
    }
    .btn-success {
        background: linear-gradient(135deg, #4CAF50, #2E7D32);
        color: #fff;
    }
    .btn-warning {
        background: linear-gradient(135deg, #FF9800, #F57C00);
        color: #fff;
    }
    .btn-success:hover, .btn-warning:hover {
        filter: brightness(1.2);
    }
    .row {
        display: flex;
        flex-wrap: wrap;
        gap: 15px;
    }
    .col-lg-4, .col-lg-6, .col-lg-8 {
        flex: 1;
        min-width: calc(33.333% - 10px);
    }
    @media (max-width: 768px) {
        .col-lg-4, .col-lg-6, .col-lg-8 {
            flex: 1;
            min-width: 100%;
        }
    }
</style>

<div id="content" class="bg-container">
    <?php include 'ContentFooter.php'; ?>
    
    <!-- Add Product Form -->
    <div class="form-container">
        <h3>Add Product</h3>
        <form method="post" action="process/SaveItemOne">
            <input type="hidden" name="bcheck" value="true" />
            
            <div class="row"> 
                <div class="col-lg-8">
                    <h5>Item Name <span class="label_desc">(Required)</span></h5>
                    <input type="text" name="title" class="form-control" required />
                </div>
            </div>

            <div class="row">
                <div class="col-lg-4">
                    <h5>Unit <span class="label_desc">(Autofill-Required)</span></h5>
                    <input type="text" name="unit" list="unit_list" class="form-control" required />
                    <datalist id="unit_list">
                        <?php 
                        $unitsRS = Run($conn, "SELECT * FROM tbl_units ORDER BY title ASC");
                        while ($unitR = GetRow($unitsRS)) {
                            echo "<option>{$unitR['title']}</option>";
                        }
                        ?>
                    </datalist>
                </div>
                <div class="col-lg-4">
                    <h5>Category <span class="label_desc">(Autofill)</span></h5>
                    <input type="text" name="cat_title" list="cat_list" class="form-control" value="None" />
                    <datalist id="cat_list">
                        <?php 
                        $categoriesRS = Run($conn, "SELECT * FROM tbl_items_cat WHERE status = '1' ORDER BY title ASC");
                        while ($categoriesR = GetRow($categoriesRS)) {
                            echo "<option>{$categoriesR['title']}</option>";
                        }
                        ?>
                    </datalist>
                </div>
                <div class="col-lg-4">
                    <h5>Section <span class="label_desc">(Autofill)</span></h5>
                    <input type="text" name="brand_title" list="brand_list" class="form-control" value="None" />
                    <datalist id="brand_list">
                        <?php 
                        $brandsRS = Run($conn, "SELECT * FROM tbl_brands WHERE status = '1' ORDER BY title ASC");
                        while ($brandsR = GetRow($brandsRS)) {
                            echo "<option>{$brandsR['title']}</option>";
                        }
                        ?>
                    </datalist>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-4">
                    <h5>Mini <span class="label_desc">(Required)</span></h5>
                    <input type="number" name="Mini" class="form-control" required />
                </div>
                <div class="col-lg-4">
                    <h5>Max <span class="label_desc">(Required)</span></h5>
                    <input type="number" name="Max" class="form-control" required />
                </div>
                <div class="col-lg-4">
                    <h5>Supplier <span class="label_desc">(Autofill-Required)</span></h5>
                    <input type="text" name="supplier" list="supplier_list" class="form-control" required />
                    <datalist id="supplier_list">
                        <?php 
                        $suppliersRS = Run($conn, "SELECT * FROM tbl_suppliers WHERE status = '1' ORDER BY name ASC");
                        while ($suppliersR = GetRow($suppliersRS)) {
                            echo "<option>{$suppliersR['name']}</option>";
                        }
                        ?>
                    </datalist>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-6">
                    <h5>Opening Stock <span class="label_desc">(Optional)</span></h5>
                    <input type="number" name="updated_Stock" class="form-control" min="0" step="any" />
                </div>
                <div class="col-lg-6">
                    <h5>Unit Cost <span class="label_desc">(Optional)</span></h5>
                    <input type="number" name="price" class="form-control" min="0" step="any" />
                </div>
            </div>

            <div class="modal-footer">
                <button type="submit" class="btn btn-success">Save</button>
                <button type="reset" class="btn btn-warning">Reset</button>
            </div>
        </form>
    </div>
    <div class="form-container">
        <h3>Update Product</h3>

        <!-- Search Input -->
        <form method="get" action="">
            <div class="row">
                <div class="col-lg-8">
                    <h5>Search Product <span class="label_desc">(Search by Name or ID)</span></h5>
                    <select name="search_query" class="form-control chzn-select" onchange="this.form.submit()">
                        <option disabled selected>Choose an Item</option>
                        <?php
                        $List = Run($conn, "SELECT * FROM tbl_items WHERE status = '1' ORDER BY title ASC");
                        while ($ListR = GetRow($List)) {
                            $ID = $ListR['id'];
                            $brandTitle = ($ListR['brand_id'] != 0) ? ' - ' . showTitle($conn, 'tbl_brands', $ListR['brand_id']) : '';
                            echo "<option value='{$ListR['id']}'>{$ListR['id']} - {$ListR['title']}{$brandTitle}</option>";
                        }
                        ?>
                    </select>
                </div>
            </div>
        </form>

        <?php
        // Check for `id` in the URL or fallback to `search_query`
        $searchQuery = isset($_GET['id']) ? $_GET['id'] : (isset($_GET['search_query']) ? $_GET['search_query'] : '');
        $searchQuery = mysqli_real_escape_string($conn, $searchQuery);

        $searchRS = Run($conn, "SELECT * FROM tbl_items WHERE id = '$searchQuery' OR title LIKE '%$searchQuery%' LIMIT 1");
        $listR = GetRow($searchRS);

        // Default values if no result is found
        $ID = $listR['id'] ?? '';
        $title = $listR['title'] ?? '';
        ?>

        <!-- Update Product Form -->
        <form method="post" action="process/UpdateItemOne">
            <input type="hidden" name="bcheck" value="true" />
            <input type="hidden" name="id" value="<?php echo $ID; ?>" />
            
            <!-- Populate the form dynamically -->
            <div class="row">
                <div class="col-lg-8">
                    <h5>Item Name <span class="label_desc">(Required)</span></h5>
                    <input type="text" name="title" class="form-control" value="<?php echo $title; ?>" required />
                </div>
            </div>
            
            <div class="row">
                <div class="col-lg-4">
                    <h5>Unit <span class="label_desc">(Autofill-Required)</span></h5>
                    <input type="text" name="unit" list="unit_list" class="form-control" value="<?php echo showTitle($conn, 'tbl_units', $listR['unit'] ?? ''); ?>" required />
                </div>
                <div class="col-lg-4">
                    <h5>Category <span class="label_desc">(Autofill)</span></h5>
                    <input type="text" name="cat_title" list="cat_list" class="form-control" value="<?php echo showTitle($conn, 'tbl_items_cat', $listR['category_id'] ?? ''); ?>" />
                </div>
                <div class="col-lg-4">
                    <h5>Section <span class="label_desc">(Autofill)</span></h5>
                    <input type="text" name="brand_title" list="brand_list" class="form-control" value="<?php echo showTitle($conn, 'tbl_brands', $listR['brand_id'] ?? ''); ?>" />
                </div>
            </div>
            
            <div class="row">
                <div class="col-lg-4">
                    <h5>Mini <span class="label_desc">(Required)</span></h5>
                    <input type="number" name="Mini" class="form-control" value="<?php echo $listR['Mini'] ?? ''; ?>" required />
                </div>
                <div class="col-lg-4">
                    <h5>Max <span class="label_desc">(Required)</span></h5>
                    <input type="number" name="Max" class="form-control" value="<?php echo $listR['Max'] ?? ''; ?>" required />
                </div>
                <div class="col-lg-4">
                    <h5>Supplier <span class="label_desc">(Autofill-Required)</span></h5>
                    <input type="text" name="supplier" list="supplier_list" class="form-control" value="<?php echo $listR['supplier'] ?? ''; ?>" required />
                </div>
            </div>

            <div class="row">
                <div class="col-lg-6">
                    <h5>Opening Stock <span class="label_desc">(Optional)</span></h5>
                    <input type="number" name="updated_Stock" class="form-control" value="<?php echo $listR['updated_Stock'] ?? ''; ?>" min="0" step="any" />
                </div>
                <div class="col-lg-6">
                    <h5>Unit Cost <span class="label_desc">(Optional)</span></h5>
                    <input type="number" name="price" class="form-control" value="<?php echo $listR['price'] ?? ''; ?>" min="0" step="any" />
                </div>
            </div>

            <div class="modal-footer">
                <button type="submit" class="btn btn-success">Update</button>
            </div>
        </form>
    </div>
</div>
<?php include 'Footer.php'; ?>
