<?php 
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php'); 

$start_day = '01';
$start_month = date("m");
$start_year = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true') {
	$start_date = getValue('date_from');
	$end_date = getValue('date_to');
} 

$register_date = date("Y-m-d");
$reg_date_check = getValue('preg_date_check');
if($reg_date_check == 'true')
{
    $register_date = getValue('register_date'); 
}
$businessDay =  date('l jS \of F Y', strtotime($register_date));    
$page        = 'home';
$module      = 'dashboard';
$pageTitle   = "Cashier Overview " .$businessDay;
$pageRole    = 'table';
?>

<head>
    <!-- Include Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">

    <style>
    .body{ 
        background-color:#FFFFFF !important; 
        color:#000000 !important; 
        font-family:Arial, Helvetica, sans-serif !important; 
        font-size:12px; 
    }
    .Wrap, #wrap {
        margin:0 !important;
        position: relative;
    }
    .print{
        page-break-after: always;
    }
    .print:last-child {
         page-break-after: auto;
    }
    </style>
</head>
<body>
    <?php include 'MasterTop.php';  ?>   
    <div class="container mt-4">
        <div class="row">
            <div class="col-lg-8 mb-5">
                <div class="card">
                    <div class="card-header">
                        <h3>PH: 051 2721195 </h3>
                        <p>Address: Unit:No.3, Street:4 Gol Market F7/3, Islamabad</p>
                        <p>Gmail: Bistro.noir.isb@gmail.com</p>
                    </div>
                    <div class="card-body"> 
                        <table class="table table-bordered table-hover" >
                            <thead>
                                <tr>
                                    <th colspan="2"> <?php echo $pageTitle ; ?></th>
                                </tr>   
                            </thead>
                            <tbody>
                                <tr>
                                    <td style="text-align:right;" width="50%">Total Net Sales</td>
                                    <td><?php 
                                        $grandSaleR  = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received    from tbl_sales where status=1 and post_date = '$register_date' "));                                
                                        $grandGrand  = $grandSaleR['grand_sale']+$grandSaleR['grand_tax']-$grandSaleR['grand_delivery']+$grandSaleR['grand_service']+$grandSaleR['grand_discount'];
                                        echo number_format($grandGrand);?>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="text-align:right;" width="50%">Given To Purchaser</td>
                                    <td><?php  
                                        $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                        $grandgiven = $Cashier['grand_given']; 
                                        echo number_format($grandgiven);?>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="text-align:right;" width="50%">Exp From Till</td>
                                    <td><?php  
                                        $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                        $grandtill = $Cashier['grand_till']; 
                                        echo number_format($grandtill);?>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="text-align:right;" width="50%">Staf Food Bills and Advance</td>
                                    <td><?php  
                                        $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                        $grandadvance = $Cashier['grand_advance']; 
                                        echo number_format($grandadvance);?>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="text-align:right;" width="50%">Cash</td>
                                    <td><?php  
                                        $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                        $grandhand = $Cashier['grand_hand']; 
                                        echo number_format($grandhand);?>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="text-align:right;" width="50%">Bank</td>
                                    <td><?php  
                                        $grandBank   = $grandSaleR['grand_received'];
                                        echo number_format($grandBank);?>
                                    </td>
                                </tr>                                           
                                <tr style="font-size: 16px;">
                                    <td style="text-align:right;" width="50%">Balance</th>
                                    <td><?php  
                                        echo number_format($grandGrand-$grandgiven-$grandtill-$grandadvance-$grandhand-$grandBank);?>
                                    </td>
                                </tr>
                            </tbody>
                            <tbody>
                                <tr>
                                    <th style="text-align:center;" width="50%"><?php echo $pageTitle ; ?></th>
                                    <th style="text-align:center;" width="50%"><?php echo $pageTitle ; ?></th>
                                </tr>
                                <tr>
                                    <td style="text-align:center;" width="50%">Tip</td>
                                    <td style="text-align:center;" width="50%">Purchaser</td> 
                                </tr>
                                <tr>
                                    <th style="text-align:center;" width="50%"><?php  
                                        $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                        $grandtip = $Cashier['grand_tip']; 
                                        echo number_format($grandtip);?>
                                    </th>
                                    <th style="text-align:center;" width="50%"><?php  
                                        $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                        $grandpurchse = $Cashier['grand_purchase']; 
                                        echo number_format($grandpurchse);?>
                                    </th>
                                </tr>
                            </tbody>                                        
                        </table>  
                    </div>
                </div>
            </div>
			<div class="col-lg-8" style="margin-bottom:10px;">
				<div class="card">
				<div class="card-header bg-white"> Petty Cash   </div>
					<div class="card-block">
						<div class="row">
							<table class="table table-bordered table-hover" >
								<tbody>
									<tr  style="font-size: 20px;">
								   		<td style="text-align:right;" width="50%">Opening Cash</td>
										<td><?php  
			                                $grandSaleR2             = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where status=1 and post_date < '$register_date' "));
	                              		    $grandBank2              = $grandSaleR2['grand_received'];
    	                               		$grandSale2              = $grandSaleR2['grand_sale'];
	                                   		$grandTax2               = $grandSaleR2['grand_tax'];// Old GST 
	                                   		$grandTax152             = $grandSaleR2['grand_service'];//GST 15%
                                   			$grandTax52              = $grandSaleR2['grand_discount'];//GST 5%
                                   			$grandDelivery2          = $grandSaleR2['grand_delivery'];//DISCOUNT
                                   			$grandGrand2             = $grandSale2+$grandTax2+$grandTax152+$grandTax52-$grandDelivery2-$grandBank2; //Net Sale Including GST
			   
	                                   		$Exp2                    = GetRow(Run($conn,"select sum(dr) as grand_Exp from tbl_sup_payments where status=1 and post_date < '$register_date' "));												
	                                   		$grandExp12              = $Exp2['grand_Exp'];
  
                                   			$Cashier2                = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr ,sum(locker) as grand_locker, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date < '$register_date'"));
                                   			$grandadvance2           = $Cashier2['grand_advance'];
                                            $grandOwner2             = $Cashier2['grand_owner'];
			
                                            $grandPettCash2          = $grandGrand2+$grandOwner2-$grandExp12-$grandadvance2; 
			
                                    		echo number_format($grandPettCash2);?>
			                            </td>
									</tr>
									<tr>
										<td style="text-align:right;" width="50%">Sale</td>
										<td><?php  
			                                $grandSaleR3             = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where status=1 and post_date = '$register_date' "));
			                                $grandBank3              = $grandSaleR3['grand_received'];
                                  			$grandSale3              = $grandSaleR3['grand_sale'];
		                                  	$grandTax3               = $grandSaleR3['grand_tax'];// Old GST 
		                                   	$grandTax153             = $grandSaleR3['grand_service'];//GST 15%
		                                   	$grandTax53              = $grandSaleR3['grand_discount'];//GST 5%
		                                   	$grandDelivery3          = $grandSaleR3['grand_delivery'];//DISCOUNT
                                     		$grandGrand3             = $grandSale3+$grandTax3+$grandTax153+$grandTax53-$grandDelivery3; //Net Sale Including GST
 		
	                                    	echo number_format($grandGrand3);?>
		 	                            </td>
									</tr>
									<tr>
										<td style="text-align:right;" width="50%">Received From Owner</td>
										<td><?php  
		                                   	$Cashier4                = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr ,sum(locker) as grand_locker, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date'"));
		                                   	$grandadvance4           = $Cashier4['grand_advance'];
                                            $grandOwner4             = $Cashier4['grand_owner'];
                                            $grandTill4              = $Cashier4['grand_till'];	
                                            $grandPurchaser4         = $Cashier4['grand_purchase'];			
	 		 
	                                   		echo number_format($grandOwner4);?>
		                                </td>
								    </tr>
									<tr  style="font-size: 20px;">
										<td style="text-align:right;" width="50%">Total</td>
										<td><?php  			
                                            $grandPettCash5          =$grandPettCash2+$grandGrand3+$grandOwner4; 
		
		                                   	echo number_format($grandPettCash5);?>
			                            </td>
							     	</tr>											
									<tr>
										<td style="text-align:right;" width="50%">Bank Transaction</td>
										<td><?php  
                                   			$grandSaleR6             = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where status=1 and post_date = '$register_date' "));
                                   			$grandBank6              = $grandSaleR6['grand_received'];
	
		                                   	echo number_format($grandBank6);?>
			                            </td>
									</tr>	
									<tr>
										<td style="text-align:right;" width="50%">Exp</td>
										<td><?php   
                                   			$Exp7                    = GetRow(Run($conn,"select sum(dr) as grand_Exp from tbl_sup_payments where status=1 and post_date = '$register_date' "));												
                                   			$grandExp17              = $Exp7['grand_Exp'];
		
		                                    echo number_format($grandExp17);?>
		                                </td>
									</tr>
									<tr>
							   			<td style="text-align:right;" width="50%">Staf Food Bills and Advance</td>
										<td><?php  
	                                   		echo number_format($grandadvance4);?>
			                            </td>
							    	</tr>
									<tr>
										<td style="text-align:right;" width="50%">Exp From Till</td>
										<td><?php  
	                                   		echo number_format($grandTill4);?>
		                                </td>
									</tr>	
									<tr  style="font-size: 20px;">
										<td style="text-align:right;" width="50%">Closing Cash</td>
										<td><?php  			
                                            $grandPettCash8          =$grandPettCash2+$grandGrand3+$grandOwner4-$grandBank6-$grandExp17-$grandadvance4-$grandTill4; 
			
	                                   		echo number_format($grandPettCash8);?>
	 		                            </td>
									</tr>
								</tbody>
							</table>  
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-8" style="margin-bottom:10px;">
                <div class="card">
                    <div class="card-header bg-white">Pending Details </div>
                    <div class="card-block">
                        <div class="row">
                            <table class="table table-striped table-bordered table-hover">
                                <thead>
                                    <tr>
                                        <th style="text-align:left;">Suppliers Name</th>
                                        <th style="text-align:left;">Bank Name</th>
                                        <th style="text-align:left;">Bank Account</th>
                                        <th style="text-align:left;">Balance (Rs)</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php    
                                        $listRS = Run($conn, "
                                            SELECT 
                                                * 
                                            FROM 
                                                tbl_suppliers s
                                            WHERE 
                                                (
                                                    (SELECT sum(cr) FROM tbl_sup_payments WHERE supplier_id = s.id and status = '1') -
                                                    (SELECT sum(dr) FROM tbl_sup_payments WHERE supplier_id = s.id and status = '1') > 0
                                                )
                                            ORDER BY 
                                                account DESC
                                        ");

                                        $i = 1;

                                        while ($listR = GetRow($listRS)) { 
                                            $supplierID = $listR['id']; 

                                            $creditRS = "select sum(cr) as credit_balance from tbl_sup_payments where supplier_id = '$supplierID' and status = '1'";
                                            $creditR = GetRow(Run($conn, $creditRS));
                                            $credit_balance = $creditR['credit_balance']; 

                                            $debitRS = "select sum(dr) as debit_balance from tbl_sup_payments where supplier_id = '$supplierID' and status = '1'";
                                            $debitR = GetRow(Run($conn, $debitRS));
                                            $debit_balance = $debitR['debit_balance']; 

                                            $debitRS = "select sum(transport_exp) as GST_balance from tbl_pur_items where supplier_id = '$supplierID' and status = '1'";
                                            $debitR = GetRow(Run($conn, $debitRS));
                                            $GST_balance = $debitR['GST_balance'];

                                            $GrandBalance = $credit_balance - $debit_balance;

                                            // Calculate totals
                                            $total_balance += $GrandBalance;								
                                    ?>
                                    <tr>
                                        <td><?php echo $listR['title']; ?></td>
                                        <td><?php echo $listR['email']; ?></td>
                                        <td><?php echo $listR['account']; ?></td>
                                        <td style="text-align:left;"><?php echo $GrandBalance = ($credit_balance-$debit_balance); 
                                            $G_GrandBalance = $G_GrandBalance + $GrandBalance;?></td>
                                    </tr>
                                    <?php } ?>	 
                                </tbody>						
                            </table> 
                            <div class="grand-balance">Grand Balance: <?php echo number_format($G_GrandBalance); ?></div>									 
                        </div>
                    </div>
                </div>
            </div>				
        </div>
    </div>				
    <script>
        window.onload = function() { window.print(); }
    </script>
</body>
