<?php 

$page		  = 'printStoreDemand';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');


// Get the id and bcheck from the URL and POST data
$ID = $_GET['id'];
$bcheck = $_POST['bcheck'];

// Get the supplier and payment details from the database
$listR = GetRow(Run($conn, "select * from tbl_suppliers where status = '1' and id = ?"), array($ID));
$CreditR = GetRow(Run($conn, "SELECT balance FROM tbl_sup_payments WHERE supplier_id = ? ORDER BY id DESC LIMIT 1;"), array($ID));

// Set the module, page title and register date variables
$module = 'Demand';
$pageTitle = 'Store Demand';

$register_date = date("Y-m-d");
$reg_date_check = getValue('preg_date_check');
if ($reg_date_check == 'true') {
    $register_date = getValue('register_date'); 
}
$businessDay =  date('l jS \of F Y', strtotime($register_date)); 	
$DayTitle = $businessDay;

?>
<style>
.body {
    background-color: #FFFFFF !important; 
    color: #000000 !important; 
    font-family: Arial, Helvetica, sans-serif !important; 
    font-size: 30px; 
}
.Wrap, #wrap {
    margin: 0 !important;
    position: relative;
}
.print {
    page-break-after: always;
}
.print:last-child {
     page-break-after: auto;
}
</style>
<?php 
// Include the master top file
include_once 'MasterTop.php';  
?>
<div id="content" class="bg-container">
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="col-lg-12" style="margin-bottom: 20px;">
                <div class="card">
                    <div class="row">           
                        <div class="col-lg-12" style="padding: 20px;">
                            <thead>
                                <th style="text-align: right;" width="50%"> <?= $pageTitle ?> </th>
                            </thead>							
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Section</th>
                                        <th>Products</th>
                                        <th>Demand</th>
                                        <th>Notes</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $n = 1;
                                    // Get the product demand details from the database
                                    $ProductDemand  = Run($conn, "SELECT tbl_demand_record.id, tbl_demand_record.supplier, tbl_demand_record.title, tbl_demand_record.brand_id, tbl_demand_record.quantity,tbl_demand_record.vendor_note
                                        FROM tbl_demand_record
                                        WHERE tbl_demand_record.status = '0'
                                        AND tbl_demand_record.Vendor = 'Store'
                                        ORDER BY brand_id ASC;");

                                    while ($DemandR  = GetRow($ProductDemand)) {
                                        // Get the product id and unit id
                                        $ProductID = $DemandR['id'];
                                        $unitID = GetRow(Run($conn, "SELECT unit FROM tbl_items
                                            WHERE id = ?"), array($ProductID));
                                    ?>
                                    <tr>
                                        <td><?= $n++ ?></td>
                                        <td><?php 
                                            // Get the section name from the brand id
                                            $Section  = showTitle($conn,'tbl_brands',$DemandR['brand_id']); 
                                            echo $Section; 
                                        ?></td>
                                        <td><?= $DemandR['title'] ?></td>
                                        <td><?= join(' ', array($DemandR['quantity'], '<span class="small">', showTitle($conn,'tbl_units',$unitID['unit']), '</span>')) ?></td>
                                        <td><?= $DemandR['vendor_note'] ?></td>
                                    </tr>
                                    <?php } ?>
                                </tbody>
                            </table>							
                        </div>	  
                    </div>
                </div>
            </div>
        </div>
    </div>	
</div>	

<script>
    window.onload = function() { window.print(); }
</script>
