<?php 
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

$pointsData = isset($_POST['points']) ? $_POST['points'] : null;

if ($pointsData) {
    foreach ($pointsData as $pointJson) {
        $point = json_decode($pointJson, true);

        // Check if id_emp already exists and status is 0
        $stmt = $conn->prepare("SELECT total_tip FROM tbl_points WHERE id_emp = ? AND status = ?");
        $status = '0';
        $stmt->bind_param("ss", $point['id_emp'], $status);
        $stmt->execute();
        $result = $stmt->get_result();
        
        if ($result->num_rows > 0) { 
            // If id_emp exists and status is 0, update total_tip
            $row = $result->fetch_assoc();
            $newTotal = $row['total_tip'] + $point['total_tip'];

            // Also update post_date to the current date
            $currentDate = date("Y-m-d H:i:s");

            $stmt = $conn->prepare("UPDATE tbl_points SET total_tip = ?, post_date = ? WHERE id_emp = ? AND status = ?");
            $stmt->bind_param("dsss", $newTotal, $currentDate, $point['id_emp'], $status);
        } else {
            // If id_emp does not exist or status is not 0, insert new record
            // Insert current date as post_date
            $currentDate = date("Y-m-d");

            $stmt = $conn->prepare("INSERT INTO tbl_points (id_emp, name, total_tip, status, post_date) VALUES (?, ?, ?, ?, ?)");
            $stmt->bind_param("ssdss", $point['id_emp'], $point['name'], $point['total_tip'], $status, $currentDate);
        }

        // Execute the statement
        if (!$stmt->execute()) {
            die('Query failed: ' . $stmt->error);
        }
    }
}

// Redirect or do whatever you want after the data has been saved
header('Location: ../point?type=saved');
exit;
?>