<?php
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

// Check if form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Check if bcheck value is not empty
    if (!empty($_POST['bcheck'])) {
        // Extract form data
        extract($_POST, EXTR_OVERWRITE);

        // Prepare and bind the statement
        $stmt = $conn->prepare("INSERT INTO tbl_employees (name, id_emp, house, designation, cell, id_card, salary_per_month, emergency_contact, date_of_birth, gender, marital_status, current_address, point, joining_date, bank_transfer_option, title_name, bank_name, account_number, uniform_info, status, post_date, hous) 
        VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?,?)");

        if (!$stmt) {
            // Handle statement preparation error
            die('Error in statement preparation: ' . $conn->error);
        }

        // Declare and initialize post_date variable
        $post_date = date('Y-m-d'); // Current date in the format 'YYYY-MM-DD'

        // Bind parameters
        $stmt->bind_param("sissssssssssssssssssss", $title, $id_emp, $house, $designation, $cell, $id_card, $salary, $emergency_contact, $dob, $gender, $marital_status, $current_address, $point, $joining_date, $bank, $title_name, $bank_name, $account_number, $apron_cap_qty, $status, $post_date,$house);

        // Execute the statement
        if ($stmt->execute()) {
            redirect_to('../employees', 'type', 'saved');
        } else {
            // Handle execution error
            die('Error executing the statement: ' . $stmt->error);
        }
    } else {
        redirect_to('../employees', 'error', 'new-employee');
    }
} else {
    // Handle form submission method not being POST
    redirect_to('../employees', 'error', 'invalid-request');
}
?>