<?php
// SaveEmployeeLeave.php

// Ensure the file includes necessary dependencies
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $get_date     = $_POST["post_date"];
    $done_date    = date("Y-m-t", strtotime($get_date));
    $id_emp       = $_POST["id_emp"];
    $name         = $_POST["name"];
    $id           = $_POST["id"];
    $Get_Previous = $_POST["Get_Previous"];
    $bonus        = $_POST["bonus"];
    $public       = $_POST["public"];
    $mis_count    = $_POST["mis_count"];
    $annual       = $_POST["annual"];
    $OverTime     = $_POST["OverTime"];
    $details      = $_POST["details"];
    $reserved     = $_POST["reserved"];

    // Define your SQL update statement
    $update_sql = "UPDATE tbl_staff_leaves SET 
                   `bonus` = ?, 
                   `OverTime` = ?,
                   `public` = ?,
                   `reserved` = ?,				   
                   `mis_count` = ?, 
                   `annual` = ?, 
                   `details` = ?, 
                   `status` = 0 
                   WHERE id_emp = ? 
                   AND MONTH(post_date) = MONTH(?) 
                   AND YEAR(post_date) = YEAR(?)";

    // Prepare the SQL statement for update
    if ($update_stmt = mysqli_prepare($conn, $update_sql)) {
        // Bind parameters to the prepared statement
        mysqli_stmt_bind_param($update_stmt, "dddddddiss", $bonus, $OverTime,  $public, $reserved, $mis_count, $annual, $details, $id_emp, $done_date, $done_date);

        // Attempt to execute the prepared statement for update
        if (mysqli_stmt_execute($update_stmt)) {
            // Check if $Get_Previous is greater than 0
            if ($Get_Previous > 0) {
                // Check if a record with the same conditions already exists in tbl_leaves_use
                $check_sql = "SELECT COUNT(*) FROM tbl_leaves_use WHERE Leave_id = ? AND id_emp = ? AND MONTH(post_date) = MONTH(?) AND YEAR(post_date) = YEAR(?)";
                if ($check_stmt = mysqli_prepare($conn, $check_sql)) {
                    mysqli_stmt_bind_param($check_stmt, "diss", $id, $id_emp, $done_date, $done_date);
                    mysqli_stmt_execute($check_stmt);
                    mysqli_stmt_bind_result($check_stmt, $count);
                    mysqli_stmt_fetch($check_stmt);
                    mysqli_stmt_close($check_stmt);

                    // If a record exists, update it
                    if ($count > 0) {
                        $update_leaves_use_sql = "UPDATE tbl_leaves_use SET `Get_Previous` = ? WHERE Leave_id = ? AND id_emp = ? AND MONTH(post_date) = MONTH(?) AND YEAR(post_date) = YEAR(?)";
                        if ($update_leaves_use_stmt = mysqli_prepare($conn, $update_leaves_use_sql)) {
                            mysqli_stmt_bind_param($update_leaves_use_stmt, "diss", $Get_Previous, $id, $id_emp, $done_date, $done_date);
                            mysqli_stmt_execute($update_leaves_use_stmt);
                            mysqli_stmt_close($update_leaves_use_stmt);
                        } else {
                            echo "ERROR: Could not prepare update query for tbl_leaves_use: " . mysqli_error($conn);
                            exit;
                        }
                    } else {
                        // If no record exists, insert a new one
                        $insert_leaves_use_sql = "INSERT INTO tbl_leaves_use (`Leave_id`, `Get_Previous`, `post_date`, `id_emp`) VALUES (?, ?, ?, ?)";
                        if ($insert_leaves_use_stmt = mysqli_prepare($conn, $insert_leaves_use_sql)) {
                            mysqli_stmt_bind_param($insert_leaves_use_stmt, "diss", $id, $Get_Previous, $done_date, $id_emp);
                            mysqli_stmt_execute($insert_leaves_use_stmt);
                            mysqli_stmt_close($insert_leaves_use_stmt);
                        } else {
                            echo "ERROR: Could not prepare insert query for tbl_leaves_use: " . mysqli_error($conn);
                            exit;
                        }
                    }
                } else {
                    echo "ERROR: Could not prepare check query for tbl_leaves_use: " . mysqli_error($conn);
                    exit;
                }
            }

            // Redirect to calculations page
            header('Location: ../EmpEdditionLeaves.php');
            exit;
        } else {
            echo "ERROR: Could not execute update query: " . mysqli_error($conn);
            exit;
        }

        // Close the prepared statement for update
        mysqli_stmt_close($update_stmt);
    } else {
        echo "ERROR: Could not prepare update query: " . mysqli_error($conn);
        exit;
    }
}

// Close connection
mysqli_close($conn);
?>