<?php
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

// Check if form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Check if bcheck value is not empty
    if (!empty($_POST['bcheck'])) {
        // Extract form data
        extract($_POST, EXTR_OVERWRITE);

        // Prepare and bind the statement
        $stmt = $conn->prepare("INSERT INTO tbl_services (name, designation, cell, id_card, salary, emergency, dob,Transfer_Option, gender, address,joining_date, title, bank_name, account, status, post_date) 
        VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");

        if (!$stmt) {
            // Handle statement preparation error
            die('Error in statement preparation: ' . $conn->error);
        }

        // Declare and initialize post_date variable
        $post_date = date('Y-m-d'); // Current date in the format 'YYYY-MM-DD'

        // Bind parameters
        $stmt->bind_param("ssssssssssssssss", $title, $designation, $cell, $id_card, $salary, $emergency_contact, $dob, $bank, $gender, $current_address, $joining_date, $title, $bank_name, $account_number, $status, $post_date);

        // Execute the statement
        if ($stmt->execute()) {
            redirect_to('../salarysummary', 'type', 'saved');
        } else {
            // Handle execution error
            die('Error executing the statement: ' . $stmt->error);
        }
    } else {
        redirect_to('../employees', 'error', 'new-employee');
    }
} else {
    // Handle form submission method not being POST
    redirect_to('../employees', 'error', 'invalid-request');
}
?>