<?php
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

$billID = $_SESSION['bill_id'];
$bcheck = getValue('bcheck');

if ($bcheck == 'true') {
    extract($_POST, EXTR_OVERWRITE);

    // First, get the category_id from tbl_items for the given item_id
    $categoryQuery = "SELECT category_id FROM tbl_items WHERE id = ?";
    $stmt = $conn->prepare($categoryQuery);
    $stmt->bind_param("i", $product_id);
    $stmt->execute();
    $categoryResult = $stmt->get_result();
    $categoryData = $categoryResult->fetch_assoc();
    
    $category_id = $categoryData['category_id'];
    
    // Check the conditions for remark and category_id
    if (!empty($remark) && $category_id <= 6) {
        // Redirect to the buying page with an error message if remark is filled and category_id <= 6
        redirect_to('../buy', 'error', 'Remarks only allowed for non food items');
        exit; // Stop further execution
    } else {
        // Update the item regardless of the category if remark is empty or category_id is appropriate
        $updateItem = Run($conn, "UPDATE tbl_tmp_pur_items SET 
            supplier_cost   = '$supplier_cost', 
            transport_cost  = '$transport_cost', 
            labor_cost      = '$labor_cost', 
            quantity        = '$quantity',
            remark          = '$remark'		
            WHERE bill_id   = '$billID' 
            AND id          = '$item_id'
        ");
    }

    // Fetch sums
    $query = "SELECT SUM(supplier_cost) AS total_supplier_cost, SUM(transport_cost) AS total_transport_cost FROM tbl_tmp_pur_items WHERE status='1'";
    $result = mysqli_query($conn, $query);
    $row = mysqli_fetch_assoc($result);

    $totalSupplierCost = $row['total_supplier_cost'];
    $totalTransportCost = $row['total_transport_cost'];

    // Update tbl_tmp_purchases
    $updatePurchasesQuery = "UPDATE tbl_tmp_purchases SET cr = '$totalSupplierCost', transport = '$totalTransportCost'";
    mysqli_query($conn, $updatePurchasesQuery);

    // If everything goes fine, redirect back with a success message
    redirect_to('../buy', 'success', 'item-update');
} else {
    redirect_to('../buy', 'error', 'item-update');
}
?>
