<?php
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

$id = getValue('id');

// Check if form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Check if bcheck value is not empty
    if (!empty($_POST['bcheck'])) {
        // Extract form data
        extract($_POST, EXTR_OVERWRITE);

        // Prepare and bind the statement
        $stmt = $conn->prepare("UPDATE tbl_services SET name = ?, designation = ?, cell = ?, id_card = ?, salary = ?, emergency = ?, dob = ?, gender = ?, address = ?, joining_date = ?, Transfer_Option = ?, title = ?, bank_name = ?, account = ?, status = ? WHERE id = ?");

        if (!$stmt) {
            // Handle statement preparation error
            die('Error in statement preparation: ' . $conn->error);
        }

        // Bind parameters
        $stmt->bind_param("ssssssssssssssss", $title, $designation, $cell, $id_card, $salary, $emergency_contact, $dob, $gender, $current_address, $joining_date, $bank, $title_name, $bank_name, $account_number, $status, $id);

        // Execute the statement
        if ($stmt->execute()) {
            redirect_to('../ServicesSource?id='.$id, 'Update', 'Service');
        } else {
            // Handle execution error
            die('Error executing the statement: ' . $stmt->error);
        }
    } else {
        redirect_to('../ServicesSource?id='.$id, 'error', 'new-ServicesSource');
    }
} else {
    // Handle form submission method not being POST
    redirect_to('../ServicesSource?id='.$id, 'error', 'invalid-request');
}
?>