<?php
// SaveEmployeeLeave.php

// Ensure the file includes necessary dependencies
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $id_emp = $_POST["id_emp"];
    $name = $_POST["name"];
    $bonus = $_POST["bonus"];
    $mis_count = $_POST["mis_count"];
    $previous = $_POST["previous"];
    $annual = $_POST["annual"];
    $public = $_POST["public"];
    $details = $_POST["details"];
    $MonthYear = $_POST["MonthYear"];
    $addprevious = $_POST[$LeavesR['id']];

    // Check if a record with the same id_emp and MonthYear already exists
    $check_sql = "SELECT * FROM tbl_staff_leaves WHERE id_emp = $id_emp AND MONTH(post_date) = MONTH('$MonthYear') AND YEAR(post_date) = YEAR('$MonthYear')";

    $check_result = mysqli_query($conn, $check_sql);

    if ($check_result) {
        if (mysqli_num_rows($check_result) > 0) {
            // A record exists, so update it
            $update_sql = "UPDATE tbl_staff_leaves SET bonus = ?, public = ?, mis_count = ?, previous = ?, annual = ?, details = ? WHERE id_emp = ? AND MONTH(post_date) = MONTH(?) AND YEAR(post_date) = YEAR(?)";

            if ($update_stmt = mysqli_prepare($conn, $update_sql)) {
                // Bind variables to the prepared statement as parameters
                mysqli_stmt_bind_param($update_stmt, "ssssssiss", $bonus, $public, $mis_count, $previous, $annual, $details, $id_emp, $MonthYear, $MonthYear);

                // Attempt to execute the prepared statement for update
                if (mysqli_stmt_execute($update_stmt)) {
                    // Redirect to calculations page
                    header('Location: ../EmpEdditionLeaves.php');
                    exit;
                } else {
                    echo "ERROR: Could not execute update query: $update_sql. " . mysqli_error($conn);
                    exit;
                }
            } else {
                echo "ERROR: Could not prepare update query: $update_sql. " . mysqli_error($conn);
                exit;
            }
        } else {
            // No record found, so insert a new one
            $insert_sql = "INSERT INTO tbl_staff_leaves (id_emp, name, bonus, public, mis_count, previous, annual, details) VALUES (?, ?, ?, ?, ?, ?, ?, ?)";

            if ($insert_stmt = mysqli_prepare($conn, $insert_sql)) {
                // Bind variables to the prepared statement as parameters
                mysqli_stmt_bind_param($insert_stmt, "isssssss", $id_emp, $name, $bonus, $public, $mis_count, $previous, $annual, $details);

                // Attempt to execute the prepared statement for insert
                if (mysqli_stmt_execute($insert_stmt)) {
                    // Redirect to calculations page
                    header('Location: ../EmpEdditionLeaves.php');
                    exit;
                } else {
                    echo "ERROR: Could not execute insert query: $insert_sql. " . mysqli_error($conn);
                    exit;
                }
            } else {
                echo "ERROR: Could not prepare insert query: $insert_sql. " . mysqli_error($conn);
                exit;
            }
        }
    } else {
        echo "ERROR: Could not execute check query: $check_sql. " . mysqli_error($conn);
        exit;
    }

    // Close result set
    mysqli_free_result($check_result);
    // Close statements
    mysqli_stmt_close($insert_stmt);
    mysqli_stmt_close($update_stmt);
}

// Close connection
mysqli_close($conn);
?>