<?php 

$page		 = 'sale-expense-report';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}


$module	     = 'reports';
$range 	     = 'true';
$pageTitle   = 'Sale / Expense Report ('.$start_date.' to '.$end_date.')';
$pageRole    = 'table';
$reportRS    = Run($conn,"select * from tbl_items where status = '1'");

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php'; 


$salesSQL     = "SELECT 
					SUM(grand_total) AS total_sales,
					SUM(total_amount) AS total_sold,
					SUM(amount_received) AS total_banks,
					
					( SUM(grand_total) - SUM(tax_amount) - SUM(discount) - SUM(delivery_charges) - SUM(service_charges) ) AS net_sales,
					( SUM(total_amount) + SUM(tax_amount) - SUM(delivery_charges)) AS totalSale,
					( SUM(grand_total) - SUM(tax_amount) ) - ( SUM(grand_total) - SUM(amount_received) ) AS sales_cash_in_hand,
					
					SUM(tax_amount) AS sales_tax,
					SUM(discount) AS sales_discount,
					SUM(delivery_charges) AS sales_delivery_charges,
					SUM(service_charges) AS sales_service_charges
				FROM 
					tbl_sales  
				WHERE 
					status = '1' AND post_date BETWEEN '$start_date' AND '$end_date'
			   ";

$salesR = GetRow(Run($conn, $salesSQL)); 

$customersSQL    = "SELECT 
						SUM(dr)-SUM(cr) AS pending_customers_payments 
					FROM 
						tbl_cus_payments  
					WHERE 
						status = '1' AND post_date BETWEEN '$start_date' AND '$end_date'
					";

$customersR   = GetRow(Run($conn, $customersSQL)); 

$purchasesSQL = "SELECT  
					SUM(supplier_cost) AS food_expenses,
					( SELECT SUM(total_cost) FROM tbl_pur_items WHERE post_date BETWEEN '$start_date' AND '$end_date' AND status = '1' AND category_id = '5' ) AS beverages_expenses 
				FROM 
					tbl_pur_items  
				WHERE 
				status = '1' AND ( post_date BETWEEN '$start_date' AND '$end_date' )
			    ";

$purchasesR = GetRow(Run($conn, $purchasesSQL)); 

$expensesSQL = "SELECT 
					( SUM(dr) - SUM(cr) ) AS total_expenses,
					( SELECT ( SUM(dr) - SUM(cr) ) FROM tbl_expenses WHERE post_date BETWEEN '$start_date' AND '$end_date' AND status = '1' AND category_id = '3' ) AS salary_expenses
				FROM 
					tbl_expenses  
				WHERE 
					status = '1' AND ( post_date BETWEEN '$start_date' AND '$end_date' )
			   ";

$expensesR   = GetRow(Run($conn, $expensesSQL)); 

$saleItemsSQL   = "SELECT 
					SUM(total_sale_price) AS order_items_cancelled 
				FROM 
					tbl_sales_items  
				WHERE 
					status = '0' AND ( post_date BETWEEN '$start_date' AND '$end_date' )
			   ";

$saleItemsR    = GetRow(Run($conn, $saleItemsSQL)); 


// Stock in and out between start and end dates 

$stockSQL      = "SELECT 
					SUM(in_cost*in_quantity) AS stock_in,
					SUM(out_cost*out_quantity) AS stock_out
				FROM 
					tbl_stock_dairy  
				WHERE 
				status = '1' AND type != '4' AND (post_date between '$start_date' AND '$end_date') ";

$stockR        = GetRow(Run($conn, $stockSQL)); 

$non_food_expenses = $expensesR['total_expenses'];

$food_cost_percent_of_net_sale = ( ( $stockR['stock_out'] - $purchasesR['beverages_expenses']) / $salesR['net_sales'])*100;

$non_food_cost_percent_of_net_sale = ($non_food_expenses/$salesR['net_sales'])*100;
$beverages_cost_percent_of_net_sale = ($purchasesR['beverages_expenses']/$salesR['net_sales'])*100;


// Opening Stock Wroth on start date 

$listRS	 = Run($conn,"select * from tbl_items where status = '1' order by id desc");  
$StartingTotalStockWorth = 0;  
while ($listR = GetRow($listRS)){ 
$productID = $listR['id'];
$productStockR = GetRow(Run($conn,"select balance_quantity, balance_cost from tbl_stock_dairy where product_id = '$productID' and post_date < '$start_date' order by id desc limit 1"));

$StartingTotalStockWorth = $StartingTotalStockWorth + ($productStockR['balance_quantity']*$productStockR['balance_cost']); 
 } 

 // Cloasing Stock Wroth on end date 

$listRS	 = Run($conn,"select * from tbl_items where status = '1' order by id desc");  
$EndingTotalStockWorth = 0;  
while ($listR = GetRow($listRS)){ 
$productID = $listR['id'];
$stop_date = date('Y-m-d', strtotime($end_date . ' +1 day'));
 
$productStockR = GetRow(Run($conn,"select balance_quantity, balance_cost from tbl_stock_dairy where product_id = '$productID' and  post_date < '$stop_date'  order by id desc limit 0, 1")); 
$EndingTotalStockWorth = $EndingTotalStockWorth + ($productStockR['balance_quantity']*$productStockR['balance_cost']); 

} 


$pageTitle = 'Sale / Expense Report';
  
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
.tabl-head{
	background: #ECECEC !important;
    border-bottom: 1px solid #ccc !important;
	font-size: 18px !important;
}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-8 data_tables"> 
				<div class="card"> 
						<div class="card-block">
							<div class="row">
							 <div class="col-lg-12" style="padding:10px;"> 
								  
								<table class="table table-bordered table-hover">
								 
									<tbody>
										<tr>
											<th colspan="2" class="tabl-head">Sale</td> 
										</tr>
										<tr>
											<td width="70%">Total Sale</td>
											<td>PKR <?php echo number_format($salesR['total_sold']); ?></td>
										</tr> 
										<tr>
											<td>GST</td>
											<td>PKR <?php echo number_format($salesR['sales_tax']); ?></td>
										</tr>
										<tr>
											<td>Discount</td>
											<td>PKR <?php echo number_format($salesR['sales_delivery_charges']); ?></td>
										</tr>
										<tr>
											<td>Service Charges</td>
											<td>PKR <?php echo number_format($salesR['sales_service_charges']); ?></td>
										</tr>
										<tr>
											<td>Delivery Charges</td>
											<td>PKR <?php echo number_format($salesR['sales_discount']); ?></td>
										</tr>
										<tr>
											<td>Grand Sale <small>(=Sale + GST - Delivery - Service - Discount)</small> </td>
											<td>PKR <?php echo number_format($salesR['totalSale']); ?></td>
										</tr>
										<tr>
											<td>Bank  </td>
											<td>PKR <?php echo number_format($salesR['total_banks']); ?></td> 
										</tr>
										<tr>
											<td>Sale Cash in-hand </td>
											<td>PKR <?php echo number_format(($salesR['totalSale']) - ($salesR['total_banks'])) ; ?></td> 
										</tr>
										<tr>
											<td colspan="2"> &nbsp; </td> 
										</tr>
										<tr>
											<th colspan="2" class="tabl-head">Expenses</td> 
										</tr>
										<tr>
											<td>Total Expense <small>(=sum of Food Expenses + Non-Food Expenses + Beverages)</small></td>
											<td>PKR <?php echo number_format($purchasesR['food_expenses']+$expensesR['total_expenses']); ?></td>
										</tr>
										<tr>
											<td>Expenses Paid</td>
											<td>0</td>
										</tr>
										<tr>
											<td>Expenses unPaid <small>(pending) (=Total Expense - Expense Paid)</small></td>
											<td>0</td>
										</tr>

										<tr>
											<td>Food Expenses</td>
											<td>PKR <?php echo number_format($purchasesR['food_expenses']); ?></td> 
										</tr>
										<tr>
											<td>Non-Food Expenses <small>(Total Expenses – Food Expenses – Beverages – Salary)</small></td> 
											<td>PKR <?php echo number_format($non_food_expenses); ?></td>
										</tr>
										<tr>
											<td>Beverages</td>
											<td>PKR <?php echo number_format($purchasesR['beverages_expenses']); ?></td>
										</tr>
										<tr>
											<td>Salary</td>
											<td>PKR <?php echo number_format($expensesR['salary_expenses']); ?></td>
										</tr>
										<tr>
											<td colspan="2"> &nbsp; </td> 
										</tr>
										<tr>
											<th colspan="2" class="tabl-head">Sale / Expense Statistics</td> 
										</tr>
										<tr>
											<td>Food Cost % of Net Sale <small>(= (Stock Out - Beverages) / Net Sale)</small></td>
											<td><?php echo number_format($food_cost_percent_of_net_sale, 2); ?>%</td>
										</tr>
										<tr>
											<td>Non-Food Cost % of Net Sale <small>(=Non-Food Expenses/Net Sale)</small></td>
											<td><?php echo number_format($non_food_cost_percent_of_net_sale, 2); ?>%</td>
										</tr>
										<tr>
											<td>Beverages Cost % of Net Sale <small>(=Beverages/Net Sale)</small></td>
											<td><?php echo number_format($beverages_cost_percent_of_net_sale, 2); ?>%</td>
										</tr>
										<tr>
											<td colspan="2"> &nbsp; </td> 
										</tr>
										<tr>
											<td>Order Cancelled</td>
											<td>PKR <?php echo number_format($saleItemsR['order_items_cancelled']); ?></td>
										</tr>
										<tr>
											<td>Discount</td>
											<td>PKR <?php echo number_format($salesR['sales_delivery_charges']); ?></td>
										</tr>
										<tr>
											<td colspan="2"> &nbsp; </td> 
										</tr>
										<tr>
											<th colspan="2" class="tabl-head">Stock</td> 
										</tr>
										<tr>
											<td>Opening Stock on <?php echo $start_date; ?></td>
											<td>PKR <?php echo number_format($StartingTotalStockWorth); ?></td>
										</tr>
										<tr>
											<td>Stock In</td>
											<td>PKR <?php echo number_format($stockR['stock_in']); ?></td>
										</tr>
										<tr>
											<td>Stock Out</td>
											<td>PKR <?php echo number_format($stockR['stock_out']); ?></td>
										</tr>
										<tr>
										<td>Closing Stock on <?php echo $end_date; ?></td>
										<td>PKR <?php echo number_format($EndingTotalStockWorth); ?></td>
										</tr>
									</tbody>
								</table> 
							</div>
							 
						</div>
					</div>
				</div>
					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>