<?php 

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}

$page		= 'salesChart';
$module	  = 'reports';
$range 	   = 'true';
$pageTitle   = 'Sales Chart ('.$start_date.' to '.$end_date.')';
$pageRole    = 'table'; 

$saleR = GetRow(Run($conn,"select sum(quantity_sold) as sale_quantity, sum(total_sale_price) as sale_amount from tbl_sales_items where  type = '0' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'"));
 
$sale_quantity = $saleR['sale_quantity'];
$sale_amount   = $saleR['sale_amount'];

$cancelR = GetRow(Run($conn,"select sum(quantity_sold) as cancel_quantity, sum(total_sale_price) as cancel_amount from tbl_sales_items where  type = '0' and status = '0' and post_date >= '$start_date' and post_date <= '$end_date'"));
 
$cancel_quantity = $cancelR['cancel_quantity'];
$cancel_amount   = $cancelR['cancel_amount'];

$listRS	 = Run($conn,"select * from tbl_products_cat order by id desc");  
$catchartString = ''; 
while($listR = GetRow($listRS))
{
	$cat_id = $listR['id'];
	$catSaleR = GetRow(Run($conn,"select  sum(total_sale_price) as cat_sale_amount from tbl_sales_items where category_id = '$cat_id' and type = '0' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'"));
 $cat_sale_amount   = round($catSaleR['cat_sale_amount']);
	
$catchartString = $catchartString . " ['".$listR["title"]."', ".$cat_sale_amount."], "; 
	
}
$catchartString = substr($catchartString, 0,(strlen($catchartString)-2));


include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php'; 
 
  
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>  
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-6" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white"> Sales Amount: Completed VS Cancelled </div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-12"> 
                                    <!-- Sales Amount Chart -->
                                    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
                                    <script type="text/javascript">
                                        google.charts.load("current", {packages:["corechart"]});
                                        google.charts.setOnLoadCallback(drawChart);
                                        function drawChart() {
                                            var data = google.visualization.arrayToDataTable([
                                                ['Task', 'Sales'],
                                                ['Completed', <?php echo round($sale_amount); ?>],
                                                ['Cancelled', <?php echo round($cancel_amount); ?>] 
                                            ]);

                                            var options = {
                                                title: 'Sales Amount',
                                                pieHole: 0.4,
                                            };

                                            var chart = new google.visualization.PieChart(document.getElementById('donutchart'));
                                            chart.draw(data, options);
                                        }
                                    </script> 
                                    <div id="donutchart"></div> 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>              
                <div class="col-lg-6" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white"> Sales quantity: Completed VS Cancelled </div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-12"> 
                                    <!-- Sales Quantity Chart -->
                                    <script type="text/javascript">
                                        google.charts.load("current", {packages:["corechart"]});
                                        google.charts.setOnLoadCallback(drawChart2);
                                        function drawChart2() {
                                            var data = google.visualization.arrayToDataTable([
                                                ['Task', 'Sales Qty'],
                                                ['Completed', <?php echo round($sale_quantity); ?>],
                                                ['Cancelled', <?php echo round($cancel_quantity); ?>] 
                                            ]);

                                            var options = {
                                                title: 'Sales Quantity',
                                                pieHole: 0.4,
                                            };

                                            var chart = new google.visualization.PieChart(document.getElementById('donutchart2'));
                                            chart.draw(data, options);
                                        }
                                    </script> 
                                    <div id="donutchart2"></div> 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>             
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white"> Sales Amount: Categories </div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-12"> 
                                    <!-- Sales by Category Chart -->
                                    <script type="text/javascript">
                                        google.charts.load("current", {packages:["corechart"]});
                                        google.charts.setOnLoadCallback(drawChart3);
                                        function drawChart3() {
                                            var data = google.visualization.arrayToDataTable([
                                                ['Task', 'Sales Amount'],<?php echo $catchartString; ?> 
                                            ]);

                                            var options = {
                                                title: 'Sales by Category',
                                                pieHole: 0.4,
                                            };

                                            var chart = new google.visualization.PieChart(document.getElementById('donutchart3'));
                                            chart.draw(data, options);
                                        }
                                    </script> 
                                    <div id="donutchart3"></div> 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>