<?php
session_start();
require_once('sessionp.php');
require_once('checkAccountsSession.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$ID = $_GET['id'] ?? null;
$start_date = $_GET['start_date'] ?? date('Y-m-01');
$end_date = $_GET['end_date'] ?? date('Y-m-d');

$listR = GetRow(Run($conn, "SELECT * FROM tbl_items WHERE status = '1' AND id = '$ID'"));
$totalPurchases = 0;
$purchasesRS = $conn->query("SELECT SUM(quantity) as totalQuantity FROM tbl_pur_items WHERE status = '1' AND product_id = '$ID' AND post_date >= '$start_date' AND post_date <= '$end_date'");
if ($purchasesR = $purchasesRS->fetch_assoc()) {
    $totalPurchases = $purchasesR['totalQuantity'];
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Utilisation Report from <?php echo date($start_date); ?> to <?php echo date($end_date); ?></title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            background-color: #f2f2f2;
        }
        .info-container {
            width: 80%;
            max-width: 1200px;
            padding: 20px;
            border-radius: 10px;
            background-color: #ffffff;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
            margin-top: 20px;
        }
        .header {
            text-align: center;
            margin-bottom: 20px;
            border-bottom: 2px solid #ccc; /* Line on top */
            padding-bottom: 10px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
            border: 1px solid #ddd;
        }
        th, td {
            padding: 10px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }
        th {
            background-color: #f2f2f2;
        }
        @media print {
            body {
                background-color: #fff;
                -webkit-print-color-adjust: exact;
            }
            .no-print {
                display: none;
            }
        }
        input {
            height: 35px;
            padding: 5px;
            box-sizing: border-box;
        }
        #printButton {
            padding: 12px 24px; /* Increased size */
            font-size: 16px; /* Larger text */
            margin-top: 20px;
            cursor: pointer;
        }
    </style>
</head>
<body>
    <div class="info-container">
        <div class="header">
            <h1>Bistro Noir</h1>
            <p>Unit 3 Gol Market St 4 F-7/3 Islamabad</p>
            <p>Utilisation Report from <?php echo date($start_date); ?> to <?php echo date($end_date); ?></p>
        </div>
        <table>
            <thead>
                <tr>
                    <th>#</th>
                    <th>Product</th>
                    <th>Usage (Kg)</th>
                    <th>Sold Quantity</th>
                    <th>Utilisations</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $i = 1;
                $salesRS = $conn->query("SELECT * FROM tbl_recipe WHERE item_id = '$ID' ORDER BY id DESC");
                while ($salesR = $salesRS->fetch_assoc()) {
                    echo '<tr>';
                    echo '<td>' . $i . '</td>';
                    echo '<td>' . showTitle($conn, 'tbl_products', $salesR['product_id']) . '</td>';
                    echo '<td>' . number_format($salesR['item_qty'] / 1000, 2) . ' Kg</td>';
                    echo '<td><input type="number" name="sold_qty[' . $salesR['id'] . ']" value="0" min="0" onchange="calculateUtilisation(this, ' . ($salesR['item_qty'] / 1000) . ', ' . $salesR['id'] . ')" /></td>';
                    echo '<td id="utilisation_' . $salesR['id'] . '">0</td>';
                    echo '</tr>';
                    $i++;
                }
                ?>
            </tbody>
            <tfoot>
                <tr>
                    <th colspan="4" style="text-align:right;">Opening Stock:</th>
                    <th><input type="number" id="opening_stock" name="opening_stock" value="0" onchange="calculateFinalTotals()" /></th>
                </tr>
                <tr>
                    <th colspan="4" style="text-align:right;">Total Purchases:</th>
                    <th id="total_purchases"><?php echo number_format($totalPurchases, 2); ?></th>
                </tr>
                <tr>
                    <th colspan="4" style="text-align:right;">Sum of Opening Stock + Total Purchases:</th>
                    <th id="sum_opening_purchases">0</th>
                </tr>
                <tr>
                    <th colspan="4" style="text-align:right;">Total Utilisations:</th>
                    <th id="total_utilisation">0</th>
                </tr>
                <tr>
                    <th colspan="4" style="text-align:right;">Wastage:</th>
                    <th><input type="number" id="wastage" name="wastage" value="0" onchange="calculateFinalTotals()" /></th>
                </tr>            
                <tr>
                    <th colspan="4" style="text-align:right;">Remaining Stock (Opening + Purchases - Utilisations - Wastage):</th>
                    <th id="remaining_stock">0</th>
                </tr>            
            </tfoot>
        </table>
        <div class="modal-footer">
            <button id="printButton" onclick="printFilteredRows()">Print</button>
        </div>
        <script>
            function calculateUtilisation(input, usage, id) {
                var qty = parseFloat(input.value) || 0;
                var utilisation = qty * usage;
                document.getElementById('utilisation_' + id).innerText = utilisation.toFixed(2);

                calculateFinalTotals();
            }

            function calculateFinalTotals() {
                var inputs = document.querySelectorAll('input[name^="sold_qty"]');
                var totalUtilisation = 0;

                inputs.forEach(function(input) {
                    var id = input.name.match(/\[(\d+)\]/)[1];
                    var qty = parseFloat(input.value) || 0;
                    var usage = parseFloat(input.closest('tr').cells[2].innerText.split(' ')[0]) || 0;
                    totalUtilisation += qty * usage;
                });

                document.getElementById('total_utilisation').innerText = totalUtilisation.toFixed(2);

                var openingStock = parseFloat(document.getElementById('opening_stock').value) || 0;
                var totalPurchases = parseFloat(document.getElementById('total_purchases').innerText.replace(/,/g, '')) || 0;

                var sumOpeningPurchases = openingStock + totalPurchases;
                document.getElementById('sum_opening_purchases').innerText = sumOpeningPurchases.toFixed(2);
                var WastageStock = parseFloat(document.getElementById('wastage').value) || 0;

                var remainingStock = sumOpeningPurchases - WastageStock - totalUtilisation;
                document.getElementById('remaining_stock').innerText = remainingStock.toFixed(2);
            }

            function printFilteredRows() {
                var table = document.querySelector('table');
                var rows = table.querySelectorAll('tbody tr');
                rows.forEach(function(row) {
                    var soldQtyInput = row.querySelector('input[name^="sold_qty"]');
                    if (soldQtyInput && parseFloat(soldQtyInput.value) <= 0) {
                        row.style.display = 'none';
                    }
                });

                window.print();

                // Restore rows after printing
                rows.forEach(function(row) {
                    row.style.display = '';
                });
            }
        </script>
    </div>
</body>
</html>
